2023-10-15 Mike Gabriel

        * Release 0.7.2 (HEAD -> main, tag: 0.7.2)

2023-09-19 Ratchanan Srirattanamet

        * Merge branch 'main' into 'main' (c0609982)

2023-09-17 Oren Klopfer

        * correct enum with Virtual and DPI (6e036f14)

2023-09-16 Oren Klopfer

        * add support for DSI as an internal display option (a89d5716)

2023-08-23 Ratchanan Srirattanamet

        * Merge branch 'personal/gberh/upstart-removal' into 'main'
          (2072bcd2)

2023-03-06 Guido Berhoerster

        * Remove special casing for unity8-dash (6eae60f2)

2023-06-12 Guido Berhoerster

        * Rename QML plugin based onits import path (a9abfd7d)

2023-03-06 Guido Berhoerster

        * Replace references to Unity with Lomiri (bd495f4d)
        * Remove references to upstart and correct comments in unit tests
          (21768e68)

2023-03-02 Guido Berhoerster

        * Correct comments and log messages referring to upstart (9e5456a4)
        * Remove obsolete upstart hack (32dec1b2)
        * Rename qtmir::upstart namespace to qtmir::lal (4f56b364)

2023-08-23 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/waydroid-initial-size' into
          'main' (1bc6d838)

2023-06-16 Ratchanan Srirattanamet

        * WMPolicy: set initial size for new window with certain state
          (ae85986a)

2023-08-22 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/content-hub' into 'main'
          (bbbeaf48)

2023-07-03 Ratchanan Srirattanamet

        * mirserver: re-enable support for content-hub-based clipboard
          (5e8f8548)
          Fixes:
          https://gitlab.com/ubports/porting/reference-device-ports/android9/volla-phone/volla-yggdrasil/-/issues/12

2023-08-22 Ratchanan Srirattanamet

        * Merge branch
          'personal/sunweaver/fix-music-app-in-exempt-lifecycle-appids'
          into 'main' (747b360c)

2023-03-06 Guido Berhoerster

        * Rename com.ubuntu.music to music.ubports (893fc4fe)

2023-06-08 Mike Gabriel

        * Merge branch 'headers' into 'main' (8291ea2a)

2023-06-07 Luca Weiss

        * Add missing headers for GCC13 (838a57d3)

2023-04-28 Marius Gripsgard

        * Merge branch 'personal/fredldotme/noxwaylandsplash' into 'main'
          (9342b292)

2023-04-28 Alfred Neumayer

        * data: Disable Xwayland splash screen (79012543)

2023-04-12 Marius Gripsgard

        * Merge branch 'personal/fredldotme/hidesplashonlibertine' into
          'main' (cf694105)

2023-03-22 Alfred Neumayer

        * QtMir/Application: Avoid terminate for Xwayland (13526441)
        * QtMir/Application: nullptr check for finding applications by
          session (b76b60f1)

2023-02-27 Alfred Neumayer

        * QtMir/Application: Implement showSplash() method (635c42ce)

2023-04-07 Marius Gripsgard

        * Merge branch 'ubports/focal_-_lomiri-readyprop' into 'main'
          (5d75714e)

2023-04-07 Lionel Duboeuf

        * move isReady declaration to Lomiri api (a7c16529)

2023-03-15 Mike Gabriel

        * Merge branch 'personal/gberh/loglevels' into 'main' (89de5c9c)

2023-03-15 Guido Berhoerster

        * Adjust log levels (730ed1d9)

2023-02-21 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/revert-crop-center' into 'main'
          (5cc2ffb4)

2023-02-22 Ratchanan Srirattanamet

        * Revert "mirsurfaceitem: Center cropped textures" (e73a59dc)

2023-02-14 Mike Gabriel

        * Merge branch 'personal/fredldotme/xwaylandusable' into 'main'
          (4040c316)

2023-02-12 Alfred Neumayer

        * QtMir/Application: Never drop xwayland connections by closing
          windows (e8f6c420)

2023-01-30 Mike Gabriel

        * Merge branch 'personal/mariogrip/waydroidmore' into 'main'
          (9595a021)

2023-01-29 Alfred Neumayer

        * Revert "ApplicationManager: Always allow Waydroid connections"
          (cb8f861f)

2022-06-20 Alfred Neumayer

        * ApplicationManager: Remove Waydroid's special treatment during
          teardown (46256c42)

2022-06-17 Alfred Neumayer

        * ApplicationManager: Match surfaces by appId first & avoid Waydroid
          teardown (7386e13f)
        * ApplicationManager: Always allow Waydroid connections (cf863c77)
        * MirSurface: Take appId from associated windowInfo (20672ad2)

2023-01-29 Mike Gabriel

        * Merge branch 'personal/fredldotme/passx11display' into 'main'
          (84302d85)

2023-01-29 Alfred Neumayer

        * platforms: mirserver: Set X11's DISPLAY environment variable
          (4bdb2e5f)

2023-01-29 Mike Gabriel

        * Merge branch 'personal/mariogrip/x11yay' into 'main' (b0ed4c04)

2022-12-12 Alfred Neumayer

        * cmake: debian: Ship Xwayland desktop launcher & icon (5aeb8348)
        * QtMir: Application: Special case Application handling for XWayland
          (22b4018b)
        * src: platforms: mirserver: Enable MirAL's X11 support (bad984d9)

2023-01-20 Mike Gabriel

        * Merge branch 'personal/mariogrip/stubapi' into 'main' (fc8a4852)

2023-01-20 Marius Gripsgard

        * Bump required lomiri-api version and bump qtmir patch version
          (5d4e0b72)
        * Application: Add sub for showSplash (2d50084d)
        * Application: Add sub for serverSideDecoration (9d39a618)

2023-01-18 Mike Gabriel

        * Merge branch 'personal/fredldotme/lomirilockups' into 'main'
          (c39c5456)

2023-01-15 Alfred Neumayer

        * mirserver: Send Mouse events asynchronously as well (ebf50a14)

2023-01-15 Mike Gabriel

        * Merge branch 'personal/mariogrip/fix-cropped-texturs' into 'main'
          (c7670f8c)

2023-01-15 Marius Gripsgard

        * mirsurfaceitem: Center cropped textures (5ead2261)

2023-01-11 Marius Gripsgard

        * Merge branch 'personal/fredldotme/compositorcrash' into 'main'
          (b8793f94)

2023-01-11 Alfred Neumayer

        * mirserver: Wrap WrappedWindowManagementPolicy::requestState in a
          try-catch (953b5a56)
        * mirserver: Don't flush window system events on screen hide
          (67afc5da)
        * mirserver: Remove animation driver start & stop operations
          (118d7434)

2023-01-10 Alfred Neumayer

        * mirserver: Fix compositor start crashes (b9c36b57)

2023-01-10 Mike Gabriel

        * Merge branch 'personal/mariogrip/mirbuffercleanup' into 'main'
          (4a58092f)

2023-01-04 Marius Gripsgard

        * Simplify and cleanup mirbuffer to align with upstream mir
          (6437b085)

2023-01-08 Mike Gabriel

        * Merge branch 'fix-phone-osk' into 'main' (73ae03b0)

2023-01-08 Jami Kettunen

        * Revert "mirserver: Detect internal tablet screens as such"
          (22302f3a)

2023-01-07 Mike Gabriel

        * Merge branch 'personal/fredldotme/qtmirtabletscreens' into 'main'
          (df47a630)

2023-01-07 Alfred Neumayer

        * mirserver: Detect internal tablet screens as such (85b0e6b6)

2023-01-02 Marius Gripsgard

        * Release 0.7.1 (11c4988c) (tag: 0.7.1)

2022-12-18 Marius Gripsgard

        * Merge branch 'personal/fredldotme/allownullbufferbind' into 'main'
          (c395da87)

2022-12-18 Alfred Neumayer

        * mirserver: miral: Reduce binding null buffers to warning (21d21c2b)

2022-12-11 Marius Gripsgard

        * Merge branch 'personal/fredldotme/desktopmode' into 'main'
          (1c46ba2f)

2022-12-04 Alfred Neumayer

        * QtMir/Application: Various nullptr & crash fixes (8cb213ec)

2022-12-03 Alfred Neumayer

        * MirSurfaceItem: Set local pointer to nullptr during surface
          destruction (d74fc931)
        * SurfaceManager: Fix tapping OOM-killed windows crashing the shell
          (efcbe4db)

2022-12-01 Alfred Neumayer

        * src: Deliver touch events asynchronously (342a68c5)
        * src: Run screen model updates enqueued (15d4f6cf)

2022-11-26 Alfred Neumayer

        * src: Cleanup & TODO (1fa5164e)
        * src: Fix various ScreensModel issues (854eac83)
        * src: Cleanups and allow setScreen to be passed a nullptr (902058c7)
        * src: Make window destruction a separate operation (8f4dde6f)
        * src: Handle screenRemoved synchronously again (2135bb44)

2022-11-23 Alfred Neumayer

        * src: Begin investigation into several crashes & scaling issues
          (a3f46dc6)

2022-08-12 Ratchanan Srirattanamet

        * Merge branch 'focal_-_qtmir-disallow-inputmethod' into 'main'
          (cb2ea486)

2022-08-07 Maciej Sopyło

        * WindowManagementPolicy: allow only maliit-server to be an input
          method (05a14ac7)

2022-08-01 Marius Gripsgard

        * Merge branch 'gmock-fixes' into 'main' (21f28916)

2022-07-27 Luca Weiss

        * Remove unused gmock_fixes.h (09018b81)

2022-06-28 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/do-activate-null-window' into
          'main' (d11d6951)

2022-06-17 Ratchanan Srirattanamet

        * WrappedWindowManagementPolicy: fix activating null window
          (5dbb7225)
          Fixes:
          https://gitlab.com/ubports/development/core/qtmir/-/issues/10

2022-04-22 Marius Gripsgard

        * Release 0.7.0 (1e28b1d7) (tag: 0.7.0)

2022-02-21 Ratchanan Srirattanamet

        * Merge branch 'lomiri-renaming' into 'main' (531ecf70)

2022-02-14 Guido Berhoerster

        * Rename com.canonical.Unity.FocusInfo to com.lomiri.Shell.FocusInfo
          (01d8c6ef)

2022-02-11 Guido Berhoerster

        * Rename com.canonical.powerd to com.lomiri.Repowerd (009b7144)

2021-12-04 Marius Gripsgard

        * Merge branch 'personal/usb/bring-together' into 'main' (cde69ffa)

2021-12-03 Dalton Durst

        * debian/control: build-depend on cmake-extras 1.6 (cafe90a5)

2020-10-25 Mike Gabriel

        * tests/CMakeLists.txt: Drop extra googletest/googlemock detection
          code. (68a9132d)

2021-01-30 Ratchanan Srirattanamet

        * debian/control: indicate the higher googletest requirement
          (184a6871)

2020-10-22 Mike Gabriel

        * tests/: Switch from INSTANTIATE_TEST_CASE_P macro usage to
          INSTANTIATE_TEST_SUITE_P. (0dc74cd2)

2021-11-24 Marius Gripsgard

        * Merge branch 'mr/rename-com-ubuntu-calendar' into 'main' (9bb85ae3)

2021-11-03 Robert Tari

        * README: Rename com.ubuntu.calendar (7e8ba752)

2021-07-21 Alfred Neumayer

        * Merge branch 'personal/peat-psuwit/texture-texturesource-v2' into
          'main' (d9da5d24)

2021-07-16 Ratchanan Srirattanamet

        * Improve interfaces between Mir buffer classes & fix crash
          (d0dfa1bf)
        * MirGlBufferTexturesource: remove useless texture binding (eb46ae79)
        * MirGlBuffer: make sure the first buffer is rendered (9e5d1ac4)

2021-07-14 Dalton Durst

        * Merge branch 'personal/peat-psuwit/maliit-full-path' into 'main'
          (03b585da)

2021-07-08 Ratchanan Srirattanamet

        * Be more inteligent in how we identify whitelisted processes
          (46d4cd16)

2021-06-22 Ratchanan Srirattanamet

        * Merge branch 'personal/mariogrip/new-gl-texture' into 'main'
          (25de4e69)

2020-01-29 Marius Gripsgard

        * Add support for new gl::Texture buffers (b27b4477)

2021-04-28 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/rename-unity-application' into
          'main' (1c237164)

2021-04-28 Ratchanan Srirattanamet

        * demos/shell: put demo-specific QML types under QtMir.DemoShell
          (896df054)
        * Rename Unity.Application QML module to QtMir.Application (7a09d46c)

2021-04-21 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/fix-dependencies' into 'main'
          (605b057f)

2021-04-21 Ratchanan Srirattanamet

        * d/control: finalizing split package removal (e579451a)

2021-04-07 Marius Gripsgard

        * Merge branch 'fix-compile' into 'main' (a2088029)

2021-04-04 Luca Weiss

        * Use 'unsigned int' instead of 'uint' (9cc5bca1)

2021-03-23 Rodney

        * Merge branch 'personal/peat-psuwit/start-building-main' into 'main'
          (824e8b5b)
        * Merge branch 'personal/peat-psuwit/license-text' into 'main'
          (dbc7b5ac)

2021-03-24 Ratchanan Srirattanamet

        * Add missing full license text (1235328e)

2021-03-23 Ratchanan Srirattanamet

        * Move Jenkinsfile to debian/ per the new guideline (1ec90143)
        * Update Jenkinsfile to use shared library (e0c43d5b)
        * New Debian changelog entry; remove Debian revision number
          (02ba0dc3)

2021-03-23 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/dont-choose-gl-gles' into 'main'
          (1d7e7553)

2021-02-02 Ratchanan Srirattanamet

        * debian/*: merge qtmir-{android,desktop} to simply qtmir and drop
          multi-build technique (2e35cf9e)

2021-02-01 Ratchanan Srirattanamet

        * tests: remove convert-to-gles test, no longer relevant (ffd3677b)
        * Stop linking to either libGL or libGLES to allow single build for
          both (c0e39c26)

2021-03-22 Marius Gripsgard

        * Merge branch 'mr/qtmirserver-dependency-fix' into 'master'
          (97229820)
        * Merge branch 'personal/peat-psuwit/optional-valgrind-v2' into
          'master' (3310ac71)
        * Merge branch 'personal/peat-psuwit/no-cgmanager-v2' into 'master'
          (45e1e58a)

2021-03-21 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/sync-debian-pkg' into 'master'
          (22b44d59)

2021-03-10 Marius Gripsgard

        * Merge branch 'mr/reenable-Werror-CMake-option' into 'master'
          (1ba2471e)

2021-01-30 Ratchanan Srirattanamet

        * debian/rules: disable building with Valgrind on architectures
          without it (7d39753a)

2021-03-09 Ratchanan Srirattanamet

        * Merge branch 'personal/peat-psuwit/sync-debian-pkg' into
          personal/peat-psuwit/optional-valgrind-v2 (30fbcc88)
        * d/rules: enforce -Werror for upstream builds (b6a4ca81)

2021-03-08 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/demo-luitk' into 'master'
          (81b5bd84)

2021-03-08 Ratchanan Srirattanamet

        * demos/shell: port to lomiri-ui-toolkit (db7d7c79)
        * d/control: add l-uitk to qtmir-tests Depends (bb94aefa)

2021-02-03 Ratchanan Srirattanamet

        * d/control: demote autopilot-qt5 to Recommends (1211fc38)

2021-02-12 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/fix-demos' into 'master'
          (03b186ad)
        * Merge branch 'personal/peat-psuwit/link-to-thread-v2' into 'master'
          (763e1b0a)

2021-01-30 Ratchanan Srirattanamet

        * build: make the Valgrind detection not "automagic" (e9ddc54c)

2021-02-03 Ratchanan Srirattanamet

        * demos: change program names to start with qtmir-demo throughout
          (d0bcd797)
        * demo: fix detecting running installed (3647b8a3)

2020-10-28 Mike Gabriel

        * valgrind: Make build requirement on valgrind optional. (f94575c2)

2021-01-30 Ratchanan Srirattanamet

        * build: make sure to link qtmirserver against threading library
          (37de758b)
        * Revert "Revert "Remove need for cgmanager, we got no need for
          upstart cgroups anymore"" (fa3f2e1f)
        * debian/*: Adopt DEB packaging from official Debian package where
          appropriate (aec98c58)

2020-10-30 Mike Gabriel

        * CMakeLists.txt: Fix disabling -Werror via CMake configure option.
          (c9a9a6b3)

2020-10-25 Mike Gabriel

        * src/platforms/mirserver/CMakeLists.txt: Make sure tracepoints.h
          exists before building 'qtmirserver-mirserver' library
          target. (4bcb5c37)

2020-09-28 Mike Gabriel

        * release 0.6.1 (ad05513d) (tag: 0.6.1)

2020-09-22 Marius Gripsgard

        * [debian] Clean up old Replaces/Conflicts and fix gles and checks
          (f4695e4d)
        * Fix ambiguous overload (45a05392)
        * Fix deprecated QWeakPointer::data() (3db7279c)
        * Fix deprecated handleMouseEvent call for 5.11 (7ca1026c)
        * Add missing include for newer gcc (68485755)

2020-09-19 Marius Gripsgard

        * Move to lomiri-url-dispatcher (79437289)
        * Use lomiri-app-launch (2072fb40)
        * Use lomiri-api (32f10014)

2020-07-11 Marius Gripsgard

        * Merge remote-tracking branch 'origin/xenial' into
          xenial_-_edge_-_multiscreen (49540698)
        * Merge pull request #53 from z3ntu/xenial_-_qt5.14 (ec8b2335)
        * Merge pull request #56 from z3ntu/xenial_-_new-gmock (86a0e360)

2020-04-29 Ratchanan Srirattanamet

        * mirserver: more proper support for QPlatformThemes (1fbafd40)
        * mirserver: uses UbuntuTheme from qtubuntu (46005111)

2020-05-18 Luca Weiss

        * Adjust for gmock 1.10.0 (a3270abb)

2020-04-17 Luca Weiss

        * Fix compilation with Qt 5.14 (8fe6dc6d)

2020-04-09 Marius Gripsgard

        * [MirSurfaceItem] Ignore hover move events with no timestamp
          (2ee141de)
        * Revert "[temp hack]: Ignore hover move events" (2d444ebe)

2020-04-09 Dalton Durst

        * Terminate application while force closing surface (807baa09)

2020-04-09 Marius Gripsgard

        * Merge pull request #46 from z3ntu/xenial_-_qt5.14 (9f27a788)
        * Merge pull request #49 from
          ubports/xenial_-_surface-gone-too-quickly (9f0e9e75)

2020-04-08 Dalton Durst

        * Catch std::out_of_range for activate too (6d9b9cd3)

2020-03-26 Dalton Durst

        * Use MirAL events to trigger our internal screen logic (86ffc449)

2020-03-24 Dalton Durst

        * Revert "Remove need for cgmanager, we got no need for upstart
          cgroups anymore" (d54d4631)

2020-03-20 Luca Weiss

        * Fix CMake error with Qt 5.14 (daa5f668)

2020-02-17 Marius Gripsgard

        * Get ready for the future by disabling deprecated functions
          (f1a612ce)
        * Bump required qt version to 5.9 and cleanup ifdef for older
          versions (1358e3af)
        * Cleanup control file and ashes from bzr (1cd0cbaa)

2020-02-19 Marius Gripsgard

        * Remove dep on platform-api as it is not used (#43) (01952560)

2020-02-12 Ratchanan Srirattanamet

        * MirSurface: update visibility when surface's hidden is changed
          (56dc17a9)

2019-12-03 Dalton Durst

        * Update comments to specify "less than Qt 5.13" (37833b83)

2019-11-29 Ivan Semkin

        * remove const from functions (e1eb282c)
        * Commits in cpp start with // (720e4ea6)
        * Try to maintain backward compatibility with older qt (27b3665c)

2019-01-12 Luca Weiss

        * Use qmlplugins from cmake-extras (469daa62)
        * Fix polymorphic type (ce50bb1b)

2019-11-24 Ivan Semkin

        * Make compatible with latest qt (ab6f359f)

2019-12-22 Marius Gripsgard

        * Allow to be built without content-hub (2a278087)
        * Reflect upstream mir v1.6 changes (2cc854e2)
        * Reflect upstream mir v1.5 changes (b6431569)
        * [tests] Specifically specify qtmir namespace (81b40962)

2019-09-26 Marius Gripsgard

        * Reflect upstream mir v1.4 changes (6c2aa53c)

2019-09-30 Marius Gripsgard

        * Bump version number (386272a5)

2019-09-25 Marius Gripsgard

        * Merge pull request #31 from ubports/mariogrip-patch-1 (b2db6236)
        * Update Jenkinsfile (fffd4e48)

2019-09-13 Marius Gripsgard

        * Merge remote-tracking branch 'origin/xenial_-_edge' into
          xenial_-_edge_-_multiscreen (590d2142)

2019-09-02 Marius Gripsgard

        * Let applicationManager handle force close of applications (#29)
          (e60d4945)
          Fixes:
          https://github.com/ubports/ubuntu-touch/issues/1184

2019-08-16 Marius Gripsgard

        * Merge pull request #27 from ubports/xenial_-_edge_-_dontautofocus
          (1d2cf75b)

2019-08-12 Marius Gripsgard

        * Dont automaticly switch to newly placed window, let unity8 handle
          this (b8f8b9ec)

2019-07-25 Marius Gripsgard

        * Revert "Do not forcefully kill and hide apps, let them handle the
          SIGTERM" (de0d67f9)

2019-07-09 Marius Gripsgard

        * Make sure QtEventFeeder includes in the main thread loop (dab8b147)

2019-07-03 Marius Gripsgard

        * Merge lp:~nick-dedekind/qtmir/screens-api into
          xenial_-_edge_-_multiscreen (4db5c142)

2019-07-02 Marius Gripsgard

        * Merge  lp:~nick-dedekind/qtmir/multiwindow.configuration into
          xenial_-_edge (9d1c8f77)

2019-07-01 Florian Leeber

        * Merge pull request #24 from ubports/xenial_-_edge_-_fclose
          (bb495752)

2019-06-26 Marius Gripsgard

        * Make demo shell work again (2bf388ae)

2019-06-29 Marius Gripsgard

        * Implement forceClose method to mirSurface api (44cc7bb3)

2019-06-19 Marius Gripsgard

        * Merge pull request #22 from ubports/xenial_-_edge_-_fixresize
          (e909f17d)

2019-06-18 Marius Gripsgard

        * [MirSurface] Make sure we handle resize events while wating on next
          buffer (c280bee0)

2019-04-22 Marius Gripsgard

        * Merge pull request #21 from ubports/xenial_-_edge_-_sensorfix
          (9aab18e2)

2019-04-20 Marius Gripsgard

        * Move and Orientation impl out of screen and into it's own improved
          class (9fd1f499)

2018-07-22 Marius Gripsgard

        * [temp hack]: Ignore hover move events (74f0fff5)

2017-12-28 Marius Gripsgard

        * Use app-launch-2 (dec18c92)

2018-11-15 Marius Gripsgard

        * build for xenial edge (380e9602)

2018-10-09 Marius Gripsgard

        * Build arm64 (c462a532)

2018-10-06 Rodney Dawes

        * Add missing version include. (8d379b8e)
        * Always add mirserver includes here. (1edb08fd)

2018-10-05 Rodney Dawes

        * Merge remote-tracking branch 'origin/master' into bionic (506389d4)

2018-09-19 Marius Gripsgard

        * Merge pull request #13 from vanyasem/bionic (b37293e2)

2018-09-19 Ivan Semkin

        * Make compatible with gmock 1.8.1 (1c6dc4d3)

2018-09-15 Ivan Semkin

        * Merge pull request #11 from vanyasem/bionic (7c91e400)
        * Add missing -pthread flag (7ba690f2)

2018-03-14 Gerry Boland

        * Build against MirAL2.0 (89d57e19)

2018-02-19 Marius Gripsgard

        * Merge remote-tracking branch 'origin/xenial_-_mir30' into bionic
          (f6c79589)

2018-02-18 Marius Gripsgard

        * Merge branch 'bionic' of github.com:ubports/qtmir into bionic
          (41050c21)
        * Disable arm64 builds for now (47db0921)
        * Delete ubports.depends (7838a4dd)
        * Don't depend on application api (2bbad4ec)
        * Mir 0.30 compat (b0929330)

2018-02-12 Marius Gripsgard

        * Remove need for cgmanager, we got no need for upstart cgroups
          anymore (d5989c61)

2018-02-13 Marius Gripsgard

        * Revert "Use app-launch-2" (f40c965e)

2018-02-03 Marius Gripsgard

        * release for bionic (208bf5f0)

2018-01-04 Marius Gripsgard

        * Handle secure_for_render() (54f26156)

2017-12-30 Marius Gripsgard

        * Merge remote-tracking branch 'next/master' into xenial_-_mir29
          (a057bc7f)
        * No need to depend on xenail (fb005367)
        * Depend on xenial_-_mir26 repo (f810a8a6)

2017-12-28 Marius Gripsgard

        * Add Qt5ThemeSupport_INCLUDE_DIRS (22f928d5)
        * Use app-launch-2 (5c2b18c6)
        * Dont include EnableCoverageReport (5fa2024c)

2017-10-25 Marius Gripsgard

        * Use QSGDefaultInternalImageNode for Qt versions newer then 5.8
          (afc0d1a1)
        * Use modularized qtplatformsupport introduced in Qt 5.8 (52ea4509)

2017-12-28 Marius Gripsgard

        * Import to UBports (9a8d61c5)

2017-10-13 Alan Griffiths

        * Mir 1.0 => Mir 0.28 (d68fd808)

2017-10-09 Alan Griffiths

        * Frig for LP build recipe (71b8600a)

2017-09-27 Alan Griffiths

        * 1.0 compat (9ef010b9)
        * 0.27 compat (fcb3779a)
        * Try more (25c90b8a)
        * Revert surious whitespace changes (6f1c5cc3)
        * Frig changelog (d0ed9d25)
        * Mir 1.0 compatibility (ee9e359a)

2017-07-17 Marius Gripsgard

        * Updated Jenkinsfile (ee98f665)

2017-07-12 Marius Gripsgard

        * Updated Jenkinsfile (2f0a7ac3)
        * Updated Jenkinsfile (20ad307a)
        * Updated Jenkinsfile (341ca920)

2017-07-11 Marius Gripsgard

        * Updated Jenkinsfile (19795881)
        * [Jenkins] Use armhf node to build binaries (2257e356)

2017-07-10 Marius Gripsgard

        * Add Jenkinsfile (49cb54e6)
        * set a verion format out build server understand (46c5a6e5)
        * Backport to xenial (4a950b83)

2017-06-15 Alan Griffiths

        * Fix FTBFS witn Mir 0.27 (aacc554e)

2017-04-10 Bileto Bot

        * Releasing 0.5.1+17.04.20170410-0ubuntu1 (efc6c237)

2017-04-10 Lukáš Tinkl

        * Do not forcefully kill and hide apps, let them handle the SIGTERM
          and give them a chance to reject it if needed (d0a408dd)

2017-04-10 Alan Griffiths

        * Another pass at separating out the libmirserver dependencies
          (0d3683a4)
        * Remove legacy of support for older Mir versions. (58fa4831)

2017-04-10 Gerry Boland

        * Decouple QtEventFeeder and ScreensModel, event feeder can rely on
          qGuiApp::screens() (f7ebe279)

2017-04-10 Daniel d'Andrada

        * Make mirKeyboardEventToString() also print modifiers (7c945a2d)

2017-04-07 Lukáš Tinkl

        * merge trunk, resolve conflicts (17b6dc17)

2017-04-06 Nick Dedekind

        * changelog (48a5b5a3)
        * changelog (f5266c48)
        * changelog (d1ccf424)
        * changelog (a42b39a1)
        * changelog (9a318782)

2017-04-05 Nick Dedekind

        * changelog update (95b4959a)

2017-04-05 Lukáš Tinkl

        * merge trunk, resolve conflicts (e43513b0)

2017-04-05 Nick Dedekind

        * merged pre-req (cd2c31b7)
        * merged pre-req (9bbb4a71)
        * merged pre-req (c3f6eebf)
        * merged pre-req (ddffc5d9)
        * fixed miral include file (94b5ef86)

2017-04-05 Alan Griffiths

        * Apply Gerry's patch to CMakeLists.txt (a762bbe6)

2017-04-04 Nick Dedekind

        * merged with pre-req (15e2e740)
        * merged pre-req (508e87e8)
        * merged pre-req (d3f54d62)
        * merged pre-req (8be07356)
        * reduce external WindowManagementPolicy API (accb1edf)
        * include def (3cdc5f39)

2017-04-04 Bileto Bot

        * Releasing 0.5.1+17.04.20170404-0ubuntu1 (6fb00e5e)

2017-04-04 Daniel d'Andrada

        * Support multiple sessions per Application (LP: #1675448) (88d762d0)

2017-04-04 Albert Astals Cid

        * EventInfo::store: Store an empty cookie for mir events without
          cookie (8a98aba9)
        * Remove m_tools member (c6acfa11)

2017-04-03 Nick Dedekind

        * DisplayId (c599ecc8)
        * better lttng deps (16e6942e)

2017-04-03 Alan Griffiths

        * windowmanagementpolicy.cpp doesn't use libmirserver (8780b151)

2017-04-03 Nick Dedekind

        * merged with pre-req (eb2a8531)
        * merged pre-req (0bfc5056)
        * merged pre-req (18938370)
        * merged with parent (e1950eca)
        * merged with parent (a3b0538e)

2017-03-31 Daniel d'Andrada

        * Don't create multiple Application objects for the same app-id
          (aa5df576)
        * s/die/terminate (2ade5d72)
        * Make --desktop_file_hint and DESKTOP_FILE_HINT work again
          (2c0a5fa3)

2017-03-31 Nick Dedekind

        * merged with trunk (699842b4)
        * merged trunk (921d86b2)

2017-03-31 Daniel d'Andrada

        * Support multiple sessions per Application (fa05ae64)

2017-03-31 Alan Griffiths

        * cleanup the mirserver platform compile flags (d4119fb6)
        * Avoid dependency on libmirserver-dev in qtcompositor.h (5f5588ee)
        * Avoid dependency on libmirserver-dev in inputdeviceobserver.h
          (48362f6b)
        * Avoid dependency on libmirserver-dev in screensmodel.h (8f7052a6)
        * s/surface/window/ (19eedaaa)
        * Delete unnecessary includes (19bfd084)
        * Drop compatibility with Mir 0.25 (2a23eada)

2017-03-30 Gerry Boland

        * A lil less auto-mation, a lil more action please (f5acdc71)
        * Remove unneeded header file (c2710896)
        * Update copyrights (f01639cc)
        * Decouple QtEventFeeder and ScreensModel, event feeder can rely on
          qGuiApp::screens() (21551c63)

2017-03-30 Albert Astals Cid

        * Store an empty cookie for mir events without cookie (f7656da8)

2017-03-28 Bileto Bot

        * Releasing 0.5.1+17.04.20170328-0ubuntu1 (33de278e)

2017-03-28 Alan Griffiths

        * Compatibility with lp:mir and lp:~alan-griffiths/miral/1.3
          (e0a6d211)
        * MirAL will be correcting another spelling error shortly. Avoid an
          FTBFS when that happens. (5dde7abc)

2017-03-28 Andreas Pokorny

        * Report and consume exception that may occur on constructing a
          keymap (LP: #1557634) (f223e06d)

2017-03-28 Gerry Boland

        * Add env var equivalent to desktop_file_hint (e3d17fdf)

2017-03-28 Daniel d'Andrada

        * Ensure the window that got a key down also gets the corresponding
          key up (bb6596a3)

2017-03-28 Gerry Boland

        * Don't let a child window go offscreen because its parent moved
          (934f0a9b)

2017-03-28 Albert Astals Cid

        * Run ApplicationManager::authorizeSession in the calling thread
          (0cde07ea)
        * Remove empty property and move invokable (1b7781bc)

2017-03-28 Lukáš Tinkl

        * Raise (activate) windows when an app focus is requested (LP:
          #1672337) (2b2f5c74)

2017-03-28 Albert Astals Cid

        * CanonicalWindowManagerPolicy already has a tools (8b4b423a)

2017-03-28 Nick Dedekind

        * added spinny logo to shell demo (2c0a6e64)
        * Compositor texture privates (f38e6f3c)

2017-03-27 Andreas Pokorny

        * Report and consume exception that may occur on constructing a
          keymap (25b8b865)

2017-03-25 Lukáš Tinkl

        * WIP remove Closing state (20b4175b)

2017-03-24 Lukáš Tinkl

        * fix comments/debug (743f60ff)
        * address review comments (8c46c0c3)

2017-03-24 Daniel d'Andrada

        * update copyright header (87f8f67a)
        * Some refactoring as per review feedback (9fb45100)

2017-03-24 Alan Griffiths

        * Remove comment out (efbbb9cb)
        * Fix build errors against lp:mir (671e132b)
        * merge lp:~alan-griffiths/qtmir/future-proof (d2bcdade)

2017-03-24 Nick Dedekind

        * added build dir to cmake path (4994bc41)

2017-03-24 Daniel d'Andrada

        * Ensure the window that got a key down also gets the corresponding
          key up (c18ffa89)
        * merge lp:~gerboland/qtmir/availableDesktopAreaTrial (840f3458)

2017-03-24 Lukáš Tinkl

        * activate by default (b6e950e6)
        * merge trunk, resolve conflicts (c94a2b57)

2017-03-24 Gerry Boland

        * Merge trunk & fix build failure (31c5efad)

2017-03-24 Lukáš Tinkl

        * merge trunk (0a8be104)

2017-03-24 Nick Dedekind

        * merged parent (8256dee4)
        * merged parent (569c2995)
        * merged parent (ddb8d8a6)
        * merged parent (eb306afa)
        * merged parent (061a2053)
        * merged trunk (acbc31bd)

2017-03-24 Albert Astals Cid

        * Merge (014c3b9f)
        * Merge (09bf9a02)

2017-03-23 Gerry Boland

        * Remove leftover debugs (bb1b8cbf)
        * Relax confinement region detection, fixes left edge bug (2cafb71f)
        * Revert to original behaviour (82b651fd)

2017-03-22 Daniel d'Andrada

        * latest version (325bdb09)

2017-03-22 Gerry Boland

        * No need for namespace qualifier (60f49170)
        * Document translationToContain (5f666aa9)

2017-03-22 Albert Astals Cid

        * spacing (16d1e040)

2017-03-22 Gerry Boland

        * Small refactorings (a71a0114)

2017-03-22 Albert Astals Cid

        * Move pid storing to ApplicationManager (2902b560)

2017-03-22 Gerry Boland

        * Different spin of the window confinement logic (8f6cdcc5)

2017-03-22 Lukáš Tinkl

        * fix build (37a0544e)

2017-03-22 Albert Astals Cid

        * Run ApplicationManager::authorizeSession in the calling thread
          (c1b534d9)
        * Remove empty property and move invokable (670f2772)

2017-03-21 Daniel d'Andrada

        * Make mirKeyboardEventToString() also print modifiers (219204a2)

2017-03-21 Lukáš Tinkl

        * WIP: raise windows when an app focus is requested (69004a19)

2017-03-21 Nick Dedekind

        * consistency (7005d73c)
        * review comments (0046c14b)

2017-03-21 Gerry Boland

        * Margins and Confinement regions are WMPolicy internal data now
          (3d915e42)

2017-03-21 Alan Griffiths

        * Prevent FTBFS when miral corrects spelling (c418151a)

2017-03-20 Gerry Boland

        * Update copyrights (90246832)

2017-03-20 Bileto Bot

        * Releasing 0.5.1+17.04.20170320.1-0ubuntu1 (3b664be9)

2017-03-20 Andreas Pokorny

        * Attach MirInputDeviceId and the MirCookie to input events
          (5824abde)

2017-03-20 Gerry Boland

        * Extend timeouts when running under valgrind (7688a89d)

2017-03-20 Albert Astals Cid

        * Check for find() result not being null before using it (615198aa)

2017-03-20 Gerry Boland

        * Stop MirSurface deleting itself, ensure SurfaceManager alone
          manages MirSurface lifetimes. Add SurfaceManager test
          suite. (270adb9d)

2017-03-20 Alan Griffiths

        * Reduce dependencies on mirserver by reworking
          ../Application/mirbuffersgtexture.cpp and
          ../Application/surfacemanager.cpp (cb593cea)

2017-03-20 Daniel d'Andrada

        * Implement MirSurface::allowClientResize (LP: #1670390) (e4ed7f52)

2017-03-20 Gerry Boland

        * Fix FTBFS against miral 1.3.1 (24b059a8)

2017-03-20 Albert Astals Cid

        * Wrong merge (2f67e985)
        * Merge (529723c8)

2017-03-20 Gerry Boland

        * Actually include SurfaceManager tests. SM relies on AppMan
          singleton, which I had to abstract out to a SessionMap in
          order to make it testable. (1775bfd1)

2017-03-20 Nick Dedekind

        * merged with parent (3dbd1fe7)
        * merged with parent (52dab8c6)
        * meged with parent (39dae72e)
        * merged with parent (5c950b28)
        * removed appnotifier and window notifier (18dd2ca3)
        * merged with parent (cedc89e4)
        * miral 1.3.1 compat (98c4afba)

2017-03-20 Gerry Boland

        * Stop MirSurface deleting itself, ensure SurfaceManager alone
          manages MirSurface lifetimes. Add SurfaceManager test
          suite. (9f22d1f2)
        * Bump cmake & deb dependencies (4986e7d7)
        * Fix FTBFS against miral 1.3.1 (e95abb9f)
        * If Window outside confinement regions somehow, do not apply
          confinement rules (46e0dfe0)

2017-03-16 Gerry Boland

        * Move the interface to unity-api (95c826ca)

2017-03-16 Nick Dedekind

        * merged with parent (8741ef05)
        * merged with parent (292e918b)

2017-03-16 Gerry Boland

        * Undo changes to the native interface, will be using unity-api to
          expose this instead (33c46645)

2017-03-16 Nick Dedekind

        * merged with parent (1e795423)
        * merged parent (52c93bce)
        * merged with parent (620c391c)

2017-03-16 Gerry Boland

        * Remove WId-ScreenWindow matching and MirSurface::setWId (cb1aa564)
        * Add window margins and bounding area to WMPolicy internals
          (1b2baefb)

2017-03-16 Alan Griffiths

        * A move towards MirAL style (df5880d7)
        * Better naming (5cf51f89)

2017-03-15 Alan Griffiths

        * Move MirBuffer to miral namespace (f8064a55)

2017-03-14 Gerry Boland

        * Fix up a comment while I am here (75c4f812)
        * Add env var equivalent to desktop_file_hint (563e3b5c)
        * Fix error (59bdac51)

2017-03-14 Nick Dedekind

        * merged trunk (25a8a187)
        * workspace controller & surface manager api (2d6fd47f)

2017-03-14 Albert Astals Cid

        * Check for find() result not being null before using it (4951fcdc)

2017-03-13 Daniel d'Andrada

        * bump unity-shell-application required version (102aed86)

2017-03-13 Gerry Boland

        * Remnant of bad rebase, delete SessionManager reference (2b3d0af0)

2017-03-13 Alan Griffiths

        * merge :parent (9704b6f8)

2017-03-13 Daniel d'Andrada

        * Don't let a child window go offscreen because its parent moved
          (9084a145)

2017-03-13 Nick Dedekind

        * merged parent (97c96b28)
        * use setCustomCursor (966d1c44)

2017-03-10 Nick Dedekind

        * removed Q_PROPERTY from qtmir::Screen (c6766182)
        * merged with parent (44278bd0)
        * merged with parent (0c904e0b)
        * merge with parent (39e212be)
        * merged with parent (fe4b5cba)
        * updated gles patch (dae3e6d2)
        * libqtmirserver1 (7c295ffc)

2017-03-08 Nick Dedekind

        * use newer drop frame algorithm (6a11811c)

2017-03-08 Daniel d'Andrada

        * Let CanonicalWindowManagerPolicy have a go at it (393ad2b0)

2017-03-07 Bileto Bot

        * Releasing 0.5.1+17.04.20170307-0ubuntu1 (2cbe5c8f)

2017-03-07 Daniel d'Andrada

        * DBusFocusInfo: fix crash when trying to access a null session from
          an application (dc583418)

2017-03-07 Albert Astals Cid

        * Fix clang build (0054bd93)

2017-03-07 Daniel d'Andrada

        * Reduce default log verbosity (5048b1b1)

2017-03-07 Gerry Boland

        * Workaround for Mir changing GL state unexpectedly on Qt, breaking
          font rendering. (f942b607)

2017-03-07 Lukáš Tinkl

        * Use the shell chrome, as provided by miral window info (LP:
          #1658117) (a08adebb)

2017-03-07 Daniel d'Andrada

        * Don't pass command line arguments to Mir (5022692b)
        * Make TaskController absorb SessionManager (5d2b0a6d)
        * Some qtmir::Session fixes (d8ad348a)
        * DBusFocusInfo: fix crash when trying to access a null session from
          an application (47bd3a0e)
        * Implement MirSurface::allowClientResize (692504f3)

2017-03-03 Gerry Boland

        * Make self-triggered MirSurface deletion happen later, makes code
          more robust (13b6694d)

2017-03-03 Andreas Pokorny

        * update years (b4f4f8db)
        * Move storing of EventInfo into dispatch* methods (dfec7b8e)

2017-03-03 Michael Zanetti

        * add a dep to libmiral-dev (a4a4277e)

2017-03-03 Nick Dedekind

        * reverted to MirSurface create with NewWindow (e8df5442)

2017-03-03 Alan Griffiths

        * Move const to the left (91c73f9c)

2017-03-02 Alan Griffiths

        * Put const where "we" like it (e1c6b171)
        * Simplify and remove dead code (741203d2)

2017-03-02 Gerry Boland

        * Cleanup: no need to pass MirSurface out in isBeingDisplayedChanged
          signal (43d04359)
        * Stop MirSurface deleting itself, ensure SurfaceManager alone
          manages MirSurface lifetimes (28487d6d)
        * Remove tests for the old delete-self behaviour of MirSurface
          (c16b722d)

2017-03-02 Nick Dedekind

        * const override (6a033ade)
        * signal renaming (7e6e3f32)

2017-03-02 Gerry Boland

        * Small SurfaceManager Test improvements (d7b9b63e)

2017-03-02 Nick Dedekind

        * WindowNotifierObserver (83997946)

2017-03-02 Albert Astals Cid

        * Fix clang build (29d73b3a)

2017-03-02 Gerry Boland

        * Add more SurfaceManager tests (58836cdc)

2017-03-01 Nick Dedekind

        * merged with parent (172c18ce)
        * merged with parent (34dc6909)
        * merged with parent (aa9c37cf)
        * merged with parent (c45fba82)
        * merged with parent (876f5fad)

2017-03-01 Gerry Boland

        * Add SurfaceManager test - needs more tests (2af6605e)

2017-02-28 Gerry Boland

        * Lay foundations for SurfaceManager testing (3d311826)

2017-02-28 Andreas Pokorny

        * Attach MirInputDeviceId and the MirCookie to input events
          (9b15d4e5)

2017-02-28 Alan Griffiths

        * Fix indent (913fd4b0)

2017-02-28 Gerry Boland

        * Be more generous with valgrind timeouts (42a6b8ac)
        * Extend timeouts when running under valgrind (fbadbb5b)

2017-02-28 Nick Dedekind

        * Surfaces track window changes. Better surface tracking (1a434e90)

2017-02-28 Alan Griffiths

        * Keep clang 3.8 happy (5bb21731)
        * merge :parent (1f138512)

2017-02-24 Nick Dedekind

        * suface manager singleton (c128f966)

2017-02-24 Alan Griffiths

        * Remove "Authored by:" from new file headers (918fea52)

2017-02-23 Alan Griffiths

        * Correct naming (94dc836b)
        * Remove mirserver dependencies from
          .../Application/mirbuffersgtexture.cpp and
          ../Application/surfacemanager.cpp (5fc63175)
        * Remove mirserver dependencies from
          src/modules/Unity/Application/surfacemanager.cpp
          (2f7a8ef6)
        * Refactor into a class (3803ab45)
        * Remove mirserver dependencies from
          src/platforms/mirserver/mirbuffersgtexture.cpp (3c0dddbf)

2017-02-23 Daniel d'Andrada

        * make MirSurface::setCursor a debug message, so no logged by default
          (521ae812)

2017-02-22 Nick Dedekind

        * review comments (427da902)
        * workspace policy (a6900ee6)
        * merged parent parent (12a34d7d)
        * merged parent (89457ce3)
        * merged parent (97a98da5)
        * merged with parent (8e852fc7)
        * comment updates (98d3539e)
        * GuiServerApplication->MirServerApplication (617d9aff)
        * updated gles patch (2424e5c8)
        * packaging fixes (b128e03c)
        * merged trunk (8d2c8f70)
        * merged with trunk (62eb3237)

2017-02-21 Daniel d'Andrada

        * Don't pass command line arguments to Mir (bb846658)
        * Make TaskController absorb SessionManager (1c0b2360)
        * Some qtmir::Session fixes (c0c13609)

2017-02-21 Bileto Bot

        * Releasing 0.5.1+17.04.20170221-0ubuntu1 (831cc473)

2017-02-21 Ken VanDine

        * Handle ubuntu-app-launch API bump to version 3 (f757dba7)

2017-02-17 Nick Dedekind

        * more screen impl (0363f6b4)
        * Removed Unity.Screens. Added qtmir api for screens. (b7502084)

2017-02-16 Nick Dedekind

        * moved screen to qtmirserver (64cc84ef)
        * added active window (d9ddeb12)

2017-02-15 Bileto Bot

        * Releasing 0.5.1+17.04.20170215.1-0ubuntu1 (8396eeb5)

2017-02-15 Daniel d'Andrada

        * Resolve mir cursor names using mir symbols instead of plain strings
          (a255632f)

2017-02-15 Alan Griffiths

        * Identify the code that depends directly on mirserver-dev headers
          (dc59a34b)

2017-02-15 Albert Astals Cid

        * Check we provide the same unity-application-impl that we require
          (f011479a)

2017-02-15 Bileto Bot

        * We're at provides 26 already (LP: #1662608) (749e45b3)

2017-02-15 Gerry Boland

        * Restore lost LTTng tracepoints, and delete unused ones (LP:
          #1658084) (12750dfa)
        * ScreenModel: Only expose windows on displays that are turned on
          (1e822641)

2017-02-15 Nick Dedekind

        * Added Extended Display Information Data (EDID) parsing. (f1516ea4)

2017-02-15 Alan Griffiths

        * Iteration 0 of miral::PersistDisplayConfig. This does nothing yet
          (and breaks nothing in the process). This MP creates a
          place (miral-prototypes) to build prototype miral features
          and sketches out what will need to be implemented for
          PersistDisplayConfig. (LP: #1644189) (0c30c531)

2017-02-15 Iain Lane

        * Releasing 0.5.1+17.04.20170206-0ubuntu2 (1cf29667)

2017-02-15 Albert Astals Cid

        * We're at provides 26 already (362e22d4)

2017-02-15 Lukáš Tinkl

        * this depends on miral >= 1.2 (b4742382)

2017-02-15 Gerry Boland

        * More efficient to just reset to known default, instead of
          read/save/write per texture, to avoid pipeline flush
          (15fcc650)

2017-02-14 Gerry Boland

        * Fix typo (10084aef)
        * Workaround for Mir changing GL state unexpectedly on Qt, breaking
          font rendering. (910b15a4)

2017-02-14 Nick Dedekind

        * merged with parent (49458451)
        * merged parent (ae8a0b9b)
        * merged parent (7d5deedb)
        * merged parent (baf7b6a8)
        * more info for identifying a display (84aeb0bc)

2017-02-13 Nick Dedekind

        * Better screen configuration (174c2640)
        * Still create QScreen for unused displays (but hide the windows)
          (e39498e5)
        * merged parent (45fbef34)
        * merged parent (07346943)
        * fixed gles patch (8a56447b)

2017-02-10 Ken VanDine

        * dropped debian/changelog entry (f1bb03cd)

2017-02-10 Nick Dedekind

        * merged parent (1ed842c0)
        * merged parent (00a5b85a)
        * merged parent (0fef076e)
        * merged parent (da2b5ecd)
        * qtmir-demo-shell multi-screen awareness (a44ebffa)
        * updated gles (6cb54985)
        * updated gles patch (ccdee48b)
        * merged parent (63d5ea2d)
        * api version bump (c45e6694)
        * merged parent (3ec0a4f6)
        * merged parent (b823daae)
        * updated gles patch (11469cfc)
        * merged parent (bdeb0989)
        * merged parent (a0d664d2)
        * Packaging fixes (2c04d6e3)
        * Use API in qml-demo-shell (fa060026)
        * Added qtmirserver abi version (deee80dd)
        * fixed api version (9d2dae7a)
        * version bump (6147425c)

2017-02-09 Nick Dedekind

        * merged textures (bbb86ab7)
        * merged parent (a016d36a)
        * use DisplayOutputOptions::mode (d215f4b9)
        * use full display mode rather than just size (834075e0)
        * mouse position with screen position (7ce8b9a0)
        * fixed PointerPosition destructor (6b6d4da0)
        * api demo updates (8dd7695e)
        * print error on failed EDID parse (7b21a6e5)
        * added check for ouput.connected to load/save config (85f69b60)

2017-02-09 Daniel d'Andrada

        * Resolve mir cursor names using mir symbols instead of plain strings
          (737cfaf1)

2017-02-09 Nick Dedekind

        * merged parent (6f8a90e4)
        * removed duplicate event feeder (8a7ff603)

2017-02-08 Ken VanDine

        * Handle ubuntu-app-launch API change (52614e81)

2017-02-08 Albert Astals Cid

        * Fix the workaround for -gles (0d1ca7d1)

2017-02-08 Nick Dedekind

        * fixed typo and unsigned int (98823c69)
        * merged parent (45c65be2)
        * merged parent (996f5018)
        * merged api (d6b0463f)
        * server function fixes (74039d15)

2017-02-08 Albert Astals Cid

        * -only (a60ee541)
        * Skip the test for the gles build (3cc9eb46)

2017-02-08 Nick Dedekind

        * merged parent (149be44a)
        * merged parent (3b44fffd)

2017-02-08 Alan Griffiths

        * merge lp:~mir-team/qtmir/iteration-0-of-miral-PersistDisplayConfig
          (3c38f68a)
        * merge lp:qtmir (d0d16a55)

2017-02-08 Nick Dedekind

        * merged qtmir api (29a7fff9)
        * merged with pre-req (387a010a)
        * merged parent (b28d4789)
        * merged parent (0eef50ef)
        * merged trunk (cc837416)
        * removed mir 0.26 version check (0b6c7b7d)

2017-02-08 Albert Astals Cid

        * Check we provide the same unity-application-impl that we require
          (712ab117)
        * Update patch too (a495fc1a)
        * we're at provides 26 already (d83f3795)

2017-02-07 Daniel d'Andrada

        * Reduce default log verbosity (6f064cfb)

2017-02-07 Nick Dedekind

        * merged with parent (38e1878f)
        * merged with parent (da327665)
        * merged with trunk (cdfbfff7)

2017-02-07 Lukáš Tinkl

        * merge trunk (68e6210c)
        * merge trunk (536a9025)
        * use the conversion instead of static_cast (8fd2fece)
        * use the shell_chrome, as provided by WindowInfo::shell_chrome()
          (6b9bba14)

2017-02-07 Nick Dedekind

        * review comments (677a6d57)
        * merged with prereq (6fc5f563)
        * screen window configuration (8de9b4b2)
        * few more pre-review fixes (8fba40d5)
        * screen window changes (77b2847d)
        * multiple surface textures (3176017c)

2017-02-06 Nick Dedekind

        * pre-review cleanup (534e04e2)
        * display configuration observer. renames (5b71e7ca)

2017-02-06 Bileto Bot

        * Releasing 0.5.1+17.04.20170206-0ubuntu1 (d15496ee)

2017-02-06 Daniel d'Andrada

        * Fix initialSurfaceSize (86946fe9)
        * Changes need for child windows support (736ded5a)
        * MirSurface: Make frame dropper work even when there's no texture
          around (20c1bf91)
        * WindowManagementPolicy: Avoid activating windows unnecessarily
          (5bfa7330)

2017-02-03 Nick Dedekind

        * removed debug (58f8cb58)
        * moved ScreenMode (932eab1e)
        * removed unused window properties (e67a8427)
        * ScreenConfig (60e53f59)

2017-02-02 Nick Dedekind

        * Unity.Screens Screen (ae7c56cb)

2017-02-02 Lukáš Tinkl

        * revert unnecessary changes, still works fine and fixes 3 failing
          tests (18a9b568)

2017-02-02 Nick Dedekind

        * merged with parent (a2d3f2c8)

2017-02-02 Alan Griffiths

        * Fix for Mir-0.26 release (354a9482)

2017-02-02 Lukáš Tinkl

        * do not forcefully kill and hide apps, let them handle the SIGTERM
          and give them a chance to reject it if needed (1a6f8c40)

2017-02-02 Nick Dedekind

        * merged with trunk (0ac89ee2)
        * merged with trunk (084cdd15)

2017-02-02 Daniel d'Andrada

        * Fix initialSurfaceSize (e77c47fc)
        * MirSurface: Make frame dropper work even when there's no texture
          around (cf3eee63)
        * MirSurface: parentSurface, childSurfaceList and position in local
          coords (2d6e7efe)

2017-01-30 Nick Dedekind

        * screen (3172b046)

2017-01-27 Nick Dedekind

        * merged with trunk (a3d36a7c)
        * removed debug message (a3852217)
        * window state (b3d4098a)
        * merged with prereq (bfbfe44d)
        * merged with prereq (158538a2)
        * fix tuple init (8bc3085c)

2017-01-27 Bileto Bot

        * Releasing 0.5.1+17.04.20170127-0ubuntu1 (63d4ec37)

2017-01-27 Cemil Azizoglu

        * Mir 0.26 compatibility branch for QtMir. (45b5b670)

2017-01-26 Cemil Azizoglu

        * Adapt to mir 0.26 after new qtmir landing. (036e46f6)

2017-01-26 Nick Dedekind

        * fixed struct init (14e6cccd)
        * merged with parent (f7266674)
        * reverted child surfaces (64af0118)

2017-01-25 Cemil Azizoglu

        * forgotten member (c766b4c4)
        * Adapt to unity api changes (159d0ef3)
        * libunity-api-dev in proposed has bumped the versions. (0174d9e8)
        * Update miral dependency (22426c4a)

2017-01-24 Cemil Azizoglu

        * Address latest deprecations in lp:mir (17cedd16)

2017-01-24 Bileto Bot

        * Releasing 0.5.1+17.04.20170124-0ubuntu1 (19fbcc4e)

2017-01-24 Gerry Boland

        * Recalculate MirSurface.visible after first frame swap by client
          (cba4bea3)

2017-01-24 Lukáš Tinkl

        * Apply default device keymap (LP: #1626435) (7126b049)
        * Some assorted cleanups and small optimizations (0c798242)

2017-01-23 Nick Dedekind

        * Added Screens.activateScreen(int) (f7c5738e)

2017-01-20 Daniel d'Andrada

        * Remove code (2734d882)
        * WindowManagementPolicy: Avoid activating windows unnecessarily
          (9bbc198b)

2017-01-20 Gerry Boland

        * Remove some unused tracepoints (329c7489)
        * Restore session starting/stopping tracepoints too (2193de96)
        * Restore some lost LTTng tracepoints (6cf21d8a)

2017-01-19 Cemil Azizoglu

        * Adapt to latest mir deprecations (dc4558f1)

2017-01-18 Cemil Azizoglu

        * Update standard locations. (768a0f48)
        * Adapt to Mir 0.26 changes. (0f97ad82)

2017-01-18 Gerry Boland

        * Refactor to makde codepath clearer (d39dc79d)
        * Remove incorrect assumption by me (9687d6b1)
        * Only expose windows on displays that are turned on (fd1b84db)

2017-01-18 Nick Dedekind

        * removed shared cursor data (f5f8c49f)
        * cursor enabled (33873ef3)

2017-01-16 Bileto Bot

        * Resync trunk. (1220df9b)

2017-01-13 Nick Dedekind

        * more screen roles (06342462)
        * input displatcher native interface (f151ab0d)

2017-01-12 Nick Dedekind

        * Refactor for testing - fake textures (a993e4ec)

2017-01-11 Nick Dedekind

        * merged with trunk (ef5d346b)

2017-01-10 Gerry Boland

        * Add test case (227cef8b)
        * Recalculate MirSurface.visible after first frame swap by client
          (cee09c8f)

2017-01-10 Bileto Bot

        * Releasing 0.5.1+17.04.20170110.1-0ubuntu1 (cd568a99)

2017-01-10 Pete Woods

        * Compatibility with unversioned cmake-extras modules (LP: #1563573)
          (9be33353)

2017-01-10 Bileto Bot

        * Specify C++14 in a more CMake-ish way (ba8252fb)

2017-01-10 Timo Jyrinki

        *     Releasing 0.5.1+17.04.20170104-0ubuntu1 (34f0067c)

2017-01-06 Nick Dedekind

        * merged pre-req (2ad37824)
        * merged pre-req (131e67eb)
        * merged with pre-req (76beeff7)
        * merged pre-req (c38e6fd2)
        * review comments (b29d5d18)

2017-01-05 Alan Griffiths

        * Attempt to clean up src/platforms/mirserver/CMakeLists.txt
          (63b69a8a)
        * Fix whitespace (ae6e1c86)
        * src/modules/Unity/Application only has a couple of files using
          mirserver directly (308b6bc3)

2017-01-05 Nick Dedekind

        * merged with pre-req (7209b76e)

2017-01-05 Alan Griffiths

        * Isolate qpa-mirserver dependencies on libmirserver (54e9d552)
        * Remove obsolete MirServerStatusListener (9b44ef46)
        *   qtmir::miral => miral (cd8d78ff)
        *   Cannot use the_display_configuration_observer_registrar() before
          init (6a0b32cf)
        *   Don't break with Mir-0.25 (956e3cf2)
        *   Plumbing for detecting changes to base config (9202e992)
        * Hack a way to use the existing DisplayConfigurationPolicy
          (b3a9ebd0)
        *   Better names, better comments (3a9a12f3)
        * Null implementation (b519af89)
        *   Wire it in (a14f26f3)

2017-01-04 Lukáš Tinkl

        * add a note on thread affinity (e0afb10a)
        * drop QVector::clear() from DTOR, explain the threading situation
          (e5fd47eb)
        * guard the entry methods with QMutexLocker (928a9795)
        * make layout a const ref (b3979f3f)
        * actually we want 25 here (65e4b193)
        * merge lp:~lukas-kde/qtmir/cleanups (bc251028)
        * revert unwanted API level change (bb074379)
        * some cleanups and optimizations (fcffb653)

2017-01-04 Bileto Bot

        * Releasing 0.5.1+17.04.20170104-0ubuntu1 (91f41680)

2017-01-04 Albert Astals Cid

        * Specify C++14 in a more CMake-ish way (41075c04)
        * Specify C++14 in a more CMake-ish way (17337ee2)

2017-01-03 Lukáš Tinkl

        * fix connection with the singleton, drop unused stuff (488d8415)
        * try to delay the callback after the server had been started
          (2dedb085)

2017-01-02 Lukáš Tinkl

        * reduce diff cruft (b473ba25)
        * merge trunk, resolve conflicts (fa6d5960)

2016-12-22 Łukasz 'sil2100' Zemczak

        * No-change rebuild against latest miral. (f9e2ef59)

2016-12-16 Bileto Bot

        * Releasing 0.5.1+17.04.20161216-0ubuntu1 (ddc4d70f)

2016-12-16 Daniel d'Andrada

        * Enable tests in Xenial (4af8f946)
        * Get rid of the ApplicationManager::Factory class (bee4acd6)

2016-12-16 Bileto Bot

        * First release using MirAL (fadbfb77)

2016-12-16 Daniel d'Andrada

        * Fix bad merge (4e51c3d8)

2016-12-15 Lukáš Tinkl

        * merge trunk, resolve conflicts (be3bc897)

2016-12-15 Nick Dedekind

        * merged with edid (fda95112)

2016-12-14 Nick Dedekind

        * removed ::miral (5a53109b)
        * moved default apply before load (efa9670c)
        * merged parent (47730279)
        * fixed mock (4367126c)
        * merged with parent (e46a316b)
        * removed changlog (cbf264d2)
        * better edid header check (a63f4477)

2016-12-13 Daniel d'Andrada

        * Get rid of the ApplicationManager::Factory class (82010247)
        * merge ../miral-qt-integration (da3f22c9)
        * Bump dependency version of other mir packages (f89635ea)
        * Mir 0.25 compat (merging upcoming trunk) (60352c19)

2016-12-09 Nick Dedekind

        * better gtest param (3a05cfac)
        * merged edid (fd59db06)
        * added edid tests (b4e7cc14)

2016-12-08 Nick Dedekind

        * merged parent (644f0cd0)
        * pc file (06dc3250)
        * lp:~dandrader/qtmir/miral-surfaceLocalPos (294eb4fe)
        * clone_of_output_index->clone_output_index (d3727c62)
        * merged base (2f6ebf56)
        * merged parent (1da19609)
        * clone_of->clone_of_output_index (96613626)
        * cleanup (219186f1)
        * better storage options (72b47997)

2016-12-08 Daniel d'Andrada

        * Enable tests in Xenial (53569674)

2016-12-08 Nick Dedekind

        * added FIXME for cast (4003cc39)

2016-12-07 Pete Woods

        * Compatibility with unversioned cmake-extras modules (a34b11f2)

2016-12-07 Nick Dedekind

        * merged edid (3c6bca32)
        * merged edid (c7ba1956)
        * add check for 256 byte edid (dc2aab5c)
        * merged storage (9d93856d)
        * merged storage (39c0d2cb)
        * merged parent (6d76e760)
        * added size check (da64741d)
        * storage (75cc2ff2)
        * DisplayOutputConfiguration->DisplayOutputOptions (7fd5c1c3)
        * merged storage (a16976c2)
        * merged edid (8e790c95)

2016-12-07 Daniel d'Andrada

        * findApplicationWithSurface is const (49fd20f3)

2016-12-07 Nick Dedekind

        * DisplayConfigurationStorage (e6ce7d09)
        * merged with parent (8b77dadd)
        * qtmir::miral->::miral (c69e6a09)
        * merged with Persist (a6dbd7c5)

2016-12-06 Lukáš Tinkl

        * drop unused method (e2d51c4e)
        * merge
          lp:~andreas-pokorny/qtmir/no-input-context-plugin-in-event-feeder
          (a5a48dae)

2016-12-06 Alan Griffiths

        * merge :parent (a60a26f3)
        * qtmir::miral => miral (1b383e69)

2016-12-06 Lukáš Tinkl

        * merge trunk and bump (7ce7cf99)

2016-12-05 Nick Dedekind

        * added edid (629bdac3)
        * merged persistentDisplayConfig (a0e5e8d0)
        * added edid parsing (8361bb80)

2016-12-05 Daniel d'Andrada

        * Add missing license header (776e0d4c)

2016-12-03 Bileto Bot

        * Releasing 0.5.0+17.04.20161203-0ubuntu1 (c680f79e)

2016-12-03 Brandon Schaefer

        * Mir 0.25 compat (4907809c)

2016-12-02 Nick Dedekind

        * merged trunk (302eb931)

2016-12-01 Daniel d'Andrada

        * Fix order of entries in debian/changelog (d2ec8667)
        * MirSurface: parentSurface, childSurfaceList and position in local
          coords (a61b56eb)
        * Merge trunk (ae904cf1)

2016-11-30 Nick Dedekind

        * added edid for mir 0.26 (20e61f65)
        * removed comment (a9240d28)
        * no constructor args (a17bab32)
        * cleanup (67460311)
        * added override (9f060e18)
        * moved to miral::experimental (37ed3dc2)
        * more (4eea7440)
        * integrated persist policy and custom policy override (5b089f46)

2016-11-29 Nick Dedekind

        * gmock fixes (e12d8209)
        * fixed config (0b8a01b6)
        * merge persist (1b22430c)

2016-11-28 Nick Dedekind

        * added notiifers (391420a9)
        * removed input config (ef48b1ed)
        * better display config policy (037b886e)

2016-11-28 Alan Griffiths

        * Cannot use the_display_configuration_observer_registrar() before
          init (0924de84)
        * Don't break with Mir-0.25 (2a8c3cd5)
        * Plumbing for detecting changes to base config (ab85bd5c)
        * merge :parent (d8e3b0ba)

2016-11-25 Alan Griffiths

        * Hack a way to use the existing DisplayConfigurationPolicy
          (4ad38459)

2016-11-25 Daniel d'Andrada

        * MirSurface: Improve logging and don't use miral::Window of a dead
          surface (c6487f43)
        * use Q_UNREACHABLE() (78b29126)
        * MirSurface: Improve logging and don't use miral::Window of a dead
          surface (d7bd1e3e)
        * Update mirSurfaceTypeToStr (19071ab6)

2016-11-24 Alan Griffiths

        * Better names, better comments (88080b31)
        * Null implementation (870c151e)
        * Wire it in (c60b412a)
        * Minimal API (4055e2ec)
        * Add the miral prototype library (918bf332)

2016-11-24 Daniel d'Andrada

        * MirSurface::activate() (cb556b68)

2016-11-23 Andreas Pokorny

        * Remove the usage of qts InputContextPlugin when handling key events
          (8eac8da5)

2016-11-23 Bileto Bot

        * Releasing 0.5.0+17.04.20161123.3-0ubuntu1 (a31e6117)

2016-11-23 Albert Astals Cid

        * Build with Qt 5.7 (LP: #1642608, #1642954) (0d82980a)

2016-11-23 Jonas G. Drange

        * relax auth of clients to allow USS to set base mir display config
          (837e1961)

2016-11-23 Gerry Boland

        * Revert Lttng test-crash workaround from rev 557 (1912edb7)
        * Fix FTBFS due to new googletest framework release (1.8) (8a65797f)
        * Fix typo (535803db)
        * Revert unnecessary change (536cbe72)
        * debian/rules: it ok if files are not there to delete (64e71944)
        * Update gles patch (84072b8c)
        * Debian/rules: Uninstall gmock/gtest in-tree build artifacts
          (1458fcb8)
        * Fix build fail due to signed/unsigned comparison flagged by gtest
          (2c99fe90)
        * Fix up GMock-fixes to work with gmock 1.8 (69f6f83d)

2016-11-22 Daniel d'Andrada

        * Reduce log output a tiny bit (5908da2f)
        * MirSurface::activate() (26fad44e)

2016-11-21 Nick Dedekind

        * wrappable windowmanagementpolicy (2ab88c1d)

2016-11-18 Nick Dedekind

        * display config wrapped (b239ad0c)

2016-11-18 Albert Astals Cid

        * sp (4033de64)
        * Use the generic orientation sensor for the test (08658d9f)

2016-11-18 Nick Dedekind

        * qtmirserver api (e93f8df8)

2016-11-18 Albert Astals Cid

        * Build with Qt 5.7 (afd3bcf9)

2016-11-17 Brandon Schaefer

        * Opps missed unused param (ca60209f)
        * One more (f2c21d58)
        * Missed this (3823c1f9)

2016-11-17 Daniel d'Andrada

        * Move TopLevelWindowModel out of qtmir. Export a SurfaceManager
          instead (03704306)

2016-11-16 Gerry Boland

        * Fix handling of command line arguments (d275309c)

2016-11-16 Brandon Schaefer

        * 0.25 compat (8224d9ec)
        * Bump for mir 0.25 ABI break (9b2ffa62)

2016-11-16 Gerry Boland

        * Fix handling of command line arguments (f5a36155)

2016-11-15 Daniel d'Andrada

        * Move TopLevelWindowModel out of qtmir. Export a SurfaceManager
          instead (3a8c5ba0)

2016-11-09 Gerry Boland

        * MirAL0.4 fixed the pkgconfig file, can now use it (a59fee43)

2016-11-09 Daniel d'Andrada

        * Fix memory leak when removing an application (ef13232e)

2016-11-09 Gerry Boland

        * MirAL0.4 fixed the pkgconfig file, can now use it (b41dfe3a)

2016-11-09 Daniel d'Andrada

        * Fix memory leak when removing an application (da49e064)

2016-11-07 Daniel d'Andrada

        * Fix package build (45f70b61)
        * Fix package build (1fda4383)
        * Let TopLevelWindowModel unset the surface (5ab00642)
        * Let TopLevelWindowModel unset the surface (f6660b28)

2016-11-04 Daniel d'Andrada

        * Fix MirSurface::setReady() (bfbd14bf)
        * Fix MirSurface::setReady() (cd6eea4e)
        * Clean up debug messages (27f97e42)
        * TopLevelWindowModel - fix handling of prompt surfaces (2595557a)

2016-11-03 Daniel d'Andrada

        * Bump miral version dependency (dac9624d)

2016-11-03 Gerry Boland

        * Depend on MirAL (14d04ed3)

2016-11-03 Daniel d'Andrada

        * merge lp:~gerboland/qtmir/revert557 (9d1de058)

2016-11-03 Gerry Boland

        * Clarify comments (f2fb5a33)

2016-11-03 Nick Dedekind

        * merged with trunk (b89cd1ed)

2016-11-02 Gerry Boland

        * Disable tests on vivid+overlay due to bug lp:1618201 (e1a73fef)

2016-11-02 Jonas G. Drange

        * allow all connections to change base display (4fe610b0)

2016-10-28 Lukáš Tinkl

        * merge trunk (6f23334f)

2016-10-28 Gerry Boland

        * Revert Lttng test-crash workaround from rev 557 (741a3c4b)

2016-10-24 Bileto Bot

        * Releasing 0.4.8+17.04.20161024-0ubuntu1 (396ee204)

2016-10-24 Nick Dedekind

        * Close windows in reverse order. (LP: #1622717) (3ed77ba1)

2016-10-24 Andrea Bernabei

        * Add missing default return value to qImageFormatFromMirPixelFormat
          (eb0d6982)

2016-10-24 Michael Zanetti

        * don't lose resize events that come in while the app is suspended
          (4e533198)

2016-10-21 Nick Dedekind

        * merged with trunk (fb559a60)

2016-10-11 Michael Zanetti

        * properly buffer resize events while the client is suspended
          (ceb2dded)

2016-10-05 Lukáš Tinkl

        * dtop unneeded include (550a3942)

2016-09-30 Lukáš Tinkl

        * fix the namespace pollution (655d4137)
        * depend on the respective unity-api branch (b610c416)

2016-09-29 Lukáš Tinkl

        * fixes... need to keep the shared_ptr to InputDeviceHub around,
          otherwise the keymap switching doesn't work (742ff1f7)
        * address review comments (e2d03899)

2016-09-27 Lukáš Tinkl

        * merge trunk (2f7679bc)

2016-09-26 Lukáš Tinkl

        * drop debug here (bd022f76)
        * convert to qCDebug() (0c13463e)

2016-09-23 Lukáš Tinkl

        * cleanup (3ed64e25)

2016-09-22 Lukáš Tinkl

        * initial version of device keymaps (907fa5f1)
        * merge lp:~unity-team/qtmir/cursorConfinement (e066955c)

2016-09-22 Nick Dedekind

        * Added comment and test (bd0d7180)

2016-09-22 Michael Zanetti

        * merge prereq (6a755874)

2016-09-21 Nick Dedekind

        * fixed app close not closing all windows (38ec944e)

2016-09-09 Bileto Bot

        * Releasing 0.4.8+16.10.20160909-0ubuntu1 (192a76d3)

2016-09-09 Daniel d'Andrada

        * Implement cursor confinement (LP: #1590099) (4fe11846)
        * Send relative pointer movement to Mir clients (LP: #1597205)
          (e06aa2ba)

2016-09-09 Gerry Boland

        * [tests] refactor ScreensModel test to use mocks from mirtest-dev
          (ac7521a7)
        * Deliver mouse event manually if no cursor exists to deliver it
          (19837642)

2016-09-08 Daniel d'Andrada

        * Implement cursor confinement (6212ceb1)
        * Send relative pointer movement to Mir clients (40fb4a03)
        * merge lp:~gerboland/qtmir/use-mir-test-dev (8596776c)

2016-09-07 Gerry Boland

        * Merge qtmir trunk (f3840f93)

2016-09-06 Bileto Bot

        * Releasing 0.4.8+16.10.20160906-0ubuntu1 (f4026924)

2016-09-06 Daniel d'Andrada

        * Don't occlude newly created surfaces until some time has passed
          (fb028ed1)
        * Don't occlude newly created surfaces until some time has passed
          (43d2a202)

2016-09-05 Andrea Bernabei

        * Add missing default return value to qImageFormatFromMirPixelFormat
          (8077cc05)

2016-09-01 Gerry Boland

        * Merge trunk, fix conflict (128afbdc)

2016-08-31 Bileto Bot

        * Releasing 0.4.8+16.10.20160831-0ubuntu1 (cab5a718)

2016-08-31 Daniel d'Andrada

        * Don't link tests against LTTng (3fbf0888)
        * Use content-hub for clipboard services (1a01d5a3)
        * DBusFocusInfo: added isSurfaceFocused(serializedId) (0e0b9a3a)

2016-08-30 Daniel d'Andrada

        * Don't link tests against LTTng (0e7d25b2)
        * Use content-hub for clipboard services (8c66dbec)

2016-08-30 Łukasz Zemczak

        * Releasing 0.4.8+16.10.20160826.1-0ubuntu3 (e55fcb5e)

2016-08-30 Daniel d'Andrada

        * DBusFocusInfo: added isSurfaceFocused(serializedId) (e749a3e7)
        * Merge lp:~unity-team/qtmir/persistent_surface_id (72271ada)
        * Workaround
          https://bugs.launchpad.net/ubuntu/+source/mir/+bug/1617435
          (f7ced045)
        * MirServer is an implementation detail (58318469)

2016-08-30 Nick Dedekind

        * Added implementation for MirSurfaceInterface::persistentId
          (6f348563)

2016-08-30 Michał Sawicz

        * Build qtmir-android on arm64 for the need of valid
          libqpa-mirserver.so for ubuntu phone xenial arm64 porting.
          (301bf74c)

2016-08-30 You-Sheng Yang

        * Build qtmir-android on arm64. (80c3c6f9)

2016-08-26 Bileto Bot

        * Releasing 0.4.8+16.10.20160826.1-0ubuntu1 (7aa39ede)

2016-08-26 Michał Sawicz

        * Revert r538 that's causing a unity8 crash when launching emergency
          dialer over greeter (LP: #1616842) (1e3d52f1)

2016-08-26 Daniel d'Andrada

        * DBusFocusInfo.isPidFocused: search sessions recursively (LP:
          #1612166) (6bc787c7)

2016-08-26 Michał Sawicz

        * Bring back/add comment (c0deb06a)
        * Revert r538 that's causing a unity8 crash when launching emergency
          dialer over greeter (d6c51d27)

2016-08-25 Daniel d'Andrada

        * I hate Q_FOREACH (ae4e9bb8)
        * Fix indentation (739c9725)
        * DBusFocusInfo.isPidFocused: search sessions recursively (2024895b)

2016-08-24 You-Sheng Yang

        * Build qtmir-android on arm64. (f546356e)

2016-08-22 Gerry Boland

        * Fix FTBFS: include pkg before adding subdirectories which require
          the pkg (a8bd3d81)
        * Debian control typo fix (81cdfd83)

2016-08-19 Gerry Boland

        * Restore the empty vector - it has nontrivial meaning, good to keep
          it and the comment around (ad2dda0b)
        * Merge trunk (80933aad)
        * Silence logging output (58341a8f)
        * Remove MockDisplay and friends, use mirtest instead (f9530434)
        * Avoid default argument, be explicit. Copyright bumps (f6c4ac49)
        * Can simplify MockGLDisplayBuffer greatly using mirtest (3fa226c6)
        * Replace our copy of MockDisplayConfiguration with one from
          mirtest-dev. (d6342ca4)

2016-08-19 Bileto Bot

        * Releasing 0.4.8+16.10.20160819-0ubuntu1 (77b4a483)

2016-08-19 Ted Gould

        * No change rebuild for UAL ABI change (998b3d4a)

2016-08-19 Gerry Boland

        * Update cmake files to depend on mir 0.24 and add mirtest
          requirement if testing enabled (5b829c69)
        * Bump dependency to mir 0.24, add mirtest-dev build dependency
          (ff87f5de)

2016-08-16 Bileto Bot

        * Releasing 0.4.8+16.10.20160816.1-0ubuntu1 (48db9ad9)

2016-08-16 Kevin DuBois

        * compatibility changes for mir 0.24.0 (17fd3c68)
        * merge in base (b4619565)

2016-08-10 Bileto Bot

        * Releasing 0.4.8+16.10.20160810-0ubuntu1 (15c4191a)

2016-08-10 Daniel van Vugt

        * Fix incorrect mouse wheel/touchpad scrolling scale (LP: #1607240)
          and also add sufficient precision that high-resolution
          touchpad scrolling now works! (LP: #1607223) (d93f77d5)

2016-08-10 Daniel d'Andrada

        * Remove Application.stage and RoleStage from ApplicationManager
          (90a925ac)

2016-08-10 Albert Astals Cid

        * Compile with clang (50be1edb)
        * Improvements from running clazy over the code (38b75407)

2016-08-10 Alan Griffiths

        * Reduce MirServer to an implementation detail of QMirServer (nothing
          else needs to touch it). (d63f0715)

2016-08-09 Kevin DuBois

        * update required mir versions to be 0.24 (ba72f60b)
        * merge in qtmir (bc96640c)

2016-08-08 Ted Gould

        * No change rebuild (9a320bee)

2016-08-08 Albert Astals Cid

        * Compile with clang (e4ae2911)
        * Remove change that conflicts with other branch removing this code
          (ee0e2e29)
        * spacing (93915d31)
        * wops, remove (a1a48a18)
        * Merge (ec64c63d)
        * Merge (5119aa1a)

2016-08-08 Gerry Boland

        * Merge trunk (cc891528)

2016-08-01 Daniel van Vugt

        * Try again (d433722b)
        * camelCase and clarify comments (b1694691)

2016-07-30 Bileto Bot

        * Releasing 0.4.8+16.10.20160730-0ubuntu1 (54e48847)

2016-07-30 Gerry Boland

        * AppMan: queue the onProcessStarting slot, as processStarting blocks
          ubuntu-app-launch from executing the process. (40566121)

2016-07-30 Daniel d'Andrada

        * Remove com.canonical.Unity.WindowStack D-Bus service (57fbb280)

2016-07-30 Gerry Boland

        * Tests: AppManTest: use stack instead of heap when possible, better
          cleanup of resources (66210a6f)

2016-07-30 Albert Astals Cid

        * Fix memory leak in application_test (ce2fd909)

2016-07-30 Marco Trevisan (Treviño)

        * ScreenWindow: handle window activated when exposing it (45d3c4b0)

2016-07-30 Gerry Boland

        * Dump core if Mir fails to start in time - dump will help us see
          where Mir blocked (LP: #1537389) (93db9578)

2016-07-30 Daniel d'Andrada

        * Ensure different cursor names for consecutive custom cursor changes
          (LP: #1604701) (LP: #1605078) (LP: #1604701, #1605078)
          (7efca48c)

2016-07-30 Bileto Bot

        * Add support for compiler sanitizers via ECM;  Compile with
          -fsanitize=undefined;  Fix leak in ScreensModelTest (LP:
          #1585502);  Fix leak in SessionManager test (LP: #1585498)
          * Remove unused m_sessions member;  Add missing break.
          Initialize m_lastX and m_lastY;  Initialize m_sessionI.
          Give the locker a name;  Fix memory leak in
          QtEventFeederTest (LP: #1585503);  Fix leaks in
          application_manager_test (LP: #1585501);  Improve Session
          debug logging;  MirSurfaceListModel: prepending a surface
          always causes   firstChanged() emission;  Adding
          ApplicationInfo::surfaceCount property (29f24c49)

2016-07-30 Nick Dedekind

        * Re-added occlusion detection (LP: #1475678) (87a9d7d6)

2016-07-29 Daniel van Vugt

        * Fix vivid build failure (older Qt) (cd74fb73)
        * Fix incorrect mouse wheel/touchpad scrolling scale (LP: #1607240)
          and also add sufficient precision that high-resolution
          touchpad scrolling now works! (LP: #1607223) (5fe2ad94)

2016-07-26 Nick Dedekind

        * remove updateScreen (6aa4a7a6)

2016-07-26 Kevin DuBois

        * merge qtmir (e5a0da25)

2016-07-26 Timo Jyrinki

        * Rebuild against Qt 5.6. (9a351c63)

2016-07-25 Daniel d'Andrada

        * Remove Application.stage and RoleStage from ApplicationManager
          (00f4bb0f)
        * Remove com.canonical.Unity.WindowStack D-Bus service (e2f55d88)
        * merge lp:~gerboland/qtmir/tests-use-stack-instead-of-heap
          (af67225c)

2016-07-22 Kevin DuBois

        * merge in qtmir (cd71d29e)

2016-07-18 Kevin DuBois

        * merge in qtmir (e8079c6a)

2016-07-18 Nick Dedekind

        * topleft (fd38159b)
        * cursor test fixes (efcd1627)

2016-07-15 Albert Astals Cid

        * Merge (8757238a)
        * Merge lp:~dandrader/qtmir/mirSurfaceInputBounds (12ad37e6)

2016-07-14 Bileto Bot

        * Releasing 0.4.8+16.10.20160714-0ubuntu1 (2592c37e)

2016-07-14 Daniel d'Andrada

        * Implement MirSurface::inputBounds and make use of mir's input
          region (c08cfa44)

2016-07-12 Bileto Bot

        * Releasing 0.4.8+16.10.20160712-0ubuntu1 (2e921dd4)

2016-07-12 Łukasz 'sil2100' Zemczak

        * Build the qtmir-android package for arm64 as well. (c52481c5)
        * Update the gles patch. (29876d53)
        * Build the qtmir-android package for arm64 as well. (d79c991b)

2016-07-12 Nick Dedekind

        * better multitexture (b1870c90)

2016-07-11 Nick Dedekind

        * first pass multitexture for multiwindow (b7143684)
        * added mouse press window activation (3b07970e)
        * made Screens singleton (9258cff3)

2016-07-08 Nick Dedekind

        * Fixed expose event when re-creating platform surface suring
          QWindow::setScreen. (81fb018e)
        * ScreenWindow support in qml (5c1c707d)
        * Multiple cursor support (3d875451)

2016-07-08 Kevin DuBois

        * merge back in trunk (ab0fe492)

2016-07-06 Daniel d'Andrada

        * Merge trunk (66de9be8)

2016-07-06 Kevin DuBois

        * compatibility changes for mir 0.24.0 release (dcb85535)

2016-07-05 Bileto Bot

        * Releasing 0.4.8+16.10.20160705.2-0ubuntu1 (be9e873d)

2016-07-05 Michał Sawicz

        * Don't use root dbus path (LP: #1599145) (02c11d7a)
        * Don't ever use / as the dbus object path... (bfa822d7)

2016-07-05 Daniel d'Andrada

        * Merge trunk (94ed8026)

2016-07-04 Daniel d'Andrada

        * Add workaround for https://bugs.launchpad.net/mir/+bug/1598936
          (60704aa0)

2016-07-04 Bileto Bot

        * Releasing 0.4.8+16.10.20160704.1-0ubuntu1 (516e072d)

2016-07-04 Daniel d'Andrada

        * com.canonical.Unity.FocusInfo D-Bus service for providing focus
          information (d4e4fbdb)

2016-07-01 Daniel d'Andrada

        * Add missing copyright header (d1e9c606)
        * Identiy apps through cgroup as well (06f0306d)

2016-06-28 Gerry Boland

        * Tidy up the implementation (354aebbe)

2016-06-27 Gerry Boland

        * AppMan: make onProcessStarting as short as possible, scheduling the
          work with a queued event (a848946c)

2016-06-27 Nick Dedekind

        * better (8ca3b8d1)

2016-06-24 Daniel d'Andrada

        * hold a const reference instead of a pointer (8cc46e10)
        * Also consider child sessions (0499ed69)

2016-06-23 Daniel d'Andrada

        * com.canonical.Unity.FocusInfo D-Bus service for providing focus
          information (b6982210)

2016-06-23 Gerry Boland

        * Undo changes to tests which leaked. (797af9cf)
        * Copyright (e60da959)
        * Merge trunk & resolve conflict (849e55c3)

2016-06-23 Albert Astals Cid

        * Merge trunk (e1520599)

2016-06-22 Gerry Boland

        * tests: AppManTests: use stack instead of heap when possible, better
          cleanup of resources (79b16e4d)

2016-06-20 Daniel d'Andrada

        * Implement MirSurface::inputBounds and make use of mir's input
          region (b4e3f76d)

2016-06-20 Albert Astals Cid

        * Fix memory leak in application_test (04e94bf9)
        * Merge (65eb1081)

2016-06-14 Nick Dedekind

        * merged with trunk (101c52ce)

2016-06-14 Bileto Bot

        * Releasing 0.4.8+16.10.20160614-0ubuntu1 (5ea04688)

2016-06-14 Gerry Boland

        * Release temporary GL context ASAP, fixes QtMir on X11. Add some
          hotpath branching hints (LP: #1588921) (02c9ad05)

2016-06-14 Daniel d'Andrada

        * MirSurfaceListModel: prepending a surface always causes
          firstChanged() emission (ae28ebc8)
        * Improve Session debug logging (c3b82405)

2016-06-14 Albert Astals Cid

        * Fix leaks in application_manager_test (LP: #1585501) (8ca02e69)
        * Fix memory leak in QtEventFeederTest (LP: #1585503) (7822648f)
        * Give the locker a name (2ca9c6f9)
        * Initialize m_sessionId (c18081ce)
        * Initialize m_lastX and m_lastY (80d267a8)
        * Add missing breaks (aae33086)
        * Remove unused m_sessions member (dd50fb8e)
        * Fix leak in SessionManager test (LP: #1585498) (3b5222c3)
        * Fix leak in ScreensModelTest (LP: #1585502) (7bce579f)
        * Compile with -fsanitize=undefined (71705034)
        * Add support for compiler sanitizers via ECM (c0e3b279)

2016-06-14 Michael Zanetti

        * Adding ApplicationInfo::surfaceCount property (c0092d2a)

2016-06-09 Daniel d'Andrada

        * Improve Session debug logging (36a84181)

2016-06-07 Marco Trevisan (Treviño)

        * ScreenWindow: handle window activated when exposing it (bde2a5c1)

2016-06-07 Gerry Boland

        * Move gl release outside the debug block (474ac4a6)
        * Fix mouse wheel too (c6136056)
        * Dump core if Mir fails to start in time - dump will help us see
          where Mir blocked (f0e7c3ca)
        * Deliver mouse event manually if no cursor exists to delivers it
          (13d4aeb4)

2016-06-06 Daniel d'Andrada

        * Ensure different cursor names for consecutive custom cursor changes
          (3929dafb)

2016-06-06 Albert Astals Cid

        * spacing++ (ea0bcc5f)
        * build++ (3a7c7aed)
        * clazy_fixes (44e98a84)
        * Merge system_includes (b1f330d9)
        * Mark system includes as such (009b73d4)

2016-06-06 Gerry Boland

        * Releasing too soon, hold context until debug output printed
          (3f2e57c3)

2016-06-06 Bileto Bot

        * Releasing 0.4.8+16.10.20160606.1-0ubuntu1 (a8b4c70a)

2016-06-06 Daniel d'Andrada

        * MirSurfaceListModel: prepending a surface always causes
          firstChanged() emission (3200b06f)
        * Improve Session debug logging (ba9b2db0)

2016-06-06 Albert Astals Cid

        * Fix leaks in application_manager_test (LP: #1585501) (1a5016a0)
        * Fix memory leak in QtEventFeederTest (LP: #1585503) (d7cdb8c8)
        * Give the locker a name (83492e82)
        * Initialize m_sessionId (ca6482c6)
        * Initialize m_lastX and m_lastY (5e4936ee)
        * Add missing breaks (1a6764fd)
        * Remove unused m_sessions member (21b80865)
        * Fix leak in SessionManager test (LP: #1585498) (36a3990e)
        * Fix leak in ScreensModelTest (LP: #1585502) (c9a401b0)
        * Compile with -fsanitize=undefined (2ab66a64)
        * Add support for compiler sanitizers via ECM (a9fca6c2)

2016-06-06 Michael Zanetti

        * Adding ApplicationInfo::surfaceCount property (843a1976)

2016-06-03 Gerry Boland

        * Oopsie, remove debug print (886fa31f)
        * Comment clarification (b36438ab)
        * Add hotpath branch prediction hints (e95af79d)
        * Release temporary GL context ASAP, fixes QtMir on X11 (39022c1b)

2016-06-03 Michael Zanetti

        * bump required package version of unity-api (db11cba6)
        * merge trunk, bump unity-api version requirement (ce1fe8cc)

2016-06-02 Bileto Bot

        * Releasing 0.4.8+16.10.20160602-0ubuntu1 (50a8a39e)

2016-06-02 Kevin DuBois

        * rebuild for mir 0.23 (404e9e50)
        * no change rebuild for mir 0.23 release (aa9478c4)

2016-06-02 Daniel d'Andrada

        * MirSurfaceListModel: prepending a surface always causes
          firstChanged() emission (a076f188)

2016-06-01 Daniel d'Andrada

        * Improve Session debug logging (69338db7)

2016-06-01 Alan Griffiths

        * Another approach to forcing a linker dependency (c96936a0)
        * Use frig_to_force_libmirserver_linkage to discourage optimizer from
          dropping it (4ed557ef)

2016-05-31 Alan Griffiths

        * Stop the tests hanging (f069ad7c)

2016-05-30 Albert Astals Cid

        * Fix leaks in application_manager_test (e5283c6f)
        * remove debug change (c43619e3)
        * Fix memory leak in QtEventFeederTest (a89336af)

2016-05-27 Albert Astals Cid

        * Give the locker a name (b4b7325a)
        * Initialize m_sessionId (3ad91998)
        * Initialize these two members too (311b8e2f)
        * Add missing breaks (1c9e4d38)

2016-05-26 Albert Astals Cid

        * Remove unused m_sessions member (e2269c01)

2016-05-25 Albert Astals Cid

        * Fix leak in SessionManager test (cc12eaac)
        * Fix leak in ScreensModelTest (74964eab)

2016-05-25 Alan Griffiths

        * merge lp:qtmir (89e435ba)

2016-05-25 CI Train Bot

        * Releasing 0.4.8+16.10.20160525.2-0ubuntu1 (18e74dd6)

2016-05-25 Alan Griffiths

        * Remove workaround for lp:1502200 Approved by: Unity8 CI Bot, Daniel
          d'Andrada (4d5ee1f5)

2016-05-25 Albert Astals Cid

        * Enable workaround_brokenFBOReadBack on various chipsets (f0c9ab4f)

2016-05-25 Daniel d'Andrada

        * Fix mir::scene::Surface focus attribute updates Approved by: Unity8
          CI Bot (0244a511)

2016-05-25 Alan Griffiths

        * Drop the (unused) prototype Window Management code Approved by:
          Gerry Boland, Unity8 CI Bot (55f34b96)

2016-05-25 Daniel d'Andrada

        * Bump unity-api versions Approved by: Lukáš Tinkl (ade02a82)

2016-05-25 Albert Astals Cid

        * Make it detect the M10 GPU too (a 720) (f82ed992)
        * Compile with ubsan (2968dd98)
        * Add support for compiler sanitizers via ECM (ba2c56c2)

2016-05-24 Daniel d'Andrada

        * Remove dead code (7adf85a9)
        * Fix mir::scene::Surface focus attribute updates (bb8a187b)

2016-05-20 CI Train Bot

        * Releasing 0.4.8+16.10.20160520.1-0ubuntu1 (705dd29a)

2016-05-20 Timo Jyrinki

        * Use FindQt5PlatformSupport to find platform support, other methods
          not available on Qt 5.6 anymore.
          Fixes: #1554404 Approved
          by: Gerry Boland (a3a08763)

2016-05-20 Daniel d'Andrada

        * Also interpret the cursor names used by Mir client API
          Fixes:
          #1447839 Approved by: Unity8 CI Bot, Michał Sawicz
          (717e2d0c)

2016-05-20 Michał Sawicz

        * Centralize logging categories (9a41bd73)

2016-05-20 Alan Griffiths

        * Reduce coupling to MirServer - it has  been misused as a context
          object. Approved by: Alan Griffiths, Unity8 CI Bot, Daniel
          d'Andrada (22d77cbc)

2016-05-20 Daniel d'Andrada

        * Application: Don't respawn if closed while still starting up
          (853e2f80)

2016-05-20 Gerry Boland

        * UAL can throw on creating Application if invalid appId, catch
          instead of aborting
          Fixes: #1578258 Approved by: Unity8 CI
          Bot, Michael Terry (ae19c73c)

2016-05-19 Michael Zanetti

        * update unity-api requirement version (4e1b8ba5)
        * merge trunk, constify promptSurfaceList to align with the const
          change on surfaceList (6112b5a7)

2016-05-19 Alan Griffiths

        * Delete spurious line of code (e9532a59)
        * merge lp:~unity-team/qtmir/centralizeLoggingCategories (3d997adc)
        * merge lp:qtmir (5403e703)

2016-05-18 Daniel d'Andrada

        * Bump unity-api versions (4a39d15b)

2016-05-18 CI Train Bot

        * Releasing 0.4.8+16.04.20160518.1-0ubuntu1 (05b93972)

2016-05-18 Daniel d'Andrada

        * Move prompt surfaces from MirSurface to Application and emit
          firstChanged signal (f14d6b45)
        * Fix ProxySurfaceListModel::countChanged signal Approved by: Unity8
          CI Bot (f1422cc7)

2016-05-18 Michał Sawicz

        * Bump application API requirement (085d4e0c)

2016-05-17 Daniel d'Andrada

        * Fix code (ca374980)
        * Update unity-api versions (9c6e2a5f)
        * Move prompt surfaces from MirSurface to Application and emit
          firstChanged signal (2890c15d)
        * Fix ProxySurfaceListModel::countChanged signal (066e3676)

2016-05-17 Albert Astals Cid

        * Copy the glyph workaround from qtubuntu (b0b620c3)

2016-05-11 CI Train Bot

        * Releasing 0.4.8+16.04.20160511-0ubuntu1 (9a0572ef)

2016-05-11 Daniel d'Andrada

        * Session: Add a blank surface to the public list if it already has
          child prompt surfaces (e2c1091a)

2016-05-10 Daniel d'Andrada

        * Fix MirSurfaceListModel clean up (25798e98)
        * Session: Add a blank surface to the public list if it already has
          child prompt surfaces (d96e3e36)

2016-05-10 Michael Zanetti

        * bump minimum required version of unity-api (76ef1d4a)
        * Add ApplicationInfo::surfaceCount, fix forwarding of countChanged
          property in ProxySurfaceListModel (10c7b039)

2016-05-06 Alan Griffiths

        * No need to fake MirServer in tests (9d397df5)
        * MirServer is an implementation detail (b3d95964)
        * SessionManager shouldn't need MirServer (a15e05cc)
        * merge lp:~alan-griffiths/qtmir/MirServer-is-not-a-context-object
          (dc6bc303)

2016-05-06 Michał Sawicz

        * Merge lp:~alan-griffiths/qtmir/MirServer-is-not-a-context-object
          (afc44afb)

2016-05-06 Alan Griffiths

        * In qtmir we write "Foo &foo", not "Foo& foo" (716eba5a)
        * MirShell is misleading, get rid of it instead of copying it
          (df6d579c)
        * It's traditional in Qt APIs to have the parent parameter be
          optional (981460a1)

2016-05-05 Alan Griffiths

        * Revert unintended change to layout (89700dee)
        * offscreensurface.cpp doesn't need mirserver.h (aa2b67e1)
        * qmirserver_p.h doesn't need mirserver.h (87837864)
        * ApplicationManager doesn't need MirServer (4349e168)
        * MirSurfaceManager doesn't need MirServer (0c4efccf)
        * MirOpenGLContext shouldn't need MirServer (e52657e2)
        * Remove unused variable (6f46cf06)

2016-05-05 Daniel d'Andrada

        * Use const version of functions (9adda5df)

2016-05-05 Alan Griffiths

        * Narrower dependencies on Mir in header files (a0a7f49f)

2016-05-04 Gerry Boland

        * UAL can throw on creating Application if invalid appId, catch
          instead of aborting (5b89cce2)

2016-05-03 Daniel d'Andrada

        * Also interpret the cursor names used by Mir client API (4dda760f)
        * Centralize logging categories (cdc59f0b)
        * Address review comments (56b61fc6)

2016-05-03 Alan Griffiths

        * Hide the cursor better (c5748e28)

2016-05-02 Daniel d'Andrada

        * Application: Don't respawn if closed while still starting up
          (bacaa7f5)

2016-04-29 CI Train Bot

        * Releasing 0.4.8+16.04.20160429.1-0ubuntu1 (ca928a9d)

2016-04-29 Gerry Boland

        * Enhance ScreenController & the DisplayConfigurationPolicy to
          implement dynamic grid units. (fb157aa2)
        * MirSurfaceItem - rename slot to updateScreen (40be2990)
        * Update copyright years (97b35ac1)
        * DisplayConfiguration - explain why using LVDS to decice
          phone/tablet policy (15c20da2)

2016-04-29 Alan Griffiths

        * Remove pre-requisite for Window Management work - the follow-up
          never landed (501a6538)

2016-04-28 CI Train Bot

        * Releasing 0.4.8+16.04.20160428-0ubuntu1 (133a79a8)

2016-04-28 Lukáš Tinkl

        * Regression fix: restore window title handling
          Fixes: #1563522
          Approved by: Nick Dedekind (234be2f0)

2016-04-28 Michael Terry

        * Use latest UbuntuAppLaunch API which supports libertine apps.
          Approved by: Nick Dedekind (528f1d16)

2016-04-26 Gerry Boland

        * Fix FTBFS (d04bb80d)

2016-04-26 Michael Terry

        * Merge from trunk (586c7cb4)

2016-04-26 Michał Sawicz

        * Merge trunk (de3212a0)

2016-04-26 CI Train Bot

        * Releasing 0.4.8+16.04.20160426-0ubuntu1 (74163d89)

2016-04-26 Alberto Aguirre

        * Mir 0.22 compatibility Approved by: Cemil Azizoglu, Kevin DuBois,
          Brandon Schaefer (e48d0d75)

2016-04-25 Nick Dedekind

        * init values (78c777ba)
        * init values (78cf4491)

2016-04-25 Alberto Aguirre

        * Bump required mir version (c9316ab3)

2016-04-22 Nick Dedekind

        * fix setscreen (4057047d)

2016-04-22 Michael Terry

        * Use shared pointers for application info (a23e07e4)

2016-04-21 Alberto Aguirre

        * Mir 0.22 compatibility (7de9e657)

2016-04-13 Michael Terry

        * Merge from trunk (0545c187)

2016-04-13 CI Train Bot

        * Releasing 0.4.8+16.04.20160413-0ubuntu1 (7145926e)

2016-04-13 Michał Sawicz

        * Inline -gles packaging. Approved by: Gerry Boland (580540ab)

2016-04-13 Daniel d'Andrada

        * Surface-based window management (6c8f8377)
        * MirSurface: replace keymapLayout and keymapVariant with keymap
          (14c44a24)
        * Remove application screenshot provider (b1c70a67)
        * Application: improve debug logging (aeba814d)
        * Logging of Qt's OpenGL debug messages now must be enabled via CMake
          option Approved by: Gerry Boland (95017ed9)
        * Update unity-api version dependency (5b4b23a2)

2016-04-13 Gerry Boland

        * Merge trunk (56fd378c)

2016-04-06 Michał Sawicz

        * Merge lp:~dandrader/qtmir/surfaceListModel (6e89481f)

2016-04-06 Daniel d'Andrada

        * connect surface-level focus to app-level focus (5cd5579a)
        * Fix issue with focusedApplicationId update (91dd0a57)

2016-04-05 Daniel d'Andrada

        * Implement ApplicationManager::focusedApplicationId and fix surface
          active focus (99dfd1dd)

2016-04-04 Daniel d'Andrada

        * Fix and improve ApplicationManagerTests (6a415e50)
        * Ensure MirSurface deletes itself if it goes zombie while already
          not being viewed (9928f672)
        * Application-level focus requests (9049735e)

2016-04-01 Robert Bruce Park

        * Iterate. (da959461)
        * Iterate on deleting unnecessary files. (307f0d1f)
        * Delete unneeded files. (1e5f2083)
        * Skip tests in qtmir-gles. (8363f4eb)
        * Merge trunk. (4d9ec77f)
        * Documentation tweaks. (311a0f7a)

2016-04-01 Daniel d'Andrada

        * Add debug log for a function (ddd8c8ee)

2016-04-01 Lukáš Tinkl

        * add a test for renaming a surface (aka window title) (c7ada1bc)
        * regression fix: restore window title handling (7fb5c03c)

2016-03-31 Robert Bruce Park

        * Initial fix for -gles test. (36eec632)
        * Experiment: stop deleting .install files. (8270de49)
        * Bring back --fail-missing. (b9522302)
        * Export QUILT_PATCHES. (38359fda)
        * Refresh patch again. (82323bf8)
        * Add build-dep on quilt. (dbf71127)
        * Clean up after quilt. (d3a5234f)
        * Refresh patch for real. (54f1ada9)
        * Merge trunk. (9a5bb2a1)
        * Refresh patch again. (da3504cd)
        * Refresh patch. (4737117f)
        * Fix export and add documentation. (0e40af81)

2016-03-31 Daniel d'Andrada

        * Split focus concept into two: one for shell and another for clients
          (be122b9d)
        * Fix ApplicationManager::requestFocusApplication (7c03dd78)
        * Let the decision on the focused surface be completely on shell's
          hands. (5840e490)

2016-03-31 Michał Sawicz

        * Fix sed line and drop gles-specific Vcs headers (d924e5d1)

2016-03-30 CI Train Bot

        * Releasing 0.4.8+16.04.20160330-0ubuntu1 (0e6cef82)

2016-03-30 Michał Sawicz

        * Drop leftover Xs-Testsuite header Approved by: Unity8 CI Bot, Gerry
          Boland (26499ea5)
        * Drop leftover Xs-Testsuite header (af1e8e4a)

2016-03-29 CI Train Bot

        * Releasing 0.4.8+16.04.20160329.1-0ubuntu1 (91ae19c6)

2016-03-29 Daniel van Vugt

        * Don't use preferred_mode_index. Some devices like TVs don't provide
          a preferred mode, so preferred_mode_index may be out of
          range (a clumsy way to represent 'none'). Instead use the
          resolution of the current display mode, which should
          always be in range. (4e1fe2bb)

2016-03-28 Daniel d'Andrada

        * Surface-based window management (3d868f4d)
        * MirSurface: replace keymapLayout and keymapVariant with keymap
          (a9a46c55)

2016-03-24 Michał Sawicz

        * Use quilt to manage gles differences (02dd6282)

2016-03-24 Daniel d'Andrada

        * Remove application screenshot provider (2c320b76)
        * Application: improve debug logging (3286bea9)
        * Logging of Qt's OpenGL debug messages now must be enabled via CMake
          option (d2cbc211)

2016-03-23 Daniel van Vugt

        * Don't use preferred_mode_index. Some devices like TVs don't provide
          a preferred mode, so preferred_mode_index may be out of
          range (a clumsy way to represent 'none'). Instead use the
          resolution of the current display mode, which should
          always be in range. (c7d24a42)

2016-03-22 CI Train Bot

        * Releasing 0.4.8+16.04.20160322.1-0ubuntu1 (f4b8aa18)

2016-03-22 Michał Sawicz

        * Support for switching keyboard layouts
          Fixes: #1491340, #1524400
          Approved by: Michael Terry (a6991a66)
        * Add support for low shell chrome.
          Fixes: #1535397 Approved by:
          Gerry Boland (5694522d)

2016-03-22 Nick Dedekind

        * Added setStage for sidestage redesign and removed ExecFlags
          Approved by: Daniel d'Andrada (5ec3a322)

2016-03-21 Robert Bruce Park

        * Fixes as per gerboland. (a78c47fa)

2016-03-18 Nick Dedekind

        * fixed initial low chrome value (a78d9995)

2016-03-15 Timo Jyrinki

        * Use FindQt5PlatformSupport to find platform support, other methods
          not available on Qt 5.6 anymore. (87fd8113)

2016-03-14 Lukáš Tinkl

        * merge trunk (892a776a)
        * merge trunk (f8425130)

2016-03-12 Robert Bruce Park

        * Move hook script. (52f02843)

2016-03-11 Robert Bruce Park

        * Fix script ;-) (de719c9b)
        * Even more malicious. (fa44f1e3)
        * Try some nefarious stuff. (7e3ed61c)

2016-03-11 Michał Sawicz

        * Merge lp:~unity-team/qtmir/shell_chrome (34fd477f)
        * Bump application API version (9871ff00)
        * Bump unity-api version (4866c1d2)

2016-03-11 Nick Dedekind

        * version bump (8f03579c)

2016-03-10 Robert Bruce Park

        * Drop old gles stuff. (a38dd73d)
        * Dedupe some debian-gles stuff. (4974f062)
        * Drop changelog because train will handle that. (a2e6ee0b)
        * Experimental GLES inlining. (f1b013ba)

2016-03-10 Nick Dedekind

        * Changed sizeHint to creationHint. Moved chrome property to observer
          changes (5e1a1805)

2016-03-10 CI Train Bot

        * Releasing 0.4.7+16.04.20160310.1-0ubuntu1 (bccb71bb)

2016-03-10 Michał Sawicz

        * Drop dummy autopkgtest (a8b6c29c)

2016-03-10 Alberto Aguirre

        * Hook MirOpenGLContext::doneCurrent to Screen::doneCurrent
          (2e671877)

2016-03-10 Michael Terry

        * Fix some mocks to use more realistic code paths. (637a725e)

2016-03-10 Gerry Boland

        * Ensure ScreenWindow geometry correctly set and used after moving
          Screen (dba9b5d6)

2016-03-10 Daniel d'Andrada

        * Ensure QmlEngine doesn't delete our MirSurfaces Approved by: Gerry
          Boland, Unity8 CI Bot (70ac74df)

2016-03-10 Gerry Boland

        * Screen: only enable orientation sensor for internal display.
          (d3bfd18f)

2016-03-10 Michael Zanetti

        * Add a dedicated property for the inputMethodSurface (d4e93129)

2016-03-10 Alan Griffiths

        * Copy the Window Management work-in-progress from Mir examples.
          Approved by: Gerry Boland (ab26a4fa)

2016-03-10 Gerry Boland

        * Allow Mir remove command line arguments it understands, before
          letting Qt process them. Approved by: Daniel d'Andrada
          (e2314013)

2016-03-08 Nick Dedekind

        * review comments (312568d4)
        * merged with trunk (9dfa774f)

2016-03-02 Michael Terry

        * Fix warnings to be warnings (3cd3cffb)
        * Some review nits (8d090e5d)

2016-02-25 Lukáš Tinkl

        * merge trunk (2a82a1b8)

2016-02-23 Michał Sawicz

        * Drop the dummy autopkgtest (8e51d7b5)

2016-02-22 Michael Terry

        * Merge from trunk (6690821b)

2016-02-22 Lukáš Tinkl

        * map the mir_input_event_modifier_alt_right modifier to
          Qt::GroupSwitchModifier (b84feb4f)

2016-02-19 CI Train Bot

        * Releasing 0.4.7+16.04.20160219-0ubuntu1 (869e4802)

2016-02-19 Alan Griffiths

        * Mir 0.20 Release Approved by: Cemil Azizoglu (382e4401)

2016-02-18 Daniel d'Andrada

        * Ensure QmlEngine doesn't delete our MirSurfaces (56d8ae25)

2016-02-18 Michael Terry

        * And another (e5f7e9ba)
        * Remove leftover junk file from merge (fa4ee700)
        * Merge from trunk (dce42dfb)

2016-02-18 Alan Griffiths

        * Remove compile-time dependency on Mir 0.20 (81a43c63)

2016-02-17 Gerry Boland

        * Ensure ScreenWindow geometry correctly set and used after moving
          Screen (b35e810e)
        * Ensure ScreenWindow geometry correctly set and used after moving
          Screen (d6d86479)

2016-02-17 Michał Sawicz

        * Fix bad merge (5ff4f78c)
        * Merge prereq (dbd0877f)
        * Fix bad merge (6250f395)
        * Merge lp:~unity-team/qtmir/shell_chrome (a78c9a34)
        * Merge lp:~nick-dedekind/qtmir/side-stage-redesign (7a6f5c74)

2016-02-17 Alan Griffiths

        * Fix build error! (cc9ea682)

2016-02-17 Nick Dedekind

        * version bumps (e39ff77c)
        * reverted rules (9e38a236)
        * more shell chrome (7e5fa4f7)

2016-02-16 Nick Dedekind

        * merged with trunk (f36f50be)
        * merged with lp:~mzanetti/qtmir/surfacemanager-getters (e0e7bf03)

2016-02-16 Michael Zanetti

        * merge trunk (2b8e99fc)

2016-02-16 Nick Dedekind

        * more version bump (73f5084f)
        * version bump (452a13eb)

2016-02-16 Gerry Boland

        * Merge trunk and resolve conflicts (54537538)

2016-02-16 Michał Sawicz

        * Bump application API version (c1772088)

2016-02-15 Michael Zanetti

        * fix typo (c2f6bfda)

2016-02-15 Gerry Boland

        * Fix error in previous merge (19dda215)

2016-02-15 Michael Zanetti

        * add a inputMethodSurface property (b340d25f)

2016-02-15 Gerry Boland

        * Merge trunk (01d4e267)
        * Pull fix-orientation-after-unplug again, fix tests (a8007355)
        * Update test to check both cases (e2152119)
        * Consider eDP connector internal too (0b38eca8)
        * Merge fix for orientation fail after unplug (ac7a6b07)
        * Screen: only enable orientation sensor for internal display
          (107e6825)

2016-02-15 Nick Dedekind

        * meged with trunk (d30518e5)

2016-02-12 Alan Griffiths

        * No change for Mir 0.20 (27626790)

2016-02-12 Nick Dedekind

        * version bumping (8824417b)

2016-02-12 Michał Sawicz

        * Merge lp:~ci-train-bot/qtmir/qtmir-ubuntu-xenial-landing-051
          (1c0a97c0)

2016-02-12 Nick Dedekind

        * Use LowCrome property (cee40934)

2016-02-12 CI Train Bot

        * Releasing 0.4.7+16.04.20160212-0ubuntu1 (6c418efd)

2016-02-12 Michał Sawicz

        * Bump unity-api dependencies Approved by: Michael Terry (3a4335f9)

2016-02-12 Daniel d'Andrada

        * Update mir version requirement Approved by: Nick Dedekind
          (65b9fcb3)

2016-02-12 Michał Sawicz

        * Use QStandardPaths to determine QML cache location (d712174d)

2016-02-12 Albert Astals Cid

        * Provide branch prediction information to the if in
          compressTimestamp Approved by: Gerry Boland (8c9d183d)
        * Reset start time if the timestamp travels to the past
          Fixes:
          #1524488 Approved by: Nick Dedekind (6cc5a351)

2016-02-12 Daniel d'Andrada

        * Surface Size Hints Approved by: Lukáš Tinkl (2bac1e95)
        * Let shell decide the initial surface size
          Fixes: #1532974 Approved
          by: Nick Dedekind (8a4822b1)
        * Remove the useless TaskController (2fddfeb1)

2016-02-12 Nick Dedekind

        * Moved test framework into a static library for quicker
          recompilation. Approved by: Gerry Boland (29642006)

2016-02-11 Daniel d'Andrada

        * Surface Size Hints (3144be84)
        * Let shell decide the initial surface size (c6b186e6)
        * Remove the useless TaskController (aba5c7e5)

2016-02-10 Nick Dedekind

        * merged with trunk (e5add74c)

2016-02-10 Gerry Boland

        * Merge trunk (a1cd767f)

2016-02-08 CI Train Bot

        * Releasing 0.4.7+16.04.20160208-0ubuntu1 (26647c81)

2016-02-08 Nick Dedekind

        * Added fix and test for closing app during the StoppedResumable
          state.
          Fixes: #1541388 Approved by: Michael Zanetti
          (04c0cce7)

2016-02-05 Alberto Aguirre

        * Hook MirOpenGLContext::doneCurrent to Screen::doneCurrent
          (bd8098f7)

2016-02-03 Nick Dedekind

        * fixed comment (c1b4578f)
        * use internal state rather than process state (689c4949)
        * comment typo (092aa994)
        * Added fix & test for 1541388 (8827b332)

2016-02-03 Gerry Boland

        * Print output name instead of id (97220808)
        * Correctly specify screen on MirSurfaceItem creation (9eb48a76)

2016-02-03 Michał Sawicz

        * It's actually 7.106 (72cf343d)

2016-02-03 Lukáš Tinkl

        * implement keymap stuff from unity-api in the mock (6222012a)

2016-02-03 Michał Sawicz

        * Merge lp:~nick-dedekind/qtmir/qtmir-test-build (35b09f88)

2016-02-03 Lukáš Tinkl

        * implement API for changing keymaps (5a1102ec)

2016-02-03 Michał Sawicz

        * Bump application API to 13   [ Daniel d'Andrada ]   * Added
          ApplicationInfoInterface.initialSurfaceSize   *
          MirSurfaceInterface: added size hints (ab56e1e5)

2016-02-02 Gerry Boland

        * Other part of Qt5.5 complaint fix (4cc42803)
        * Revert to old Screen based expose/hide control machanism. It works
          more reliably for now. Also fix Qt5.5 complaint (3fd6df7d)
        * Only emit scale&formfactor signals when attaching window, not
          detaching (2df2ce0a)
        * Oops, forgot this. (92b670e6)
        * Implement a more sensible MirDisplayConfigurationPolicy to suit
          pocket desktop (5924695c)
        * Send scale&formFactor change signals only when window associated
          with Screen (ac5af357)
        * Clean up logging a tiny bit, add comment (dc5c5663)
        * Disable DPR changing. Implement name() property; (218b979e)

2016-02-01 Daniel d'Andrada

        * Update mir version requirement (8b1e2e61)

2016-02-01 Gerry Boland

        * Refactor to try disconnect Screen lifetime from ScreenWindow.
          (d9690d64)
        * Implement doneCurrent manually - fixes crash in EGL on compositor
          restart. (bc43a4ae)
        * QQItem can complete without associated window (dc6c25e6)

2016-02-01 Nick Dedekind

        * merged with trunk (a73170c2)

2016-02-01 Gerry Boland

        * Merge trunk (8583a1b7)

2016-01-29 Gerry Boland

        * ScreensController keeps shared pointer to the mir controller, but
          is deleted immediately on server shutdown. (d12b7283)
        * Merge mir-0.19-compatibility branch (903455c1)

2016-01-28 Gerry Boland

        * Add formFactor support, shell can now set it and clients receive it
          (f5d558fe)
        * Small debug output enhancement, makes easier to match Screen with
          ScreenWindow (9d643f49)
        * Whitespace fix (6202253a)
        * Fix crash bug on client start - can only set MirSurface screen when
          MirSurfaceItem fully constructed as only then is window()
          valid (ef30af6b)
        * Fix bug - so scale always updated (39667b18)
        * Pass QMirServer to NativeInterface, instead of MirServer alone.
          Needed to export ScreenController to QML side. (17735eb2)
        * Edit qml-demo-shell to use newly introduced ScreenWindow type, and
          add manual test for scale adjustment (coming) (b46539ad)
        * Add QQuickScreenWindow QML type, wrapping QQuickWindow to enable
          QML shell specify destination screen and read added
          properties like scale and formFactor (65cab5b1)

2016-01-28 Michael Terry

        * Minor cleanup (f084c31c)
        * Fix tests, return desktop_file_hint handling (781e14a0)

2016-01-28 Gerry Boland

        * Screen: do not emit changed signals on construction (2c6c8324)
        * Rejig ScreensModel model manipulation steps around to ensure
          consistent state (5834a7ae)
        * Attach the scale & formFactor screen properties to QWindow via the
          NativeInterface for platform specific properties like this
          (7b0d92ba)

2016-01-27 CI Train Bot

        * Releasing 0.4.7+16.04.20160127.1-0ubuntu1 (ef3745bb)

2016-01-27 Brandon Schaefer

        * Changes for mir 0.19. (be0aebaa)

2016-01-27 Michael Terry

        * Clean up a little bit (9e91597b)

2016-01-27 Michał Sawicz

        * Use GenericCacheLocation instead (2aa675ec)

2016-01-27 Michael Terry

        * Add more protections against bad appIds (98aa1f0d)
        * Fix compile error (ea8c1126)
        * Update to latest ual api (554e5bb9)

2016-01-26 Brandon Schaefer

        * Merge trunk (51cda2c0)

2016-01-26 Michael Terry

        * Merge from trunk (c3635e0b)

2016-01-26 Gerry Boland

        * Merge trunk (17ab0c42)

2016-01-26 Michael Terry

        * Further fixes and update to latest API (3b555c5e)

2016-01-23 Brandon Schaefer

        * Fix server api changes for keymap/set_keymap (f35fe88b)

2016-01-22 Michael Terry

        * Isolate use of UAL to the upstart/ folder (3aa179a8)

2016-01-22 Brandon Schaefer

        * Fixes for the cookie changes (8d31d57c)

2016-01-22 CI Train Bot

        * Releasing 0.4.7+16.04.20160122-0ubuntu1 (a4310d58)

2016-01-22 Nick Dedekind

        * Fixed issue where stopping the session while suspending was causing
          app close to stall.
          Fixes: #1536133 (595a463e)
        * fixed stop on suspending (66a5d299)

2016-01-21 Gerry Boland

        * Set screen position on surface creation (f2004b49)

2016-01-20 Michael Terry

        * Checkpoint in port; it builds (0da35fdd)

2016-01-20 Brandon Schaefer

        * ... Read it wrong, need to change :) (7fee778a)
        * Doc says dont do this (9c27cca4)
        * Update the client/common/server rev (fac61263)
        * Prepare for mir 0.19.0 release (a089991c)

2016-01-20 Alan Griffiths

        * Fix compile options (5c54d30b)
        * Only build the mir example Window Managers with cmake
          -DEXAMPLE_MIR_WINDOW_MANAGERS=on (7c9126b0)

2016-01-19 Gerry Boland

        * Fix typo (8d2ea89b)
        * Only re-create Screen on scale change (9891150d)
        * ScreensModel manage Screen property changes that Qt cannot handle
          explicity, instead delete old Screen and create a new one.
          (e6cea622)

2016-01-18 Gerry Boland

        * Add logic to delete & re-create Screen if property changes are not
          handle-able by Qt (2e54406a)

2016-01-18 Nick Dedekind

        * re-introduce occlusion (1c212482)
        * merged with trunk (c0fb31a5)
        * unmove (608ed9da)

2016-01-17 Alan Griffiths

        * Re-sync with mir/examples (cc52d618)

2016-01-16 Alan Griffiths

        * merge lp:qtmir (e45068b7)

2016-01-13 Michał Sawicz

        * Use QStandardPaths to determine QML cache location (5a62bc14)

2016-01-12 Gerry Boland

        * Read DPR from mir's scale property on display (2b46a90c)
        * Create SurfaceController after Mir is initialized, as the_display()
          only ready then (74fbcd8d)
        * Update Mir's scene when qml surface's screen changes, to prompt mir
          to update client screen and thus dpr/scale (6f058e09)

2016-01-11 Gerry Boland

        * Have to split Policy out of ScreenController due to Mir's
          initialization steps expecting them to be independent
          (a88cbb34)
        * Apply a simple policy for MM for testing (677cd580)
        * Pipe ScreenController up to QMirServer (e17fdafc)
        * Merge the MirDisplayConfigurationPolicy into ScreenController
          (6685bf40)
        * Rename TiledDisplayConfigurationPolicy to more generic
          MirDisplayConfigurationPolicy (4c1c64b4)
        * ScreenController - complete basic implementation (790e09e0)

2016-01-08 Michael Terry

        * Add mock for command_line; change doAppIdHasProcessId to call
          primaryPidForAppId; change tests to mock
          primaryPidForAppId calls instead of command_line calls
          (5d29b6a0)

2016-01-07 Michael Terry

        * Merge from trunk (96ab2f84)

2016-01-07 Gerry Boland

        * Made actual ScreenController which allows screen configuration
          (b4ce4443)
        * Merge screen-controller-rename-to-model (4fbb978f)
        * Rename ScreenController to ScreensModel, as it is a model, not a
          controller. (af723fe4)

2016-01-06 Gerry Boland

        * Minor cleanups (2ed420e2)
        * First attempt at Screen configuration API implementation in
          ScreenController. (8bb40ed4)
        * Add scale & formFactor to qtmir:Screen and the Screens QML model
          (d1548ab7)

2016-01-04 CI Train Bot

        * Releasing 0.4.7+16.04.20160104-0ubuntu1 (90b2bfb4)

2016-01-04 Daniel d'Andrada

        * Update Session.fullscreen properties at the right time
          Fixes:
          #1525893 Approved by: Gerry Boland (a0f0b473)

2015-12-22 CI Train Bot

        * Releasing 0.4.7+16.04.20151222-0ubuntu1 (06b6d9a6)

2015-12-22 Michał Sawicz

        * No-change rebuild to get -gles in sync Approved by: Kevin DuBois
          (0e3724e8)

2015-12-21 Michał Sawicz

        * No-change rebuild to get -gles in sync (ac896ab8)

2015-12-17 CI Train Bot

        * Releasing 0.4.7+16.04.20151217-0ubuntu1 (2b3f46ed)

2015-12-17 Cemil Azizoglu

        * compatibility branch for Mir 0.18 Approved by: Gerry Boland, Michał
          Sawicz (039be997)

2015-12-16 Nick Dedekind

        * removed dep loop (a70b9693)

2015-12-15 Albert Astals Cid

        * Use Qt's unlikely define since we're already using Qt here
          (27ae64fd)
        * Provide branch prediction information to the if in
          compressTimestamp (68afd9b4)
        * reset start time if the timestamp travels to the past (efb09167)

2015-12-15 Nick Dedekind

        * merged with trunk (e1478f5a)

2015-12-14 Nick Dedekind

        * removed flags (7633b52f)
        * version (f396cebc)
        * merged with parent (bed29777)

2015-12-14 Daniel d'Andrada

        * Update Session.fullscreen properties at the right time (fada5227)

2015-12-14 Albert Astals Cid

        * fixes (677960e1)
        * Merge (2b03f25a)

2015-12-12 Gerry Boland

        * Fix test fail due to assert maths error (4ceb3b59)
        * Merge trunk (23689337)

2015-12-11 Kevin DuBois

        * merge in lp:~ci-train-bot/qtmir/qtmir-ubuntu-xenial-landing-022
          containing qtmir bits that will land before the mir silo
          (9d36703c)

2015-12-10 CI Train Bot

        * Releasing 0.4.7+16.04.20151210-0ubuntu1 (bf5129ed)

2015-12-10 Michael Terry

        * Don't hold a wakelock on apps that are exempt from lifecycle
          management. (36cc07e4)

2015-12-10 Daniel d'Andrada

        * Make Session hold multiple surfaces (75c015f9)
        * Add MirSurfaceItem.fillMode and ensure items and buffer are in sync
          (42701c5b)

2015-12-10 Nick Dedekind

        * Politely asks processes to close before resorting to killing
          Fixes:
          #1434584 Approved by: Daniel d'Andrada (2919870e)

2015-12-10 Michał Sawicz

        * Revert changes related to surface/texture handling as they caused
          black apps from time to time (02892e24)

2015-12-07 Michał Sawicz

        * Merge lp:~unity-team/qtmir/multiSurfaceApp (d85dd350)

2015-12-07 Daniel d'Andrada

        * Make Session hold multiple surfaces (85d92681)
        * Add MirSurfaceItem.fillMode (b00c36be)

2015-12-07 Michał Sawicz

        * Merge lp:~nick-dedekind/qtmir/polite-close (424c3331)

2015-12-07 Daniel d'Andrada

        * Add MirSurfaceItem.fillMode (64db3828)

2015-12-07 Nick Dedekind

        * merged with trunk (848f50e7)

2015-12-07 Andreas Pokorny

        * revert scaling removal (c63c2605)

2015-12-04 Kevin DuBois

        * accommodate the 0.18 interface changes (96a6084d)

2015-12-04 Andreas Pokorny

        * remove scaling of scroll events (29169ec8)
        * fix ftbs against lp:mir and lp:mir/0.18 (bed67fa5)

2015-12-03 Michael Terry

        * Collapse a switch statement (c4e3f76f)
        * Merge from surfaceItemFillMode (45b05e31)
        * Bring back RunningInBackground (fa96451c)

2015-12-03 Cemil Azizoglu

        * re-merge mir-0.18 compat to pick up fix-1521795 adaptation.
          (a0994095)
        * fix-1521795 adaptation (5480fdb8)

2015-12-03 Nick Dedekind

        * pkg-check (b60d7ddb)
        * version bump unity-api (4039b51a)
        * version bump (e93d3df6)

2015-12-02 Nick Dedekind

        * merged with trunk (76370eb0)

2015-12-02 Kevin DuBois

        * merge in devel-mir-next (a3f45ef1)
        * fix up mocks (57a456b1)

2015-12-02 Cemil Azizoglu

        * Re-merge (38dbccca)
        * add missing mock function (71d80bcd)
        * Re-merge with more fixes (e034fdcf)
        * There are two surface_destroy functions. (fd95874b)
        * re-merge compat-0.18 branch (f9bdd1a9)
        * Signature changed - destroy_surface() (d43310a7)
        * One more function with a changed signature. (9c7b5316)
        * Return type has changed (ea529b71)
        * Re-merge mir0.18-compat (02362dcf)
        * add abstract function to mock (646e8fcd)

2015-12-01 Cemil Azizoglu

        * Forgotten qualifier (f85294e9)

2015-12-01 Kevin DuBois

        * fix up test that needed an interface change (08c100f7)
        * patch up handle_raise_surface definition (1a989eaa)
        * add new function needed by SessionAuthorizer interface. disallow
          setting base configuration in qtmir (12a3520d)
        * merge in mir-0.18-compat (a61124e0)
        * sync with lp:qtmir (6c92edf4)

2015-12-01 Cemil Azizoglu

        * Compat against 0.18 (60e0fbd7)

2015-12-01 Timo Jyrinki

        * Rebuild against Qt 5.5.1. (f4897936)

2015-11-30 Michael Terry

        * Fix mocks to be more accurate (77dace81)

2015-11-30 Daniel d'Andrada

        * Add MirSurfaceItem.fillMode (0e695dd0)

2015-11-26 Alan Griffiths

        * Import exampleserverconfig from Mir examples (273b6c40)

2015-11-25 CI Train Bot

        * Releasing 0.4.6+16.04.20151125-0ubuntu1 (ab5c9cd5)

2015-11-25 Daniel d'Andrada

        * Revert revision 415 (ad3aa62c)
        * Forward Mir mouse wheel events to the shell cursor
          Fixes: #1497091
          Approved by: Lukáš Tinkl (9783d750)

2015-11-25 Gerry Boland

        * Manage frameSwapped signal/slot connection with MirSurface more
          strictly to avoid crash. (57ad02e6)

2015-11-25 Daniel d'Andrada

        * Implemented support for cursors set by client surfaces Approved by:
          Lukáš Tinkl (f584adc0)
        * Revert revision 415 (0fbfa3d9)

2015-11-24 Gerry Boland

        * Manage frameSwapped signal/slot connection with MirSurface more
          strictly to avoid crash. (21a71839)

2015-11-24 Daniel d'Andrada

        * Fix crash in MirSurfaceItem test and remove some trailing
          whitespace (28e21b8e)

2015-11-23 Nick Dedekind

        * setStage (a53d6982)

2015-11-23 Daniel d'Andrada

        * Update libunity-api-dev version dependency (9f9f3cb0)

2015-11-20 Nick Dedekind

        * merged with trunk (18f058ca)

2015-11-20 Daniel d'Andrada

        * use const version (bdbbc661)

2015-11-20 Gerry Boland

        * Merge trunk (f6f0222e)

2015-11-19 Daniel d'Andrada

        * forward wheel events to the shell cursor (f27fff28)

2015-11-19 CI Train Bot

        * Releasing 0.4.6+16.04.20151119-0ubuntu1 (182c9af5)

2015-11-19 Nick Dedekind

        * Fix a crash when dropping a surface frame before Qt draws a surface
          item.
          Fixes: #1517139 Approved by: Gerry Boland (05045946)

2015-11-19 Loïc Molinari

        * Ensured Mir surface items with size less than or equal to zero are
          not rendered, as it's usually done for standard QtQuick
          items. Approved by: Gerry Boland (06db277b)

2015-11-19 Gerry Boland

        * Use pid_t for PIDs. Approved by: Daniel d'Andrada, PS Jenkins bot
          (10a6204d)

2015-11-19 Michał Sawicz

        * Build with clang (tests/gmock fails and is unfixable on our side
          i'd say) Approved by: Gerry Boland (10484ace)

2015-11-19 Albert Astals Cid

        * Enable Efficient String Construction by default (4e267673)

2015-11-19 Gerry Boland

        * Fix use of uninitialized variable Approved by: Daniel d'Andrada, PS
          Jenkins bot (8449c371)

2015-11-19 Daniel d'Andrada

        * Merge lp:~lukas-kde/qtmir/fixWheel (032cab9a)

2015-11-18 Nick Dedekind

        * stop frame dropper if can't update the texture. (60fe9932)

2015-11-17 Nick Dedekind

        * Fixed drop before draw (8163e111)

2015-11-17 Gerry Boland

        * Merge lp:~unity-team/qtmir/build_with_clang to pre-empt conflicts
          on landing (480d28c5)
        * Merge trunk (d6d3f30c)
        * Merge trunk & resolve conflicts (029de776)
        * Merge trunk (f2c53324)

2015-11-16 Daniel d'Andrada

        * Remove unnecessary work around (717cdbc1)
        * Use QLatin1String (32c07b52)

2015-11-13 CI Train Bot

        * Releasing 0.4.6+16.04.20151113-0ubuntu1 (6d7be1e9)

2015-11-13 Nick Dedekind

        * Update surface textures when dropping frames.
          Fixes: #1515356
          Approved by: Gerry Boland (b65f722b)
        * proper drop frame texture update (1a2ae789)
        * update texture when dropping frames (3aef6de7)

2015-11-12 CI Train Bot

        * Releasing 0.4.6+16.04.20151112-0ubuntu1 (4ef6bc82)

2015-11-12 Gerry Boland

        * Fix armhf builds on Xenial by using -std=gnu99 instead of c99
          (3cfd6f3a)

2015-11-11 Daniel d'Andrada

        * Custom cursor support (a9f7a757)

2015-11-11 Gerry Boland

        * Fix armhf builds on Xenial by using -std=gnu99 instead of c99
          (12ebcd27)

2015-11-11 Nick Dedekind

        * merged with trunk (81254ae5)

2015-11-10 Lukáš Tinkl

        * remove superfluous code, document the wheel behavior (ad2353d7)

2015-11-10 Daniel d'Andrada

        * Remove superfluous code (e474c5db)
        * Merge lp:~lukas-kde/qtmir/fixWheel (64534abb)
        * Fix cursor names (1e8fa911)
        * Merge lp:~unity-team/qtmir/revert-occlusion-detection (c03c3a6d)
        * Support client surfaces setting named cursors (9e0b13ec)

2015-11-10 CI Train Bot

        * Releasing 0.4.6+16.04.20151110-0ubuntu1 (14262b7b)

2015-11-10 Nick Dedekind

        * Reverted occlusion detection (lp#1514556)
          Fixes: #1514556
          (b652c776)
        * remove visibility tests (26dbac9e)

2015-11-09 Nick Dedekind

        * revert visibility change (13310db9)

2015-11-09 Lukáš Tinkl

        * also remove mock enter/leave events (305da157)
        * remove handling of enter/leave events (2e806c65)

2015-11-09 Nick Dedekind

        * merge with trunk (c2aa3095)

2015-11-07 Lukáš Tinkl

        * merge trunk (fa5235f8)

2015-11-02 Loïc Molinari

        * Don't render surface items of sizes less than or equal to 0.
          (dfa65df8)

2015-11-02 CI Train Bot

        * Releasing 0.4.6+16.04.20151102-0ubuntu1 (6a8afc62)

2015-11-02 Nick Dedekind

        * Hand Qt millisecond timestamps rather than nanosecond.
          Fixes:
          #1510571, #1511076, #1511711 Approved by: Gerry Boland
          (a3d67c3d)

2015-11-02 Alan Griffiths

        * Test harness for MirWindowManager (in preparation for more
          intelligent window management) Approved by: Gerry Boland
          (572a818f)

2015-11-02 Nick Dedekind

        * Support server->client visibility change to stop rendering
          (lp:#1475678)
          Fixes: #1475678 Approved by: Daniel
          d'Andrada (cda26d96)

2015-11-02 Michael Terry

        * Support new isTouchApp property to ApplicationInfoInterface and
          move lifecycle policy logic out of qtmir. (647eeed4)

2015-11-02 Michał Sawicz

        * Clean up packaging and fix autopkgtest on armhf Approved by: Gerry
          Boland (c19cbe7a)

2015-11-02 Nick Dedekind

        * removed unnecessary cmake includes (48b50943)
        * merged with trunk (988c3e2b)

2015-10-30 Michael Terry

        * Bump shell application version harder (8578776f)
        * Bump shell application version (35346fc5)

2015-10-30 Gerry Boland

        * Remove insinuation of private header: _p (85780268)
        * Fix copyright header (efa37b46)
        * People do not trust C standards, so explicitly null terminate
          arrays (3b8b515d)
        * Test the argv parser (f607ddf6)
        * Always print the arguments passed to Qt if category logging enabled
          (8e0148de)
        * Mir parsed arguments not guaranteed to live outside lambda scope,
          so edit existing argv to contain identical contents
          (7cf4fbdb)

2015-10-30 Lukáš Tinkl

        * fix wheel events happening sometimes at wrong places (28dbc2d6)

2015-10-29 Gerry Boland

        * Merge trunk and resolve conflicts (66192f0c)

2015-10-29 Nick Dedekind

        * Fixed timestamp compression (1a44c6f9)
        * merged with trunk (e9e2276a)

2015-10-28 Albert Astals Cid

        * forgot to uncomment this (ba488f96)
        * Merge & more fixes (0f322550)

2015-10-28 Alan Griffiths

        * Fix cut&paste error (779d3e79)
        * Update signature of StubSession::create_surface() (9cbcefc8)

2015-10-27 Michał Sawicz

        * Fix copyright (a0532975)
        * wrap-and-sort -at (2f81c24b)
        * List explicit test Depends as they conflict (7609c5e8)

2015-10-27 Michael Terry

        * Merge from trunk (478fb34c)

2015-10-27 Alan Griffiths

        * merge lp:qtmir (0c52c546)

2015-10-27 Gerry Boland

        * Merge trunk (1decdb10)

2015-10-26 Nick Dedekind

        * bump libunity-api version (a29d55f5)
        * merged with trunk (d15fccef)

2015-10-21 CI Train Bot

        * Releasing 0.4.6+15.10.20151021-0ubuntu1 (33e7d224)

2015-10-21 Gerry Boland

        * Workaround for AutoPilot input coordinate positioning being outside
          screen geometry (6d6772f1)

2015-10-21 Lukáš Tinkl

        * Implement support for mouse wheel events; correctly pass around
          buttons
          Fixes: #1497091 Approved by: Gerry Boland
          (ea560e3a)

2015-10-21 Nick Dedekind

        * Added touch performance tracing and test. Approved by: Gerry Boland
          (f55dd7e0)
        * Removed the manipulation of the CMAKE_INSTALL_PREFIX from
          debian/rules Approved by: Gerry Boland (299fddd3)

2015-10-21 Lukáš Tinkl

        * React to surface modifications (window caption) Approved by: Daniel
          d'Andrada (74f16fc7)

2015-10-21 Alan Griffiths

        * Opaquify MirWindowManager to control visibility of upcoming Window
          Management work Approved by: Gerry Boland, PS Jenkins bot
          (3a055c91)

2015-10-21 Michał Sawicz

        * Improve multimonitor support (a8a30d61)
        * MirSurfaceItem: Survive holding a surface with an empty texture
          (7588c3f3)

2015-10-21 Gerry Boland

        * Initial multimonitor support - react correctly to Mir
          DisplayConfiguration changes. (352fc423)

2015-10-21 Daniel d'Andrada

        * Shell draws its own cursor using the new Cursor QML element
          Approved by: Lukáš Tinkl, Gerry Boland (a58448a3)

2015-10-21 Albert Astals Cid

        * Don't search for the element again (e84fd997)

2015-10-21 Gerry Boland

        * Workaround for AutoPilot input coordinate positioning being outside
          screen geometry (1cf2e00d)

2015-10-21 Nick Dedekind

        * merged with trunk (e04c17b2)

2015-10-20 Nick Dedekind

        * removed line (80fc292b)
        * added missing file (e9d73370)
        * Added test for Surface deleteLater on deregister (280dab6e)
        * Re-added deleteLater (b27d7bd9)

2015-10-19 Gerry Boland

        * If Mir takes all arguments, it does not call the
          command_lie_handler, so need to manually set argc to trick
          Qt (f6b8f491)
        * Catch thrown exception when Mir unhappy with arguments passed, so
          quit nicely (fcad7750)
        * Allow Mir remove command line arguments it understands, before
          letting Qt process them. (3e74a93f)

2015-10-19 Nick Dedekind

        * use qintptr for viewId (c324d31f)
        * added copywrite (63b782fe)

2015-10-15 Michael Terry

        * Use ASSERT_TRUE/FALSE (5cb35f6d)
        * Merge from trunk (80f2b56b)

2015-10-15 Michał Sawicz

        * Merge lp:~unity-team/qtmir/surviveEmptyTexture (1ea2acc6)
        * Merge lp:~gerboland/qtmir/multimonitor (a0fb75c4)

2015-10-15 Gerry Boland

        * Fix failing test, RenderTarget not derived from NativeDisplayBuffer
          (f6cf6a82)

2015-10-14 Gerry Boland

        * Fix conflicts but have ScreenController test failing (5069133c)

2015-10-14 Nick Dedekind

        * removed debug (2212dbb4)

2015-10-14 Lukáš Tinkl

        * merge lp:~unity-team/qtmir/touch_tracing (7022a8d5)

2015-10-14 Nick Dedekind

        * merged parent (0e56d982)
        * merged with lp:~dandrader/qtmir/multimonitorNext (299e711a)

2015-10-14 Daniel d'Andrada

        * Merge lp:~dandrader/qtmir/surviveEmptyTexture again (9eb52dd0)
        * Merge lp:~gerboland/qtmir/multimonitor once again (a46c8b31)

2015-10-14 Gerry Boland

        * Merge mousePointer again (99fda2a1)

2015-10-13 Daniel d'Andrada

        * s/Qt::MouseButton/Qt::MouseButtons (a4fe8fe0)

2015-10-13 Lukáš Tinkl

        * make the cursor work (bb0b0ba1)
        * [ CI Train Bot ];  New rebuild forced. [ Daniel d'Andrada .
          MirSurfaceItem: texture must be manipulated only from the
          scene   graph thread (LP: #1499388, #1495871) [ Gerry
          Boland ];  Add "Closing" state to Application, use it to
          distinguish user-   induced close from app-induced close.
          Don't clear QML cache if user-   induced. (LP: #1500372)
          (3fdff535)

2015-10-13 Nick Dedekind

        * remove circ dep (3b1b8fdb)
        * merged with cmake branch (ac43192d)
        * merged with lp:~dandrader/qtmir/multimonitorNext (71e70cef)
        * merged with lp:~dandrader/qtmir/multimonitorNext (e763303d)

2015-10-13 Alan Griffiths

        * merge
          lp:~alan-griffiths/qtmir/small-refactoring-of-MirWindowManager
          (251ccc38)

2015-10-12 Alan Griffiths

        * Back to the future (e9d36b6e)
        * Revert experiment with linkage (df4b84f2)
        * Re-enable tests (7f29bc8a)
        * Add the tests back in (4cca3709)
        * Opaquify MirWindowManager
          lp:~alan-griffiths/qtmir/test-harness-for-MirWindowManager
          without the tests (81a3e4ab)
        * Revert change to c++14 to see if CI hates it (801323b9)
        * Disable the WindowManager tests to see if CI hates them (7a5c0234)

2015-10-12 Nick Dedekind

        * use isEmpty (7790be55)
        * use isEmpty (0d14e668)
        * only log on change (0afae286)
        * Aggregate the surface visibility (883d987d)

2015-10-09 Albert Astals Cid

        * spacing perfect i say! (ac544b65)
        * be spacing perfect (8223d98a)
        * Merge (b5026706)
        * We actually need to set qmlSurface ^_^ (000bcd3e)

2015-10-08 CI Train Bot

        * Releasing 0.4.6+15.10.20151008.2-0ubuntu1 (d0ec708b)

2015-10-08 Alexandros Frantzis

        * Update for Mir 0.17 changes (e8c93f6d)

2015-10-08 Alan Griffiths

        * poke jenkins (2c1a5e49)

2015-10-08 Alexandros Frantzis

        * More updates for compatibility with Mir 0.17 (71146867)

2015-10-08 Gerry Boland

        * I missed these guys, fixed and added const where sensible
          (6e96b241)
        * Use pid_t for PIDs. Just do. (514595d0)

2015-10-08 Alan Griffiths

        * poke jenkins (0385a52e)

2015-10-08 Nick Dedekind

        * fixed debian/control for qtmir-tests (24c3f860)

2015-10-08 Lukáš Tinkl

        * wrap too long lines (b58da493)

2015-10-07 Lukáš Tinkl

        * extract the buttons into a variable (e5ffc09c)

2015-10-07 Alan Griffiths

        * Avoid deprecated overloads of make_event (25a2e934)

2015-10-07 Alexandros Frantzis

        * Update for Mir 0.17 changes (f770497d)

2015-10-07 Alan Griffiths

        * Fix headers and function declarations to approved style (f78eff19)
        * merge lp:qtmir (5cbb8b8c)

2015-10-07 Lukáš Tinkl

        * require strict unity-api dep (80206f6a)

2015-10-05 Daniel d'Andrada

        * work around https://bugs.launchpad.net/mir/+bug/1502200 (8b01721d)

2015-10-05 Nick Dedekind

        * log visible change (85e09dd9)
        * merge (256ba397)
        * merge trunk (d00cd29b)

2015-10-02 Daniel d'Andrada

        * Improve multimonitor support (2cd9b09e)
        * Merge lp:~dandrader/qtmir/surviveEmptyTexture (4c3eee27)
        * lp:~gerboland/qtmir/multimonitor (6fb3426b)

2015-10-02 Nick Dedekind

        * removed unnecessary const (8e950309)
        * moved qtmir_test impl to cpp (1f6344ce)
        * namespace rework (90acc560)

2015-10-02 Daniel d'Andrada

        * MirSurfaceItem: Survive holding a surface with an empty texture
          (b92638c0)
        * Merge lp:~gerboland/qtmir/multimonitor (6f7e71ac)

2015-10-01 Michał Sawicz

        * Merge lp:~unity-team/qtmir/liveCaption (9c2d7f5c)

2015-10-01 Michael Terry

        * minor fixes (9869f40d)
        * Support RoleIsTouchApp (629b15f0)
        * Merge from trunk (0f244c74)
        * Drop canSuspend and RunningInBackground state (36b5a211)

2015-10-01 Michał Sawicz

        * merge
          lp:~alan-griffiths/qtmir/small-refactoring-of-MirWindowManager
          (d1e544e2)

2015-10-01 Nick Dedekind

        * undo new line removal (b08bba6c)
        * undo new line removal (aab61372)

2015-10-01 Lukáš Tinkl

        * implement the wheelEvent also in MirSurface & co. (b6b701ee)
        * handle wheel events (10fc90f6)

2015-09-30 Michael Terry

        * Add comment to schema (4c1769d1)

2015-09-30 Nick Dedekind

        * merged with trunk (89efb41d)

2015-09-30 Michael Terry

        * Merge from trunk (5e62ab90)

2015-09-30 Albert Astals Cid

        * Enable Efficient String Construction by default (9b0f8a29)

2015-09-30 Nick Dedekind

        * Move test framework to library (f4b4a259)

2015-09-30 Lukáš Tinkl

        * remove a no-op (a7169dec)
        * simplify listening to name changes (2d9e70cf)
        * remove unrelated override keyword (3dbb1be7)

2015-09-30 Gerry Boland

        * Merge Daniel's kind work
          lp:~dandrader/qtmir/mousePointer-multimonitor (410aea93)

2015-09-30 CI Train Bot

        * Releasing 0.4.6+15.10.20150930.1-0ubuntu1 (504a7d0e)

2015-09-30 Gerry Boland

        * Add "Closing" state to Application, use it to distinguish
          user-induced close from app-induced close. Don't clear QML
          cache if user-induced. (6e5a7a2e)

2015-09-30 Daniel d'Andrada

        * MirSurfaceItem: texture must be manipulated only from the scene
          graph thread (3fdd4cf4)

2015-09-30 Albert Astals Cid

        * simpler way of fixing the error: assigning to 'char *' from
          incompatible type 'char' (3ca698e9)
        * More compile fixes (afa081e7)
        * removed unused private (f3d449ef)
        * Missing override (a5a354ee)
        * Fix compile error in clang (07ff426a)
        * missing override (9854244c)
        * Remove not needed anymore const_cast (c4a3acf8)
        * Build with clang (0cdb72d6)

2015-09-30 Lukáš Tinkl

        * remove spurious indentation change; fix setting surface name to
          empty (55654957)

2015-09-29 Lukáš Tinkl

        * remove unrelated changes (62e1087b)

2015-09-29 Michael Terry

        * remove extra space (af6b2064)
        * remove redundant check (293110bf)
        * Add support for ApplicationInfoInterface::canSuspend and
          ::isTouchApp.  Drop lifecycleException code, we'll move
          that to unity8. (869c5894)

2015-09-29 Nick Dedekind

        * merged with trunk (c35e6157)
        * updated comment (2ff00a57)

2015-09-29 Albert Astals Cid

        * compile (381b4f05)

2015-09-29 Daniel d'Andrada

        * Merge trunk (63b5a865)

2015-09-29 Gerry Boland

        * Add "Closing" state to Application, use it to distinguish
          user-induced close from app-induced close. Don't clear QML
          cache is user-induced. (6319d7cf)

2015-09-29 Albert Astals Cid

        * no dta on temp bytearray (9693ef9b)
        * More fixes (2b46ebc4)
        * Merge (29948aa0)

2015-09-29 Lukáš Tinkl

        * clean up debug (e12ad6ee)
        * bump API version (3d368d82)
        * merge trunk (115b98e6)
        * depend on the new API version (9) (78d47873)

2015-09-28 Michael Terry

        * First pass at ignoring lifecycle for non-touch apps (1bef29dd)

2015-09-28 Alan Griffiths

        * merge lp:qtmir (92076c7e)

2015-09-28 Daniel d'Andrada

        * Bring back explanation (c87a8e7c)
        * Refactor code (7d5ed3e0)

2015-09-28 Gerry Boland

        * Merge trunk (2131c0cb)

2015-09-25 Lukáš Tinkl

        * react to surface modifications (window caption) (de1a82a3)

2015-09-25 Daniel d'Andrada

        * MirSurfaceItem: texture must be manipulated only from the scene
          graph thread (2dc26dce)

2015-09-25 Lukáš Tinkl

        * make it build (f441ddc4)
        * merge trunk (b211bf12)

2015-09-25 Daniel d'Andrada

        * Update unity-application-impl in debian/control (9d09db4a)

2015-09-25 Lukáš Tinkl

        * make the name() property react to SurfaceObserver::renamed() signal
          (17024927)

2015-09-25 Daniel d'Andrada

        * Merge trunk (aecfc7df)

2015-09-25 CI Train Bot

        * Releasing 0.4.6+15.10.20150925-0ubuntu1 (21657d4b)

2015-09-25 Michał Sawicz

        * Bump application API version Approved by: Daniel d'Andrada
          (e033743f)

2015-09-25 Nick Dedekind

        * version bump (3dd57250)

2015-09-24 Nick Dedekind

        * merged with trunk (018b3a19)

2015-09-24 Alan Griffiths

        * merge lp:qtmir (19bde51d)

2015-09-23 Michał Sawicz

        * Bump application api version (55ac1325)

2015-09-23 CI Train Bot

        * Releasing 0.4.6+15.10.20150923-0ubuntu1 (5822e1c0)

2015-09-23 Cemil Azizoglu

        * Port gl_bind_to_texture to the new TextureSource interface. Update
          for Mir 0.16 release. Approved by: Alan Griffiths
          (5072253d)

2015-09-23 Nick Dedekind

        * removed enum (5d335689)
        * handle mir surface item visibility change (8998c6ee)

2015-09-22 Daniel d'Andrada

        * Shell draws its own cursor using the new Cursor QML element
          (047fd195)

2015-09-21 Albert Astals Cid

        * Don't search for the element again (763ba871)

2015-09-18 CI Train Bot

        * Releasing 0.4.6+15.10.20150918-0ubuntu1 (0da71e8a)

2015-09-18 Daniel d'Andrada

        * Update surface focus when a surface enters or leaves a
          MirSurfaceItem (ee57cdee)

2015-09-18 Cemil Azizoglu

        * don't use deprecated apis (cf7cec0b)

2015-09-18 Gerry Boland

        * Fix use of initialized variable (84bdf39e)

2015-09-18 Nick Dedekind

        * newline (43481b0f)
        * Updated rules to remove CMAKE_INSTALL_PREFIX modification
          (a75cc002)

2015-09-17 Cemil Azizoglu

        * Add pragma correctly (eeb10c94)
        * Explicit dep and bump versions. (166ab138)
        * Check for nullptr (82c9fc5f)
        * Port gl_bind_texture to GL renderer. (631afa9f)

2015-09-17 Nick Dedekind

        * added REMOVEME to demo c++ links. Fixed demo app names. (90bc9027)

2015-09-16 Nick Dedekind

        * extern timestamp start time (0bf26399)
        * better timestamp compression + tests (cb0021cc)

2015-09-15 Daniel d'Andrada

        * qDebug is smarter than printf (1c0fac42)

2015-09-14 Gerry Boland

        * Fix test fail (4d031021)
        * On scenegraph re-creation, was possible for MirBufferSGTexture to
          be used in the renderer without a texture being assigned.
          Prevent that (ff03c5d5)
        * Add reassuring debug message (df60476c)
        * Disable any GL or Scenegraph persistence, ensures all GL resources
          are released on display config change (4386eafe)

2015-09-14 Daniel d'Andrada

        * Update surface focus when a surface enters or leaves a
          MirSurfaceItem (a34393cb)

2015-09-14 Gerry Boland

        * OpenGlContext - remove attempt at clean doneCurrent call, it just
          breaks things (009f1986)

2015-09-14 Nick Dedekind

        * review comments (e51ccb66)

2015-09-14 CI Train Bot

        * Releasing 0.4.6+15.10.20150914-0ubuntu1 (1d4f5b0f)

2015-09-14 Daniel d'Andrada

        * QtEventFeeder: log the pointer events it gets from Mir Approved by:
          PS Jenkins bot, Gerry Boland (5a44d4b8)
        * MirSurfaceItem gets dirty when it's set to draw a different (or no)
          surface
          Fixes: #1492185 Approved by: Gerry Boland
          (0230bcd1)

2015-09-14 Daniel van Vugt

        * Stop waking up every 200ms if there's nothing to wake up for. It's
          just wasting battery. (9305de79)

2015-09-14 Gerry Boland

        * Merge trunk (1ea1a267)

2015-09-10 Gerry Boland

        * ScreenController: do proper hide/show pair, seems to prevent
          invalid egl contexts being used (6eadc596)

2015-09-09 Alan Griffiths

        * If at first Gerry's not happy, try again... (b569e7be)

2015-09-08 Albert Astals Cid

        * Improvements from running clazy over the code (c6ce0501)

2015-09-08 Daniel van Vugt

        * Ping Jenkins (0ff4b685)

2015-09-07 Nick Dedekind

        * updated tests (35684f3c)
        * fixed close for sync (6e47ae7f)
        * fixed up some logs (18325c04)
        * fixed up a few resume on closing things (b8aa92cc)

2015-09-07 Alan Griffiths

        * No change for Jenkns (01d2ca95)

2015-09-07 Nick Dedekind

        * merged with trunk (8d424a9c)

2015-09-04 Daniel d'Andrada

        * MirSurfaceItem gets dirty when it's set to draw a different (or no)
          surface (7a970da6)

2015-09-04 CI Train Bot

        * Releasing 0.4.6+15.10.20150904-0ubuntu1 (d806840f)

2015-09-04 Michał Sawicz

        * No-change rebuild to resync vivid+overlay and wily Approved by:
          Michael Zanetti (64f232b3)

2015-09-04 Alan Griffiths

        * Old fashioned function definitions for Gerry (0e7afe16)
        * merge --weave lp:qtmir (13d4da2d)

2015-09-03 Gerry Boland

        * Am told Display::register_configuration_change_handler is not
          supposed to be used, just compositor start/stop messages
          (eae77db0)
        * ScreenController: break on matched DisplayBuffer with Screen
          (d9a88d89)

2015-09-03 Michał Sawicz

        * Add changelog entry (d3e2e266)

2015-09-02 Nick Dedekind

        * updated control (52d59399)
        * updated CMake (d8233e5c)

2015-09-02 Gerry Boland

        * Shimmy files around to result in bzr mv qml-demo-shell.qml
          Shell.qml (fb9ba289)

2015-09-01 Gerry Boland

        * Silence error message being too chatty (ce6ee94c)
        * Forgot this file (df01efc7)
        * Merge trunk (df452ab2)
        * Add outputType to Screens model, allows us to distinguish outputs
          (097bc162)
        * Screens: Actually remove from model (bdde0f14)
        * Reject input event over non-existant window (9574c741)
        * Update demo to be multimonitor aware (fb90c88d)
        * Relying on show/hide property of QWindow clashed with usual app
          behaviour to make window visible when ready. Use the more
          internal "exposed" property to start/stop renderer
          (869237cd)
        * MirOpenGLContext - hacky implemention of  doneCurrent (c85304ab)
        * Enhance Screens module to fire correct update signals for model
          add/removes (043d21db)

2015-09-01 Nick Dedekind

        * touch events tracepoints (2a4995e7)

2015-08-31 Daniel van Vugt

        * Merge latest trunk and fix massive conflicts :( (6e118ff5)

2015-08-28 Daniel van Vugt

        * Stop waking up every 200ms when there's nothing to wake up for.
          It's just wasting battery. (3fa6fbbd)

2015-08-27 Daniel d'Andrada

        * QtEventFeeder: log the pointer events it gets from Mir (a6365a96)

2015-08-27 CI Train Bot

        * Releasing 0.4.6+15.04.20150827.1-0ubuntu1 (893ffdb7)

2015-08-27 Daniel d'Andrada

        * Allow resizing an app that is in the process of getting suspended.
          (e1da8afe)
        * Enable multiple MirSurfaceItems rendering the same MirSurface
          (bf4c622d)

2015-08-26 Daniel d'Andrada

        * Allow resizing an app that is in the process of getting suspended.
          (57a4ebc4)
        * Merge mirSurface (cff5ba00)

2015-08-24 Daniel d'Andrada

        * Enable multiple MirSurfaceItems rendering the same MirSurface
          (e69e76c1)

2015-08-24 Gerry Boland

        * Forgot Screens plugin (b6e8ac1d)
        * Merge trunk (80fb19cc)

2015-08-24 CI Train Bot

        * Resync trunk. (f6d4c78f)

2015-08-21 CI Train Bot

        * Releasing 0.4.5+15.04.20150821-0ubuntu1 (e97929e1)

2015-08-21 Gerry Boland

        * AppMan: if app destroys surface while in Running state, it is
          probably shutting down, so preempt it by removing it from
          the model (316b5554)

2015-08-21 Daniel d'Andrada

        * Improve handling of applications that are stopping or getting
          killed (b69d1c5a)

2015-08-21 Gerry Boland

        * AppMan: if app destroys surface while in Running state, it is
          probably shutting down, so preempt it by removing it from
          the model (72381d6b)

2015-08-20 Daniel d'Andrada

        * Improve states documentation (2e303808)
        * Fix coding style (4d889106)
        * s/ProcessKilled/ProcessFailed (825e78bc)
        * s/StoppedUnexpectedly/StoppedResumable (9e5edc87)

2015-08-20 CI Train Bot

        * Releasing 0.4.5+15.04.20150820-0ubuntu1 (2a048124)

2015-08-20 Gerry Boland

        * Hotfix to work around bug 1483752 (ac025763)
        * Check if session is there, may not if process OOM killed (4b93b447)

2015-08-20 Michael Zanetti

        * Add a temporary hotfix to work around bug 1483752 (e06399ad)

2015-08-20 Gerry Boland

        * Initial multimonitor support - react correctly to Mir
          DisplayConfiguration changes. (1e3af00c)

2015-08-19 Daniel d'Andrada

        * Add some Application tests (2192ac07)
        * Improve handling of applications that are stopping or getting
          killed (47f39cf5)

2015-08-17 CI Train Bot

        * Releasing 0.4.5+15.10.20150817-0ubuntu1 (44fd4ed3)

2015-08-17 Alberto Aguirre

        * Remove protobuf - it is not used anymore. Approved by: Gerry Boland
          (80d6bd3b)
        * fix changelog versions (6ed6a83f)
        * merge lp:qtmir (6d5cb794)

2015-08-12 CI Train Bot

        * Releasing 0.4.5+15.04.20150812.1-0ubuntu1 (cba4a842)

2015-08-12 Gerry Boland

        * Add vivid changelog entry as it was released (37507d51)
        * Standardize licences to LGPLv3, update years, remove authors
          Fixes:
          #1483664 Approved by: Daniel d'Andrada (17296984)
        * authorizeSession incorrectly edits desktopFilePath supplied by
          desktop_file_hint
          Fixes: #1483225 Approved by: Daniel
          d'Andrada, PS Jenkins bot (7b699706)

2015-08-12 Daniel van Vugt

        * MirSurfaceItem: Remove an unnecessary and potentially infinite loop
          (LP: #1477430) (e6375102)

2015-08-12 Gerry Boland

        * Add vivid only changelog entry (20bb3ddb)

2015-08-11 Alberto Aguirre

        * No more protobuf - it is not used anymore. (9303d76b)

2015-08-11 Gerry Boland

        * Update debian/copyright to suit (c7dae464)
        * Standardize licences to LGPLv3, update years, remove authors
          (ee254328)

2015-08-10 Gerry Boland

        * authorizeSession incorreectly edits desktopFilePath supplied by
          desktop_file_hint (7436d8b7)

2015-08-05 Alan Griffiths

        *   Add stubs and mocks to make the calling context more realistic
          (9fb6e8f9)

2015-08-04 CI Train Bot

        * Releasing 0.4.5+15.10.20150804.1-0ubuntu1 (3b8c279a)

2015-08-04 Gerry Boland

        * Ubuntu Touch has no shared graphics cache implemented, QPA should
          not say it does Approved by: PS Jenkins bot, Daniel
          d'Andrada (5ddc924b)

2015-08-04 Daniel van Vugt

        * ensure the argv passed to mir is a null terminated list (not a
          nullptr) Approved by: Gerry Boland, PS Jenkins bot
          (3987879b)

2015-08-04 Alan Griffiths

        * Start restructuring code to use the Mir WindowManager interface for
          window management. (Instead of completely replacing the
          Shell.) Approved by: Gerry Boland, PS Jenkins bot
          (8f8a20be)

2015-08-04 Gerry Boland

        * No change rebuild using GCC 5. Approved by: Gerry Boland (d057a493)
        * CMake should require mir 0.14 Approved by: Daniel d'Andrada
          (af34cae9)

2015-08-04 Lukáš Tinkl

        * Extend the key table to cover full xkb range of keycodes.
          (dfafef46)

2015-08-04 Gerry Boland

        * We depend on Qt 5.4, remove compatibility code for older versions
          Approved by: PS Jenkins bot, Daniel d'Andrada (f242e621)

2015-08-04 Daniel d'Andrada

        * Remove focus-based app lifecycle. Let shell control it. (6ea9c52d)

2015-08-04 Alan Griffiths

        *   Extend WindowManager tests (465cf50c)
        *   Extend WindowManager tests (90767c45)
        *   Add StubSurface (7a419e68)
        *   Fix style (ba17117d)
        *   Extend WindowManager tests (639d77ee)
        *   Extend WindowManager tests (80f200ee)
        *   Extend WindowManager tests (6ad8a3ed)
        *   Add initial WindowManager tests (c4cb90bb)
        * merge
          lp:~alan-griffiths/qtmir/small-refactoring-of-MirWindowManager
          (793ceb28)

2015-08-04 Gerry Boland

        * Add "No change rebuild using GCC 5." changelog entry (c2d8ec0c)

2015-08-03 Alan Griffiths

        * Also pass the focus controller (will need it later) (65f4723c)
        * Opaquify MirWindowManager (bc70079a)
        * merge lp:~alan-griffiths/qtmir/use-WindowManager (c89f6684)

2015-07-31 Andreas Pokorny

        * remove the dummy application name (ae9bdbea)
        * make it null terminated (5a0c76af)

2015-07-29 Alan Griffiths

        * Revert unwanted layout change (5ba555df)

2015-07-29 Andreas Pokorny

        * pass an aribtrary application name to MirServer (dbd9caa4)

2015-07-29 Alan Griffiths

        * merge lp:qtmir (1a43afbe)

2015-07-28 CI Train Bot

        * Releasing 0.4.5+15.10.20150728-0ubuntu1 (bd0811e3)

2015-07-28 Gerry Boland

        * Remove explicit gcc4.9 dependency
          Fixes: #1452338 Approved by: PS
          Jenkins bot, Daniel d'Andrada (cbd9878a)

2015-07-28 Daniel van Vugt

        * The working fix, fresh off the phone. (43443ddd)

2015-07-27 Gerry Boland

        * CMake should require mir 0.14 (a99e4304)
        * Ubuntu Touch has no shared graphics cache implemented, QPA should
          not say it does (bb713b52)

2015-07-27 Daniel van Vugt

        * Merge the latest lp:qtmir (changelog only). Diff is now zero.
          (5ae685f0)

2015-07-24 Daniel d'Andrada

        * Merge trunk (038c0514)

2015-07-24 Lukáš Tinkl

        * extend the key table to cover full xkb range (afe30846)

2015-07-22 CI Train Bot

        * Releasing 0.4.5+15.10.20150722-0ubuntu1 (5435c2d8)

2015-07-22 Andreas Pokorny

        * Release in step with Mir 0.14.0 Approved by: Gerry Boland
          (cfac66e5)

2015-07-16 Andreas Pokorny

        * comment removed (7dc26af2)

2015-07-13 Gerry Boland

        * We depend on Qt 5.4, remove compatibility code for older versions
          (76fdf718)

2015-07-08 Gerry Boland

        * Remove explicit gcc4.9 dependency (93ed580a)

2015-07-01 Daniel d'Andrada

        * Test change that makes it hang (ddb548f5)
        * Format is EXPECT_EQ(expected, actual) (5c763dfd)
        * Modifications from review (a41567dd)

2015-06-30 Daniel d'Andrada

        * Merge lp:~nick-dedekind/qtmir/polite-close (6b1bc121)
        * merge detach-state-from-focus (d34b47e7)

2015-06-29 Daniel d'Andrada

        * Update unity-shell-application version dependency (0669f32d)

2015-06-25 Andreas Pokorny

        * update mir dependency (2524152a)
        * changes needed for 0.14.0 release (e8687c2c)

2015-06-24 Andreas Pokorny

        * merge trunk (aee914d6)

2015-06-24 Alan Griffiths

        * Unused header (6b69c972)
        * Tidy up code (c73c7a62)
        * Hack out MirShell and move functionality to WindowManager
          (df40292f)

2015-06-23 Nick Dedekind

        * fixed test comment (95f057e1)
        * removed unnecessary code (35b55d5b)
        * removed commented code (02eaa536)
        * better stopping (7b9ab6d3)

2015-06-22 Nick Dedekind

        * merged with parent (8415b8a6)

2015-06-18 Daniel d'Andrada

        * Update unity-api version dependency (12372cbf)

2015-06-17 CI Train Bot

        * Releasing 0.4.5+15.10.20150617-0ubuntu1 (ec031183)

2015-06-17 Gerry Boland

        * [qpa] refactor QMirServer to clean up its API, and fix strange
          thread design. (95c77029)

2015-06-17 Michał Sawicz

        * Depend on same-version qtmir-{desktop,android} Approved by: Gerry
          Boland, PS Jenkins bot (34b258e4)

2015-06-17 Daniel d'Andrada

        * Update MockMirSurfaceItem (15cccfa4)

2015-06-17 Nick Dedekind

        * merged with trunk (21a4acd4)

2015-06-16 Daniel d'Andrada

        * Use QScopedPointer in Application tests (9d44e2ab)
        * Rename test (e96a1c8d)
        * Fix Session::insertChildSession switch statement (940b95c2)

2015-06-16 Nick Dedekind

        * stop->close (9250af80)
        * better application stopping (ab2f51e4)

2015-06-15 Daniel d'Andrada

        * Code cosmetics (8b8d00b5)
        * Remove redundant variable (447204fb)
        * Refactor Application::setProcessState (100f75f4)
        * Removed redundant code (f7cd5dcb)
        * Refactor Application::applyRequestedState() (a4db5c97)
        * Application: s/setState/setInternalState (35361f6a)
        * Removed unused Application::processState() (52bfb2b0)
        * s/DiedUnexpectedly/StoppedUnexpectedly (11486478)
        * Update tests and remove duplicate ones (046a0a7c)
        * Merge trunk (35370cd5)

2015-06-15 Timo Jyrinki

        * No-change rebuild against Qt 5.4.2. (9e25fdc4)

2015-06-15 Daniel d'Andrada

        * s/RunningWithoutWakelock/RunningInBackground (f62174f1)

2015-06-15 Nick Dedekind

        * added close request to applications (2831d44a)

2015-06-11 CI Train Bot

        * Releasing 0.4.5+15.10.20150611-0ubuntu1 (6c80fd64)

2015-06-11 Daniel d'Andrada

        * X-Ubuntu-Supported-Orientations and
          X-Ubuntu-Rotates-Window-Contents desktop entries
          (d9da72fa)

2015-06-02 Daniel d'Andrada

        * Workaround a weird behavior in unity8's PhoneStage (57c6214a)

2015-06-01 Daniel d'Andrada

        * Session does Starting->Running only once first surface frame is
          drawn (a0e4058f)

2015-05-29 Daniel d'Andrada

        * s/KilledOutOfMemory/DiedUnexpectedly (11d75830)
        * work around a bug in gtest+gcc+cross-compilation (3dd621fe)

2015-05-27 Daniel d'Andrada

        * Fixed all issues pointed out by code review (114ccb34)
        * Merge trunk (ba41cb06)

2015-05-27 Gerry Boland

        * Only pass mg::DisplayConfiguration to qtmir::Display, as that is
          all it needs (4b884fe5)

2015-05-21 Daniel d'Andrada

        * One include_directories(${APPLICATION_API_INCLUDE_DIRS}) to rule
          them all (ed509982)
        * Merge trunk (4d7b2aea)

2015-05-19 Gerry Boland

        * Remove unneeded header (4ade5db9)
        * Merge trunk (0f370f22)

2015-05-18 Gerry Boland

        * Merge qtmir trunk (2e6d31f6)
        * Remove old comment, it not the case any more (ee86c12c)
        * Unneeded return statements (03a380d3)
        * Clean up shutdown codepath further. run/stop return void (91c7e526)
        * Fix shutdown issues by inheriting QThread directly - also get to
          avoid having qt event loop for mir (cc5eeb7d)
        * Trying to fix shutdown, incomplete (12f0061f)

2015-05-13 Daniel d'Andrada

        * Merge trunk (82a7e3e0)

2015-05-13 CI Train Bot

        * Releasing 0.4.4+15.04.20150513-0ubuntu1 (c8aac2e2)

2015-05-13 Daniel van Vugt

        * Release in step with Mir 0.13.0 Approved by: Gerry Boland
          (75351e5e)

2015-05-13 Gerry Boland

        * Merge trunk & fix conflicts (a36d99e7)

2015-05-12 Daniel d'Andrada

        * Merge trunk (bcbf8999)

2015-05-11 Daniel d'Andrada

        * Update package version dependency (895cbf03)
        * Emit signal at the end (4c2ddd91)

2015-05-11 CI Train Bot

        * Releasing 0.4.4+15.04.20150511.1-0ubuntu1 (604609b7)

2015-05-11 Gerry Boland

        * If Mir fails to start, exit the process immediately as nothing else
          can be done (66fafb55)
        * Remove useless profiling information, fixes build with Qt5.5
          Fixes:
          #1437181 Approved by: Timo Jyrinki, Albert Astals Cid, PS
          Jenkins bot (dfd74136)

2015-05-11 Albert Astals Cid

        * Fix debug line (4098ab6f)

2015-05-11 Michał Sawicz

        * Require an application API version, fix the provided version and
          use include dir from the .pc file Approved by: Gerry
          Boland, PS Jenkins bot (4e358e9f)

2015-05-11 Daniel d'Andrada

        * When synthesizing touch releases for absent touches, send them in
          separate events (eeb7e617)

2015-05-11 Michael Zanetti

        * read exception list from gsettings instead of a hardcoded list
          Approved by: Gerry Boland, PS Jenkins bot (0024542a)

2015-05-11 Gerry Boland

        * Remove legacy surface configuration change code, use newer
          SurfaceObserver Approved by: Daniel d'Andrada, PS Jenkins
          bot (94743170)
        * Remove boost dependence, it supplies almost nothing of benefit to
          offset its cost Approved by: Daniel d'Andrada, PS Jenkins
          bot (e35ecf5c)

2015-05-08 Daniel d'Andrada

        * Application: s/active/requestedState (ab177491)
        * Add debug message for Application::setActive (eb50ac18)

2015-05-06 Daniel d'Andrada

        * Fix ApplicationManager tests (55fcf439)
        * Implementation of Application.active and removal of focus based
          lifecycle (6ed15923)
        * Make code compile with the new api (b75cd2af)
        * Merge lp:~saviq/qtmir/fix-application-api-deps (4f942530)
        * ApplicationManager: remove suspended and forceDashActive (54b90dc8)
        * Tests also need to be pointed to the location of unity-api headers
          (37d61674)

2015-05-05 Michał Sawicz

        * Merge prerequisite fix-application-api (c7520979)
        * Ooops, it's v5. (fea19632)

2015-05-01 Alan Griffiths

        * libmircommon-dev dependency should be versioned (547885b2)
        * Workaround API that uses references to opaque types (dc57ef4a)

2015-05-01 Gerry Boland

        * Update copyright years and added couple of minor comments
          (f45557ea)
        * Signal/slot just to start/stop a thread is wasteful, using
          invokeMethod instead (ab866b2b)
        * [qpa] have QMirServer own the MirServer instance. Clean up the
          QMirServer API with view of making it public API
          (c55b26f9)

2015-05-01 Alan Griffiths

        * Mir 0.13.0 fixes (1944d5c8)

2015-04-30 Michał Sawicz

        * Depend on same-version qtmir-{desktop,android} (76f49df0)

2015-04-27 Gerry Boland

        * If Mir fails to start, exit the process immediately as nothing else
          can be done (bbce4a12)

2015-04-23 Gerry Boland

        * Remove useless profiling information, fixes build qith Qt5.5
          (2a84ba23)

2015-04-21 Albert Astals Cid

        * Fix debug line (80cbfd62)

2015-04-16 Michał Sawicz

        * Move pkg_check_modules to root CMakeLists.txt. (75789689)

2015-04-16 Daniel d'Andrada

        * Update changelog date & time (d855cad0)
        * Put g++-4.9:native back (51f6efb9)
        * add src/common to platform/mirserver include dirs (04401b17)

2015-04-13 Daniel d'Andrada

        * Fix bug in Saviq's patch (b29bf5f2)
        * Tests also need to be pointed to the location of unity-api headers
          (1565c18a)

2015-04-10 Michał Sawicz

        * Saviq's changes (9192fdb2)

2015-04-10 Daniel d'Andrada

        * Merge lp:~saviq/qtmir/fix-application-api-deps (1e9bdf97)
        * Merge trunk (0774ce8e)

2015-04-10 Michał Sawicz

        * Require an application API version, fix the provided version and
          use include dir from the .pc file (5a945868)

2015-04-02 Daniel van Vugt

        * Merge lp:~mir-team/qtmir/devel-mir-next-update (7ed7c901)

2015-04-01 Daniel d'Andrada

        * Remove leftover (248e6089)
        * Ensure there's only one press or release per touch event (d4b6d702)

2015-04-01 Alan Griffiths

        * Don't rely on Mir to provide NullWindowManager (64c57f44)
        * Use current event API (8e3679b1)
        * layout fixes (e4766faa)
        * merge lp:~mir-team/qtmir/compatibility-with-mir-API-changes
          (1d6df61b)
        * layout fixes (3b22e996)

2015-03-27 Daniel van Vugt

        * Update mock headers so they can build again, following racarr's
          cursor BufferStream changes. (61088791)
        * Migrate to MirEvent 2.1 API, coming in Mir 0.13 (cf8e565b)

2015-03-25 Alan Griffiths

        * Gerry's FIXME (b46e9a8c)
        * Use the correct package, use it explicitly, use the package version
          (not the ABI version) (ac189c8c)
        * no need for mir::Server::the_surface_configurator; (dcd20480)
        * merge lp:qtmir (ffa0fd49)

2015-03-25 Michael Zanetti

        * merge trunk (07aa5072)

2015-03-25 Daniel van Vugt

        * Link to libmirclient too. That's where all mir_* client (and input
          functions) now correctly reside. (e14b0bdd)
        * Merge branch lp:~mir-team/qtmir/compatibility-with-mir-API-changes
          (f4862323)
        * Merge latest trunk. Now identical. (c60e4bfd)

2015-03-25 Michael Zanetti

        * properly mock settings and add a test for it (249280b9)

2015-03-18 CI Train Bot

        * Releasing 0.4.4+15.04.20150318-0ubuntu1 (b9e9716a)

2015-03-18 Gerry Boland

        * Refactor wakelock handling. Lifecycle exempt apps now release
          wakelock when shell tries to suspend them (6c5d37c8)

2015-03-18 Robert Carr

        * Port to the new MirEvent API and add support for pointer events.
          (46fc5c06)

2015-03-17 CI Train Bot

        * Releasing 0.4.4+15.04.20150317-0ubuntu1 (351c275d)

2015-03-17 Albert Astals Cid

        * Make the test pass with Qt >= 5.4.1
          Fixes: #1427529 Approved by:
          Michał Sawicz, Gerry Boland, PS Jenkins bot (3de88098)

2015-03-16 Michael Zanetti

        * fix tests (5cd1a8be)

2015-03-13 Michael Zanetti

        * camellCase it because the emitted key in the signal is converted to
          camelCase (970037d7)
        * update build dep (8a95c467)
        * rename gsettings key (1552c179)
        * read exception list from gsettings instead a hardcoded list
          (bc5c3411)

2015-03-13 Alan Griffiths

        * Surface::query() goes const (c9b23555)

2015-03-11 Alan Griffiths

        * Revert hack (0863306b)
        * merge lp:~kdub/qtmir/display-groups (1c93d230)
        * Compatibilty with Mir API changes (2c5f25a0)

2015-03-11 Gerry Boland

        * Use SurfaceObserver to watch for surface attribute changes
          (918b1c86)

2015-03-06 Gerry Boland

        * Racey test not so reliable, this helps (7e9cceab)

2015-03-06 Daniel van Vugt

        * Merge latest trunk (8622e693)

2015-03-05 Gerry Boland

        * Fix and add test for SharedWakelock acq/rel/acq not loosing a
          cookie (67e63194)

2015-03-05 Albert Astals Cid

        * Set envvar only if not set (3b3d1ec8)
        * Make the test pass with Qt >= 5.4.1 (31bfb8be)

2015-03-05 Gerry Boland

        * Correctly set and emit changes to enabled property on error cases
          (776ff61e)
        * Remove debug lines (8990c6e4)
        * Add note explaining passing of DBusConnections (0901f94c)

2015-03-04 Gerry Boland

        * Collect common test phrases into methods (e7cc3d79)
        * Part of flood test was not completing, exposed bug. Fixed both
          (b8cf0250)
        * Do not bother trying to mock up the actual powerd dbus interface,
          just use manually constructed mocks for now (4d2f5d48)
        * Update MockSharedWakelock to actually have tests make sense
          (c95abed9)
        * Add one more test which would fail before the refactoring
          (90fbd585)
        * Implement the remaining tests (f120c0c6)
        * SharedWakelock refactoring - RAII design faulty when wrapping an
          asynchronous service. Was possible for wakelocks to not be
          removed. (f159b8ed)
        * Change AbstractDBusServiceMonitor to accept a QDBusConnection
          directly, makes easier to test (158e42e6)

2015-02-27 CI Train Bot

        * Releasing 0.4.4+15.04.20150227.1-0ubuntu1 (dd01077c)

2015-02-27 Kevin DuBois

        * No change rebuild for mir 0.12 Approved by: PS Jenkins bot
          (b8a39ec4)

2015-02-27 Gerry Boland

        * Add test (dce21a8c)

2015-02-26 Gerry Boland

        * Application::setFocused(false) should not acquire wakelock
          (15bb2408)

2015-02-25 Gerry Boland

        * Added more exository comment (f8e2f6ef)

2015-02-24 Kevin DuBois

        * no change rebuild needed for Mir 0.12 (5bf28bb1)

2015-02-23 Gerry Boland

        * Remove boost, it is barely used (18001819)

2015-02-20 Daniel d'Andrada

        * Fix typo (a2a53f5d)
        * Fix virtual keyboard bug (5e23ad4e)

2015-02-20 Gerry Boland

        * Lifecycle exempt apps never released wakelock while running, even
          if unfocused. They now will release wakelock when shell
          asks to suspend them (f04b68de)

2015-02-20 CI Train Bot

        * Releasing 0.4.4+15.04.20150220-0ubuntu1 (de5c0169)

2015-02-20 Albert Astals Cid

        * Don't start timer from the thread it doesn't belong to (f57ab142)
        * Don't start timer from the thread it doesn't belong to (644ed0a6)

2015-02-19 Robert Carr

        * Port to MirEvent 2.0 (9baf97ac)

2015-02-16 Timo Jyrinki

        * No-change rebuild against Qt 5.4.0. (2034a2d6)

2015-02-12 Kevin DuBois

        * adapt for changes to mg::DisplayBuffer (80c3c0d3)

2015-02-11 Daniel d'Andrada

        * Merge trunk (f7fdcfff)

2015-02-09 CI Train Bot

        * Releasing 0.4.4+15.04.20150209-0ubuntu1 (5708bad1)

2015-02-09 Robert Carr

        * Bump build-dep to mir 0.11. (1a8358de)

2015-02-09 Daniel van Vugt

        * QtMir changes required to support the Mir branch of the same name.
          Landing soon.
          Fixes: #1395581 Approved by: Gerry Boland
          (b8570a40)

2015-02-09 Alan Griffiths

        * Port to the msh::Shell API in Mir Approved by: Alberto Aguirre,
          Gerry Boland (e6dc56fd)

2015-02-06 CI Train Bot

        * Releasing 0.4.4+15.04.20150206-0ubuntu1 (7ee503cb)

2015-02-06 Daniel d'Andrada

        * Don't suspend&resume the main stage app when switching focus from
          side to main stage Approved by: Gerry Boland, PS Jenkins
          bot (c96d9b69)

2015-02-06 Albert Astals Cid

        * Fix demo shell import name Approved by: Gerry Boland (87f13eb7)

2015-02-06 Michał Sawicz

        * Add moot autopkgtest to run the standard unit tests (d6e81f91)

2015-02-06 Gerry Boland

        * Explicitly setting GL-mode breaks GTK app rendering. Removing the
          hack appears to just work
          Fixes: #1401968 Approved by:
          Michał Sawicz, Stephen M. Webb, PS Jenkins bot (52ef7bd9)

2015-02-06 Alan Griffiths

        * Route surface config changes through shell->set_surface_attribute()
          (0b1e70c7)

2015-02-05 Alan Griffiths

        * update based on dandrader's feedback (8e1a1cf7)

2015-02-04 Daniel van Vugt

        * Merge more from latest parent branch (4addc025)
        * Merge latest from parent branch. (cb1bc122)
        * camelCase (29024fdd)

2015-02-04 Alan Griffiths

        * Apply Qt coding style to identifiers (c031fe08)

2015-02-04 Daniel van Vugt

        * No change. Ping, Jenkins. (4f91492b)

2015-02-04 Alan Griffiths

        * Bump libmirserver-dev dependency (cddcad1c)

2015-02-03 Daniel van Vugt

        * Fix attempt at porting for fix-buffers_ready_for_compositor
          (3ae286e8)

2015-02-02 Robert Carr

        * Bump version (98a6ac29)
        * Merge trunk (1b9c3044)

2015-02-02 Alan Griffiths

        * Update debug message after cut&paste (3e13a264)
        * Use AbstractShell to simplify implementation (ae116e6d)
        * Compatibility with nsecs_t removal (501790ee)

2015-01-28 Alan Griffiths

        * Clean up comments etc (52d01b3f)
        * First pass at msh-Shell compatability (4208a029)

2015-01-27 Daniel d'Andrada

        * Don't suspend&resume the main stage app when switching focus from
          side to main stage (43403240)
        * Don't suspend&resume the main stage app when switching focus from
          side to main stage (f8af5e80)

2015-01-23 Albert Astals Cid

        * Update the import name (1c5b081b)

2015-01-22 Alan Griffiths

        * Delete dead code (658c9920)

2015-01-19 Daniel d'Andrada

        * Merge trunk (66be0f04)

2015-01-15 Michał Sawicz

        * Add moot autopkgtest to run the standard unit tests (5afca541)

2015-01-15 Daniel d'Andrada

        * Remove :native (be88c72a)
        * Merge trunk (382aa1e8)

2015-01-15 CI Train Bot

        * Releasing 0.4.4+15.04.20150115-0ubuntu1 (34869636)

2015-01-15 Gerry Boland

        * Add Wakelock support - ensures device drops to deep-sleep mode only
          when all AppMan suspend tasks have completed (14d8f3ee)

2015-01-15 Ricardo Mendoza

        * Reduce suspend timeout to half of the previous value because the
          long value was too apparent on fast paced apps, like web
          games of music players; it broke the user experience
          according to design.
          Fixes: #1402650 Approved by: Gerry
          Boland, PS Jenkins bot (514010f5)

2015-01-14 CI Train Bot

        * Releasing 0.4.4+15.04.20150114-0ubuntu1 (7dca2ef4)

2015-01-14 Albert Astals

        * Move the creation of the surface observer to
          SessionListener::surface_created (8ae1cccd)

2015-01-14 Josh Arenson

        * Assign touch events area to the correct values. (da60c534)

2015-01-14 Michał Sawicz

        * Declare the QByteArray in callDispatcher so it doesn't get deleted
          before it's copied.
          Fixes: #1408819 Approved by: Gerry
          Boland, PS Jenkins bot (71c1fe41)

2015-01-14 Gerry Boland

        * Depend on :native version of g++ to allow cross-compiling to work.

          Fixes: #1353855 Approved by: Michał Sawicz (c8948251)

2015-01-14 Albert Astals

        * Merge (67c0dab7)

2015-01-13 Gerry Boland

        * typo (f750323a)
        * Depend on :native version of g++ to allow cross-compiling to work.
          (af01e29a)

2015-01-12 Gerry Boland

        * Remove places where QTMIR_USE_OPENGL is used (572c12e4)

2015-01-12 Daniel d'Andrada

        * Merge trunk (846da246)

2015-01-12 Gerry Boland

        * Cache cookie to disk so can restore it if qtmir crashes and fails
          to clean up (9cc43704)
        * Merge trunk (6fbe2df2)

2015-01-09 Michał Sawicz

        * Declare the QByteArray in callDispatcher so it doesn't get deleted
          before it's copied. (6f7ddd67)

2015-01-09 CI Train Bot

        * Releasing 0.4.4+15.04.20150109-0ubuntu1 (bd09008f)

2015-01-09 Nick Dedekind

        * Notify prompt sessions that sessions have been suspended/resumed.

          Fixes: #1355173, #1384950 Approved by: Gerry Boland, PS
          Jenkins bot (8fc4a7ef)

2015-01-09 Gerry Boland

        * Using GLES on desktop works, and fixes GTK apps (7320fed8)

2015-01-09 Nick Dedekind

        * merged with trunk (bfd0e9db)
        * mirConfig->mirServer (b3a8a720)

2015-01-09 Gerry Boland

        * Fix typos (6e464a8c)
        * No need for the lambda, just use the existing method as a slot
          (c547e2ef)
        * Merge trunk (09574253)
        * Add tests for Application class, with respect to wakelocks
          (06913d1f)
        * Move MockSharedWakelock into its own header file, have tests import
          that (b0aa1701)
        * Minimize diff (d546857a)

2015-01-08 Gerry Boland

        * Couple more tests (6f15ff37)
        * One more test (d05f2473)
        * Add tests for SharedWakelock functionality (06d94767)
        * Minor refactoring to allow easier testing (139f95b6)
        * Small syntax consistency change (616cb276)
        * comment correction (a6ff46db)
        * Added comment and a TODO (aafc8eb9)
        * Have Wakelock deal with powerd crashes (cd090dba)

2015-01-08 CI Train Bot

        * Releasing 0.4.4+15.04.20150108.1-0ubuntu1 (f08f0141)

2015-01-08 Cemil Azizoglu

        * Rebuild for Mir 0.10. Approved by: PS Jenkins bot (6abd1e8f)

2015-01-08 Nick Dedekind

        * Compatibility for Mir 0.10.0 Approved by: Gerry Boland, Cemil
          Azizoglu (59883a0d)

2015-01-08 Gerry Boland

        * Fixed bugs in AbstractDBusServiceMonitor when using system dbus
          (ee645197)
        * Use Powerd DBus interface to aquire wakelocks (3b6f7f6e)
        * Dash is a system app, so it should not acquire wakelock (e6b416f7)

2015-01-07 Cemil Azizoglu

        * Do away with the deprecated function. (7d43d1b9)

2015-01-07 Gerry Boland

        * Shimmy around arg list for AppMan, fix tests (99acc841)
        * Only print debug info if wakelock operations succeed (4fa26068)
        * Removed QScopedPointer from SharedWakelock, sadly unable to see why
          it not working. Namespace confusion maybe (afda1cdf)
        * Added SharedWakelock class, and have Application acquire/release
          when it wants to. Not compiling due to shared pointer
          confusion (f64d8823)

2015-01-07 Nick Dedekind

        * merged with compatibility branch (2deb2c28)

2015-01-06 Nick Dedekind

        * mir 0.10.0 compatibility (16c247a4)

2015-01-05 Josh Arenson

        * Remove residual debug code (4464d560)
        * Readd deb deps (9bb4f62b)
        * Pass touch_major and touch_minor event information back to Mir
          (aff7e5f3)

2015-01-05 Cemil Azizoglu

        * Merge trunk (818122a7)

2014-12-18 Josh Arenson

        * [ Daniel d'Andrada ];  Update README and readd option to disable
          building tests [ Gerry Boland ];  Emit SIGSTOP when AppMan
          fully initialized, when Mir is ready is too   soon (LP:
          #1394208) [ Ubuntu daily release ];  New rebuild forced [
          Alan Griffiths ];  Migration of qtmir from the legacy Mir
          API;  Refactor to better reflect the code structure
          following new-migrate-   to-mir-Server-API (288b8f8b)
        * debug code (2227a0ff)

2014-12-18 Nick Dedekind

        * merged with trunk (ea9a4f73)

2014-12-16 Albert Astals

        * fixlet (9746d5c8)
        * Pass the SurfaceObserver around (8c67f1a9)
        * make it a signal+connection instead invokation (187f5837)

2014-12-15 Ricardo Mendoza

        * Reduce suspend timeout to 1500ms due to lifecycle issues with
          fast-paced apps. (da9afc26)

2014-12-15 CI Train Bot

        * Releasing 0.4.4+15.04.20141215-0ubuntu1 (c92924c8)

2014-12-15 Gerry Boland

        * Emit SIGSTOP when AppMan fully initialized, when Mir is ready is
          too soon
          Fixes: #1394208 Approved by: Michał Sawicz, PS
          Jenkins bot (459ccba8)

2014-12-15 Daniel d'Andrada

        * Update README and readd option to disable building tests Approved
          by: Gerry Boland, PS Jenkins bot (7ffc6294)

2014-12-12 Albert Astals

        * register (67dc54f5)
        * And the files i forgot ^_^ (f4546db3)
        * Move the creation of the surface observer to
          SessionListener::surface_created (71fe41dd)

2014-12-12 Gerry Boland

        * Emit SIGSTOP when AppMan fully initialized, when Mir is ready is
          too soon (9c083f84)

2014-12-11 CI Train Bot

        * Releasing 0.4.4+15.04.20141211-0ubuntu1 (9a978812)

2014-12-11 Alan Griffiths

        * Refactor to better reflect the code structure following
          new-migrate-to-mir-Server-API Approved by: Gerry Boland,
          PS Jenkins bot (74c301c4)
        * Migration of qtmir from the legacy Mir API Approved by: Gerry
          Boland, PS Jenkins bot (5ebf8adf)
        * merge lp:qtmir (c525415d)

2014-12-10 Daniel d'Andrada

        * removed :PATH from command line (d1f95ac5)

2014-12-09 Daniel d'Andrada

        * Fix typo (1a5c8641)
        * Mention the CMAKE_INSTALL_PREFIX in the README (f90cf347)
        * Update README and readd option to disable building tests (8ad246cf)
        * Merge trunk (0200224b)
        * declare a metatype for the new enum (45f076a7)
        * Make MirsufaceItem::orientationAngle use an enum (0f316fb0)

2014-12-08 CI Train Bot

        * Releasing 0.4.4+15.04.20141205-0ubuntu1 (b03de6db)

2014-12-08 Ricardo Salveti de Araujo

        * qteventfeeder: adding bt and wired headset multimedia keys
          Fixes:
          #1398427 Approved by: Daniel d'Andrada (6cda0774)

2014-12-03 Daniel d'Andrada

        * Remove side stage decision override (48af2827)

2014-12-03 Alan Griffiths

        * Remove legacy include (d3b862a9)

2014-12-03 CI bot

        * Releasing 0.4.4+15.04.20141203-0ubuntu1 (0fce08ac)

2014-12-03 Alberto Aguirre

        * Select mirclient backend for platform-api instead of mirserver.
          Approved by: Gerry Boland, PS Jenkins bot (4ea95d04)

2014-12-03 Gerry Boland

        * Fix build with Qt5.4
          Fixes: #1394884 Approved by: Timo Jyrinki, PS
          Jenkins bot (057afb25)
        * Port qmake->cmake to enable sbuild usage for crosscompiling.
          Approved by: Gerry Boland (e1ccb2c2)

2014-12-03 Michał Sawicz

        * Merge trunk (5dd3b504)
        * Use FindGMock from cmake-extras > 0.3 (19d2cb60)
        * Wrap-and-sort (ca286470)

2014-12-02 Alan Griffiths

        * merge lp:~alan-griffiths/qtmir/new-migrate-to-mir-Server-API
          (1b2a4a3e)
        * Fix startup race condition (f4ebfd8b)

2014-12-01 Gerry Boland

        * Do not use deprecated qt5_use_module cmake command (d900742f)

2014-12-01 Alan Griffiths

        * Remove mir::Server from public interface of MirServer (b2a3346a)
        * Remove dependencies on mir/server.h in favour of class MirServer
          (2736564a)
        * Fixup variable names (b22d6801)
        * Rename MirServerConfiguration => MirServer (c61c28b0)
        * Fix initialization order in tests (2d2dbb81)

2014-11-28 Alan Griffiths

        * Re-order initialization (8415921e)
        * Re-order initialization (191e8a92)
        * Debug code (48f41701)
        * Quick spike to test API (3bc65543)

2014-11-28 Daniel d'Andrada

        * Merge trunk (11eef0a9)

2014-11-27 Gerry Boland

        * Use macros in QMLPlugin module to install QML plugin (6d61498c)
        * Remove unneeded paths in tests (7edbcc88)
        * pro file left, remove (968058a7)
        * Remove spare line added somehow (9d691223)
        * Remnants of unity8 cmake bits renamed to be more qtmir suited
          (5f8b78ba)
        * let qt5_use_modules look after LINKing (90ebf79a)
        * cmake depends on cmake-data (2176bfb7)

2014-11-27 Daniel d'Andrada

        * Fix default orientations and add a bit of debugging (282e94d7)

2014-11-27 Gerry Boland

        * Import QmlPlugins.cmake from unity8, use instead of custom
          Plugins.cmake (47f995d6)
        * Remove LinuxCrossCompile.cmake too, unnecessary (ff65a003)
        * Remove ParseArguments module, is unused (e0efa35c)
        * Use modules from cmake-extras package, remove local copies
          (408d8f52)
        * debian:control - respect ordering (7af0d7b0)

2014-11-26 Gerry Boland

        * [cmake] tests: add explicit dependence on the GMock target to fix
          build race (3f2fc978)

2014-11-25 Nick Dedekind

        * updated for changes in mir (eae32094)

2014-11-24 CI bot

        * Releasing 0.4.4+15.04.20141124-0ubuntu1 (1a90b3c7)

2014-11-24 Alberto Aguirre

        * No-change rebuild againts mir 0.9.0 Approved by: Cemil Azizoglu, PS
          Jenkins bot (f5d6c2d2)

2014-11-24 Daniel d'Andrada

        * DesktopFileReader: "primary" is also a valid orientation string
          (f5aae4ae)

2014-11-21 Gerry Boland

        * Fix building with Qt5.4 (2801ca44)

2014-11-19 Daniel d'Andrada

        * X-Ubuntu-Supported-Orientations and
          X-Ubuntu-Rotates-Window-Contents desktop entries
          (bb789d74)

2014-11-18 Alberto Aguirre

        * No change rebuild against mir 0.9.0 (a6ab179e)

2014-11-17 Robert Carr

        * Merge lp:~gerboland/qtmir/cmake-update (2c161683)

2014-11-14 Nick Dedekind

        * merged with trunk (e7f1d6c5)

2014-11-13 Gerry Boland

        * Fix test compile failures (806b2492)
        * Forgot to add CMakeLists.txt (92b10a8a)
        * Merge trunk and fix conflicts (537b7c3c)

2014-11-13 Nick Dedekind

        * suspend prompt session (46715c4e)

2014-11-12 Timo Jyrinki

        * No-change rebuild against Qt 5.3.2. (d58b959e)

2014-11-10 CI bot

        * Releasing 0.4.4+15.04.20141110-0ubuntu1 (631676d5)

2014-11-10 Michael Zanetti

        * Use QSGDefaultImageNode instead of QSGSimpleTexture to gain surface
          manipulation features such as antialiasing
          Fixes: 1351559
          Approved by: Gerry Boland, PS Jenkins bot (f56129d8)

2014-11-10 josharenson

        * Add support for enabling/disabling orientation sensor based on
          screen power state.
          Fixes: 1375297 Approved by: Daniel
          d'Andrada, PS Jenkins bot, Gerry Boland (02dbee0d)

2014-11-06 Alberto Aguirre

        * Use mirclient backend in UBUNTU_PLATFORM_API_BACKEND (fe1a06f1)

2014-11-05 Michael Zanetti

        * tweak it a little, remove unused include (996e3aba)

2014-11-04 Michael Zanetti

        * Use QSGDefaultImageNode instead of QSGSimpleTexture to gain surface
          manipulation features such as antialiasing (a3949532)

2014-10-30 CI bot

        * Releasing 0.4.4+15.04.20141030.2-0ubuntu1 (8806fcd6)

2014-10-30 Timo Jyrinki

        * Add libmtdev-dev build dependency (LP: #1379152)
          Fixes: 1379152
          Approved by: Gerry Boland, PS Jenkins bot (bd7caa25)

2014-10-30 Ted Gould

        * Use UAL pause/resume functions for stopping/continuing all tasks in
          the cgroup
          Fixes: 1379786, 1379788, 1382039 Approved by:
          Gerry Boland, PS Jenkins bot (3cb2c487)

2014-10-30 Nick Dedekind

        * remove stop prompt session (5112cc10)

2014-10-30 CI bot

        * Releasing 0.4.4+15.04.20141030.1-0ubuntu1 (367b8be4)

2014-10-30 Ricardo Mendoza

        * Clean up QML Compilation cache if application fails to start
          correctly. Approved by: Gerry Boland, PS Jenkins bot
          (809f16cc)

2014-10-22 josharenson

        * Change unityScreen to m_unityScreen as it is a member variable
          (27ce85be)
        * Fix whitespace (43a82f63)
        * Add FIXME (b3f2f195)
        * Remove leftover tab (7a632aa8)
        * Fix whitespace issues (49c43352)

2014-10-20 Ted Gould

        * Add pack process-cpp-dev (0d2033fd)
        * Merge trunk (e07d8b55)
        * Getting closer to trunk (2cda8647)
        * Partial trunk update (2b391772)

2014-10-16 josharenson

        * Add unit test for orientation sensor enable/disable (27263a81)

2014-10-14 Robert Carr

        * Fix desktop file reader test (49595580)
        * Missiong file (db89a53e)
        * Merge lp:qtmir (cfd0ebe5)

2014-10-13 Ricardo Mendoza

        * Sync branches and trunk (0c932944)
        * Use homePath (6af9f3df)
        * Address comments, use better method (4bf149f5)

2014-10-13 CI bot

        * Releasing 0.4.4+14.10.20141013-0ubuntu1 (14ffda3c)

2014-10-13 Michał Sawicz

        * Ensure unity8-dash is less likely to be killed than other
          background apps.
          Fixes: 1379296 Approved by: Gerry Boland,
          PS Jenkins bot (6e6af5ad)

2014-10-13 Daniel d'Andrada

        * Turn UbuntuKeyboardInfo into a QML singleton Approved by: PS
          Jenkins bot, Albert Astals Cid (7fa18efc)

2014-10-13 Robert Carr

        * Pass key auto-repeat flag through QtEventFeeder. (f40ac818)

2014-10-13 Gerry Boland

        * Rewrite DesktopFileReader to use GDesktopAppInfo, enables reading
          localized keys
          Fixes: 1350360 Approved by: Daniel
          d'Andrada, PS Jenkins bot, Michael Zanetti (e9c2beb0)

2014-10-13 Ricardo Mendoza

        * Move to onSessionStopping instead, other logic is broken (698c149a)

2014-10-12 Ricardo Mendoza

        * Fixes (4fc5985d)
        * Clean up QML cache if app fails to start (37239664)

2014-10-10 josharenson

        * Add support for enabling/disabling orientation sensors based on
          screen power state (b4072cf2)
        * [CHECKPOINT COMMIT] dbus signal is correctly received (622a1770)

2014-10-10 CI bot

        * Releasing 0.4.3+14.10.20141010-0ubuntu1 (7373cfd3)

2014-10-10 Cemil Azizoglu

        * Rebuild for Mir 0.8.0. Approved by: PS Jenkins bot (c4207639)

2014-10-10 Daniel d'Andrada

        * Bump version to 0.4.4 (1bc818c6)

2014-10-10 Michał Sawicz

        * Ensure unity8-dash is less likely to be killed than other
          background apps. (a6edae77)

2014-10-09 Timo Jyrinki

        * Add libmtdev-dev build dependency (LP: #1379152) (c7b20622)

2014-10-08 Robert Carr

        * Feed the monster (3682df00)
        * Sweet sweet hacks (e5f9ee06)
        * Merge lp:qtmir (44de7e67)
        * Require Qt5::Gui for unityapplication (c53ba33c)

2014-10-08 Daniel d'Andrada

        * Ensure there is a UbuntuKeyboardInfo instance in case the QML
          singleton is not used (214c5bbe)

2014-10-07 Robert Carr

        * Whee (7a77fbb5)
        * Fix typo (c860910f)
        * Use pkgconfig to find gl (3e740b5c)
        * I love hacks (6c1c3fdb)
        * Remove extra deps (38aba333)

2014-10-07 Gerry Boland

        * Missing !, debug statement now makes sense (77a4e722)

2014-10-06 Ted Gould

        * Apparently a new process-cpp inclusion (ff1605a9)
        * Changing the API back to being appId based so that we don't have to
          let longAppId through. (9554ecd1)
        * Switch to using the accessor in the application object (7c635fd9)

2014-10-06 Gerry Boland

        * Add more verbose error message if desktop file not valid or missing
          (0d985e29)
        * GDesktopInfo actually checks that the binary specified by the Exec
          line is installed. So need to change calculator.desktop to
          definitely use an installed binary (c41b3e6e)

2014-10-06 Ted Gould

        * Removing the process module from the QMake files (3de99d19)
        * Merge trunk (176e3b1e)
        * Use Q_UNUSED() macro (b02bc9d9)
        * Debug message cut-and-paste error (445b396c)
        * No clue how that got changed (5826c753)
        * Trying to remove process-cpp entirely (2e3a537a)

2014-10-06 Daniel d'Andrada

        * Merge lp:qtmir (32a10726)

2014-10-06 Gerry Boland

        * Fix compiler unused warning (33c2ea8c)
        * Merge trunk (a46312ca)

2014-10-06 CI bot

        * Releasing 0.4.3+14.10.20141006-0ubuntu1 (a1fba025)

2014-10-06 Albert Astals

        * Wait for ApplicationManager to be there (296ebafc)

2014-10-06 Michael Zanetti

        * Fix some bugs in app lifecycle management. (8245e8ce)

2014-10-06 Daniel d'Andrada

        * Turn UbuntuKeyboardInfo into a QML singleton (0398277e)

2014-10-03 Robert Carr

        * Add missing cmake file (e838eb7b)

2014-10-03 Albert Astals

        * Actually no, don't move up (246d3e8d)
        * move up (8aa3b4bb)
        * 120 (8b980998)
        * comment++ (fe3232db)
        * Wait for ApplicationManager to be there (fd4fbced)

2014-10-02 Robert Carr

        * Merge upstream (5da1b9fd)

2014-10-01 CI bot

        * Releasing 0.4.3+14.10.20141001.5-0ubuntu1 (310fe838)

2014-10-01 Gerry Boland

        * Fix AppMan handling Upstart resuming a Stopped application
          (b7410926)

2014-10-01 Robert Carr

        * MirSurfaceItem::consume Set motion event tooltypes based on
          QTouchPoints
          Fixes: 1371282 Approved by: Daniel d'Andrada,
          PS Jenkins bot (993ef3c9)

2014-10-01 Daniel d'Andrada

        * Provide a global clipboard via D-Bus
          Fixes: 1367814, 1367816
          Approved by: Robert Carr, PS Jenkins bot (42c25ada)
        * CONFIG+=no_tests to avoid building the tests and therefore speed up
          the build Approved by: Gerry Boland, PS Jenkins bot
          (cc2545a2)

2014-10-01 josharenson

        * Remove check to see if application is already focused before
          focusing. (ee8da0d5)

2014-09-30 Robert Carr

        * Revert to old method of plugin installation (fb615295)

2014-09-29 Robert Carr

        * Fix app plugin install (f63833bc)
        * Use shell_install_qml correctly (f1720232)
        * Fix qt5 sensors link (6e21e76e)
        * Merge upstream (2c96bc12)
        * Fix trailing whitespace (5b9cd857)

2014-09-29 Ted Gould

        * Dropping unneeded includes (47ece73b)
        * Updating to trunk (f4325a65)

2014-09-29 Michael Zanetti

        * add a test for forceDashActive (ae299182)
        * dashActive -> forceDashActive (c7cd415b)
        * merge/update (98bed28d)

2014-09-26 Robert Carr

        * Merge lp:qtmir (14940f57)
        * Comments for tracepoint hacks (6126064f)
        * Adopt Werror over pedantic (41218c4b)
        * Revert more unnecessary changes (1ae2dd6a)
        * More cleanups (0ea33ef8)
        * Remove unnecessary mock...revert change to l.ink as module
          (1c1cfc09)
        * Use SHELL_INSTALL_QML (3747a539)
        * Link plugins as module, avoid redefining QT_NO_KEYWORDS (645b157d)
        * Cleanup gtest cross-compile toolchain file (e18c0a05)
        * Bump qt 5.2->5.3 (9f56c753)

2014-09-25 Ted Gould

        * Merge trunk (aadfff59)
        * Fix odd change to remove from diff (c7374674)

2014-09-25 Robert Carr

        * Add comment wrt to multiple motion tool types (abbe0ac3)

2014-09-24 Robert Carr

        * Fix mirsurfaceitem.cpp side of QKeyEvent::isAutoRepeat (3b8ca83a)
        * Fix key-repeat in qteventfeeder (38c29b62)

2014-09-24 Gerry Boland

        * qCDebug (fd1bbc2c)
        * Fix AppMan handling Upstart resuming a Stopped application
          (5036ced8)

2014-09-23 Robert Carr

        * Jenkins (b13ae422)
        * Fix tooltypes as best as can be done with Qt events (9c4e88a0)

2014-09-23 Daniel d'Andrada

        * Implement contents size limitation in the D-Bus (global) clipboard
          (c8d9eb47)

2014-09-22 Robert Carr

        * Cleanup, reenable tracepoints (c066daa7)
        * Cleanup main CMakeLists.txt (b9a4d4d2)
        * Remote outdated mircommon check (769bd9b0)
        * Add tests to ctest (702f1b80)

2014-09-22 CI bot

        * Releasing 0.4.3+14.10.20140922.1-0ubuntu1 (3eab544f)

2014-09-22 Gerry Boland

        * Add splash screen properties to Application (a968de70)
        * Expose Mir surface orientation property to QML
          Fixes: 1288332,
          1363920 Approved by: Daniel d'Andrada, PS Jenkins bot
          (2c9e7552)

2014-09-22 Daniel d'Andrada

        * Provide a global clipboard via D-Bus (6b9881fc)
        * CONFIG+=no_tests to avoid building the tests and therefore speed up
          the build (7cbdf0a1)

2014-09-22 Gerry Boland

        * Use qCWarning (b8bfa786)

2014-09-22 Daniel d'Andrada

        * Bump unity-api package version dependency (f74059a5)

2014-09-22 Gerry Boland

        * Sssh, not so noisy (dd6f3b6f)
        * Fix typos (015ca308)

2014-09-19 Ted Gould

        * Making the test suite compile (ed608b34)

2014-09-19 Gerry Boland

        * Merge trunk (b51992bb)

2014-09-19 Michael Zanetti

        * also bump provides (3e5b082d)
        * bump dependency after mergin unity-api (17d27546)
        * merge trunk (340b2361)

2014-09-18 Robert Carr

        * More hacks (c06f4eb0)
        * More hacks (e179dc59)
        * Cmake to build depends (219ab382)

2014-09-19 Gerry Boland

        * Typos (dc4ea156)
        * Oops, revert naughty change (b5045ae5)

2014-09-18 Gerry Boland

        * Add additional test for UTF8, found and fixed locale bug (55f0f0d0)

2014-09-18 Robert Carr

        * Missing link-libraries (a14acfba)
        * Fix dh_auto_build (767c2e35)
        * More build deps (5ce08043)
        * More build deps (9db6e0bf)
        * More build deps (3196247f)

2014-09-18 Gerry Boland

        * Check loaded before trying to use desktop file reader (1e09368f)
        * Need to manually locate localized X-Ubuntu-Splash-Title (6b5569f8)

2014-09-18 Ted Gould

        * Drop the process controller (fb935616)
        * Dropping some unneeded code (ba7f5130)
        * Replace the task controler processing with a call to the app
          manager (6771f9e3)
        * Adding in pause and resume functions (26f5f36f)

2014-09-18 Robert Carr

        * More (5adf48fd)
        * Restort parts of GL detection (fd85f4a3)
        * Add GLES detection (da4b9b6c)
        * Restort parts of GL detection (493aa5c6)
        * More (5dbd5adb)
        * We do not need opengl check anyumore as we do it in debian/rules
          (2812c731)
        * Wooo (aa1c936d)

2014-09-18 Gerry Boland

        * Fix one more localisation test portion, one to go (077d69ee)
        * Add tests - fix bug (fa00939f)

2014-09-18 Robert Carr

        * Package build sorta works now (f47fd578)
        * More install hacks? (f8e945fb)
        * Hack (ab4b84b5)
        * More install tweaks (868e713c)
        * Try tof ix mirserver install (a20e6e96)

2014-09-18 CI bot

        * Releasing 0.4.3+14.10.20140918.3-0ubuntu1 (ce3b3b99)

2014-09-18 Gerry Boland

        * TaskController may call processStarted synchronously, so check for
          that in startApplication before adding
          Fixes: 1371047
          Approved by: Michael Zanetti, PS Jenkins bot (180ad027)

2014-09-18 Robert Carr

        * Add missing cmake file (fe4a966a)
        * rm -rf qmake (b8441b17)

2014-09-18 Gerry Boland

        * TaskController may call processStarted synchronously, so check for
          that in startApplication before adding (d00d6fb6)

2014-09-18 Michael Zanetti

        * add a dashActive property to allow resuming the dash regardless of
          its focused state (3f3d80d0)

2014-09-18 CI bot

        * Releasing 0.4.3+14.10.20140918.1-0ubuntu1 (1fd56afe)

2014-09-18 Gerry Boland

        * Fix unstable test - be more careful about synchronizing the Qt
          image provider and Mir snapshot threads (07377257)

2014-09-17 Robert Carr

        * More cmake progress (e09a9c1f)
        * Begin on cmake (ae58711c)

2014-09-17 Gerry Boland

        * Use parts of GAppInfo if relevant (1662d83e)
        * Rewrite of DesktopFileReader to use the GIO GDesktopAppInfo "class"
          (41182b38)
        * Merge parse_splash_from_desktop_file branch (db4450f0)

2014-09-17 Daniel d'Andrada

        * Remove unneeded #include (cb7f4e10)
        * Remove the clipboard implementation that uses mir custom messages
          for its RPC (a050b574)

2014-09-16 Gerry Boland

        * Merge trunk and resolve conflict (11d4f287)

2014-09-15 josharenson

        * Add unit test (9fb18060)

2014-09-15 Daniel d'Andrada

        * Default to not showing the header in the splash screen (f602bfd2)

2014-09-15 CI bot

        * Releasing 0.4.3+14.10.20140915-0ubuntu1 (48454d4f)

2014-09-15 Daniel d'Andrada

        * MirSurfaceItem: Ensure all touch sequences sent to Mir surface are
          properly ended. (95fbd7e9)

2014-09-12 josharenson

        * Fix lp:1362017 (8883d6ab)

2014-09-12 Gerry Boland

        * Improve comment (73944e32)

2014-09-12 Michael Zanetti

        * add a test for suspending unfocused apps when they become ready
          (062dc59a)

2014-09-11 Daniel d'Andrada

        * Register SessionInterface meta type (198be457)
        * We might not want to have Session in the long run (52e188ef)
        * Write MissingTouchEnd test for MirSurfaceItem (631ef986)
        * Sort out namespace of mocks, make a interface for qtmir::Session
          and draft MirSurfaceItem test (e28c7e1c)

2014-09-10 Daniel d'Andrada

        * MirSurfaceItem: Ensure all touch sequences sent to Mir surface are
          properly ended. (f13a3d43)

2014-09-10 Gerry Boland

        * Add comment above piece of useful code we will use in future
          (55c6809b)

2014-09-10 Michael Zanetti

        * merge trunk (a542846c)
        * add a test for the changed functionality (3f3d9a13)
        * fix tests (bd58d5ae)
        * fix some lifecycle bugs. tests still failing (8d2659fd)

2014-09-10 Gerry Boland

        * Merge trunk (818f90a3)

2014-09-09 Gerry Boland

        * Split PrimaryOrientation into separate if statement, helps
          readability and fixes bug (010fc634)
        * Always transform Qt orientations to be with respect to the native
          orientation (a93075f1)

2014-09-09 Daniel d'Andrada

        * And optmize it a bit (d2e189bd)
        * Fix and refactor Application::colorFromString (2fdace17)

2014-09-08 Cemil Azizoglu

        * Force rebuild. (f154ad82)
        * Force rebuild. (23367f8b)

2014-09-08 Daniel d'Andrada

        * Improve color validation (af7f5b0a)
        * Make it conform to ApplicationInfoInterface from latest unity-api
          (f7808ecd)

2014-09-08 Florian Boucault

        * Merge parse_splash_from_desktop_file (ac39eff4)

2014-09-08 Gerry Boland

        * Indentation change (3c01a1fa)

2014-09-07 CI bot

        * Releasing 0.4.3+14.10.20140907-0ubuntu1 (08a5549d)

2014-09-07 josharenson

        * Fix a small typo in the README file Approved by: Gerry Boland, PS
          Jenkins bot (7690f286)

2014-09-07 Gerry Boland

        * Add LTTng tracepoints Approved by: Daniel d'Andrada (9710515f)

2014-09-07 Alan Griffiths

        * Provide Mir with a handler for any command-line arguments it fails
          to parse. For the moment, these are simply ignored.
          (3bfd2a5a)

2014-09-07 Daniel d'Andrada

        * QtEventFeeder: validate touches before sending them to Qt
          (e0824125)

2014-09-04 Gerry Boland

        * Add lttng tracepoints (6d385347)
        * Merge trunk and fix conflicts (90f6b296)
        * Comment incorrect, fixing (f89a6131)

2014-09-03 CI bot

        * Releasing 0.4.3+14.10.20140903-0ubuntu1 (6506f504)

2014-09-03 Nick Dedekind

        * Added support for nested prompt sessions.
          Fixes: 1358388 Approved
          by: Gerry Boland, PS Jenkins bot (863e4254)

2014-09-01 Nick Dedekind

        * added application property to session (037365d4)
        * log prompt session stop (17e4a4cf)

2014-08-29 CI bot

        * Releasing 0.4.2+14.10.20140829-0ubuntu1 (ecb2c3df)

2014-08-29 Cemil Azizoglu

        * Rebuild for the Mir 0.7.0 release. Approved by: Michał Sawicz
          (7c195223)

2014-08-29 Nick Dedekind

        * changed to live sessions/surfaces (75c12a98)
        * tweaks (70570395)
        * renamed MirObjecModel->ObjectListModel (53899363)
        * respawning done by application (083a6a28)
        * fixed up some app/session state handling (152ecf4a)
        * fixed version file (635ecc96)
        * review fixes (4bc74071)
        * reintroduced tests (23b0b4bd)

2014-08-28 Nick Dedekind

        * remove surface discarding (983dfd25)

2014-08-28 josharenson

        * Fix trivial documentation typo (109bb8cd)

2014-08-28 Gerry Boland

        * Take 2 - use a state boolean and sync locking to synchronise the
          threads only if necessary (inspired by QFuture design)
          (71cc5c45)

2014-08-28 Daniel d'Andrada

        * Comment/explain QtEventFeederTest::GenerateMissingTouchEnd
          (ecc9bcc3)
        * Using a new logging category (97da7052)
        * Declare mirMotionAction a const as it's not meant to be changed
          (0008448f)
        * Add a TODO notice to that new internal interface (af5609ff)
        * QtEventFeeder: s/QtWindowSystem/QtWindowSystemInterface (b249f960)

2014-08-28 Nick Dedekind

        * removed childSurfaces from MirSurfaceItem (0818ba9e)
        * only discard surface if it doesn't have a parent (918c1d84)

2014-08-27 Nick Dedekind

        * Application->ApplicationInfo (adb81a76)
        * renames + fixes (206f8764)

2014-08-27 Alan Griffiths

        * Fix whitespace (6d80ae3e)
        * Ignore command line arguements that Mir fails to parse (225e2c21)

2014-08-27 Gerry Boland

        * Nah (1ed35d60)
        * AppScreenshotProvider - possible mock take_screenshot executed and
          unlocks mutex before mutex is locked, make it less likely
          (c7afdb55)

2014-08-27 Daniel d'Andrada

        * QtEventFeeder: validate touches before sending them to Qt
          (5eed1ade)

2014-08-27 Nick Dedekind

        * version bump (22df1593)

2014-08-26 Cemil Azizoglu

        * Force rebuild. (b3b87e05)

2014-08-26 Nick Dedekind

        * fixes after device test (d5c326be)

2014-08-26 Cemil Azizoglu

        * Merge trunk back @ r239. (a7a82c47)

2014-08-26 Nick Dedekind

        * merged with trunk (23694488)

2014-08-26 Gerry Boland

        * Try to autodetect the right platform to choose the correct
          platform-api backend (62dab9fa)
        * Set uBUNTU_PLATFORM_API_BACKEND to a reasonable default, so that
          sensors operate (53c0b448)

2014-08-26 Nick Dedekind

        * data update mods (dc0b2b9e)
        * session-in-session files (789b5f66)

2014-08-25 Gerry Boland

        * Merge trunk (52853c74)
        * Expose MirSurface orientation property to shell (52d422be)

2014-08-25 CI bot

        * Releasing 0.4.2+14.10.20140825-0ubuntu1 (5dd090d5)

2014-08-25 Daniel van Vugt

        * Add support for building against Mir when it's installed somewhere
          other than /usr (like with a custom $PKG_CONFIG_PATH).
          Approved by: Gerry Boland, PS Jenkins bot (df8beea9)

2014-08-25 Daniel d'Andrada

        * Revamp screenshotting to use an image provider again, removing
          screenshot-related methods on Application (0c118053)

2014-08-22 Daniel d'Andrada

        * Application: keep fullscreen value when it loses its surface
          (4c1b319f)

2014-08-22 Nick Dedekind

        * more session-in-session (e8ede033)
        * simple changes (2fa42400)

2014-08-21 Daniel d'Andrada

        * Update unity-application-impl version (fcd693de)
        * Update libunity-api-dev dependency (fe0fd560)

2014-08-21 Daniel van Vugt

        * Add support for building against Mir when it's installed somewhere
          other than /usr (specified by a custom $PKG_CONFIG_PATH).
          (d9e0d742)

2014-08-20 Florian Boucault

        * Merged from trunk (85681801)

2014-08-18 Daniel d'Andrada

        * Update Surface mock for Mir 0.6.0 (242c313b)
        * Merge trunk (aa5b19e8)
        * Only obey the requestedSize if it's valid (8802c14a)
        * Obey requestedSize instead of forcing half-resolution (6c6f0be6)

2014-08-18 Nick Dedekind

        * Added surface model tests (cb64d6ed)
        * Fixed review comments (51b87196)

2014-08-17 CI bot

        * Releasing 0.4.1+14.10.20140817-0ubuntu1 (351d990d)

2014-08-17 Michał Sawicz

        * Sync from distro and bring back r233 "MirSurfaceItem: always try to
          consume new mir frames" Approved by: PS Jenkins bot
          (dc19a19a)
        * Add changelog entry. (dcd8e6dd)
        * Sync from distro and bring back r233 "MirSurfaceItem: always try to
          consume new mir frames" (2f86a3d4)

2014-08-15 CI bot

        * Releasing 0.4.1+14.10.20140815-0ubuntu1 (5372dae9)

2014-08-15 Daniel d'Andrada

        * MirSurfaceItem: always try to consume new mir frames (8f920b35)

2014-08-14 Daniel d'Andrada

        * Update tests (2b515b16)

2014-08-14 Nick Dedekind

        * tweaked properties (961e96ab)
        * bumped version (bf6c64fc)
        * remove application exposure (a405c8d2)
        * surface manager tests (e83df21e)

2014-08-13 Daniel d'Andrada

        * Remove any mentions to screenshot from Unity.Application API
          (997f8b82)

2014-08-13 Nick Dedekind

        * remove decendents from remove on prompt refresh (4a17c912)
        * Added tests for application prompts + surface children (fdf51ab0)
        * fixed max->min for insert (41f7fcfe)
        * merged with trunk (26c338b6)
        * fixed prompt session insertion (53b86263)
        * added missing model files (8f04e3ed)

2014-08-12 Daniel d'Andrada

        * MirSurfaceItem: always try to consume new mir frames (2e59d684)

2014-08-12 Nick Dedekind

        * merged with trunk (ac494268)
        * use model for surfaces (e0227d0e)

2014-08-11 CI bot

        * Releasing 0.4.1+14.10.20140811.1-0ubuntu1 (b0243b67)

2014-08-11 Alan Griffiths

        * Bumped dependency for Mir 0.6.0. Switch to using supported API
          (the_ipc_factory -> new_ipc_factory). Approved by: Gerry
          Boland, Alan Griffiths (42124a66)

2014-08-11 Cemil Azizoglu

        * Merge trunk back. (40788d48)

2014-08-11 CI bot

        * Releasing 0.4.1+14.10.20140811-0ubuntu1 (e601972e)

2014-08-11 Gerry Boland

        * AppMan: fix dbus GetWindowStack & GetAppFromPid APIs. On suspend,
          mark focused application unfocused, and reverse on resume.
          (51217cab)
        * Merge trunk (466741aa)

2014-08-11 Daniel d'Andrada

        * Revamp screenshotting to optmize memory consumption (ad236021)

2014-08-08 Cemil Azizoglu

        * Merge trunk back. (a1115a36)

2014-08-08 CI bot

        * Releasing 0.4.1+14.10.20140808-0ubuntu1 (6cd40a93)

2014-08-08 Nick Dedekind

        * Added application prompt surfaces to allow prompting application
          which have not yet created a surface
          Fixes: 1352977
          (e6f17df2)
        * more review comments (37cca021)
        * review comments (7bb6a731)
        * fixed up some logging (92da2a5d)
        * fixed changelog (08e7f152)

2014-08-07 Florian Boucault

        * Make Application::splashImage a QString instead of a QUrl: support
          resolution independent images that way. (73871bc8)
        * Better choice of splash image. (685aaa04)
        * Added corresponding roles. (c347df8c)
        * Parse extra desktop files fields related to splashscreen.
          (34743db5)

2014-08-07 Nick Dedekind

        * rebased (d1e96bc1)
        * Prompt surfaces use application for hosting rather than app surface
          (d27db715)

2014-08-06 Nick Dedekind

        * added comment (42719bed)

2014-08-05 Michał Sawicz

        * Drop unnecessary changelog entry. (7b73032c)

2014-08-05 Gerry Boland

        * Qt bad with namespaces, need to supply explicitly to fix dbus
          method return types (fcfd066d)

2014-08-05 Kevin Gunn

        * merge trunk (7a516a03)

2014-08-05 CI bot

        * Releasing 0.4.0+14.10.20140805.1-0ubuntu1 (38833476)

2014-08-05 Nick Dedekind

        * Only add prompt session surfaces to the surface stack once their
          first frame has been drawn. Approved by: Thomas Voß
          (595370d7)

2014-08-05 CI bot

        * Releasing 0.4.0+14.10.20140805-0ubuntu1 (315c6e40)

2014-08-05 Daniel d'Andrada

        * Don't take screenshots automatically and emit focusRequested()
          reliably
          Fixes: 1350917 (4e425b7e)

2014-08-05 Alan Griffiths

        * Fix FTBFS with Mir-0.6 + package config fixes (a433936d)

2014-08-05 Daniel d'Andrada

        * ApplicationManager: Remove the now useless m_nextFocusedAppId
          (81c150d4)

2014-08-05 Alan Griffiths

        * Fix FTBFS with Mir-0.6 + package config fixes (f20b5b16)

2014-08-05 Daniel d'Andrada

        * Don't take screenshots automatically and emit focusRequested()
          reliably (d2758fba)

2014-08-05 Alan Griffiths

        * Fix FTBFS with Mir-0.6 + package config fixes (78445f3f)

2014-08-01 Cemil Azizoglu

        * Use libmircommon-dev, not mircommon-dev. (61dc91aa)

2014-08-01 Nick Dedekind

        * refreshPromptSessionSurfaces only after a frame has been drawn
          (d3b9f076)

2014-07-31 Cemil Azizoglu

        * Fix typo in changelog. (5e6846a5)
        * Update for Mir 0.6.0. (277e58fa)

2014-07-30 Gerry Boland

        * AppMan: emit application unfocus dbus event on suspend, and focus
          on resume (4c25ca37)

2014-07-29 CI bot

        * Releasing 0.4.0+14.10.20140729-0ubuntu1 (5bb41495)

2014-07-29 Kevin Gunn

        * no change, rebuild Approved by: Michael Zanetti (a472183e)

2014-07-29 Gerry Boland

        * Input Event timestamp - do not overwrite timestamp of events sent
          to client (35494bbb)

2014-07-25 Daniel d'Andrada

        * Improve Application::setState debug output (eeddd9f4)
        * Fix copy-and-paste error in log message (88301905)

2014-07-25 Gerry Boland

        * Revert 214 - breaks install of qtmir and qtubuntu (27f318d3)

2014-07-24 Kevin Gunn

        * merge trunk (ef9679a6)
        * merge lp:~nick-dedekind/qtmir/prompt_sessions (f779cd86)

2014-07-24 Gerry Boland

        * AppMan: emit unfocus dbus event on suspend, and focus on resume
          (bd39ad57)

2014-07-23 Michael Terry

        * Use virtual package names in Conflicts/Replaces fields and clean
          build dirs when doing dh_clean. (e44a8e76)

2014-07-23 Daniel d'Andrada

        * Add a TODO notice (7dcab457)

2014-07-23 Gerry Boland

        * debian: only use gcc4.9 compiler to prevent ABI breaks due to some
          C++11 features still being experimental in gcc (401168d9)
        * SurfaceManager: do not add each surface to the model twice silly
          (9ac3b270)

2014-07-23 Nick Dedekind

        * use qmlquicklistproperty for children surfaces (cee0957f)
        * added fixme for returning QList<QObject*> children (32ef2015)
        * added new files to common.pri (b294a09d)

2014-07-22 Gerry Boland

        * debian: only use gcc4.9 compiler to prevent ABI breaks due to some
          C++11 features still being experimental in gcc (5bd86f66)

2014-07-22 Michael Terry

        * Add a non-virtual qtmir option (16149e0f)

2014-07-22 Nick Dedekind

        * removeAll promptSession (0d13844d)
        * removeOne promptSession (1eb37521)
        * rebased (39198898)
        * stop on destroy. disable input on surface destroy. emit removed
          signal rather than unparenting surfaces (ffd76d40)

2014-07-22 Gerry Boland

        * Fix crash bug - disable input events going to MirSurfaceItem whose
          backing mir surface was destroyed (58095ba7)
        * MirSurfaceItem: do not print keystrokes to log (d92d5130)

2014-07-21 Gerry Boland

        * Give AppMan & SurfMan objectNames (e4284bc1)

2014-07-21 Nick Dedekind

        * Compatibility with mir-0.5 (ae3663cd)
        * Added test for prompt session tracking (9aca78fa)

2014-07-21 Gerry Boland

        * Clarify licences (0ddbd744)

2014-07-21 Daniel d'Andrada

        * Removing debian/qtdeclarative5-qtmir-plugin.maintscript (2ad0f2c8)

2014-07-21 Nick Dedekind

        * review comments (507b4124)

2014-07-18 Daniel d'Andrada

        * Fix and update debian/copyright (d5730ec0)
        * Fix copyright headers (c77f4eed)

2014-07-18 Nick Dedekind

        * rebased (43e9fd50)
        * stop prompt session on application suspend (c35c01db)

2014-07-18 Daniel d'Andrada

        * Add a comment with the rationale behind the frame dropper
          (05017212)

2014-07-18 Gerry Boland

        * ProcessController: expand documentation (c0720745)
        * AppMan: data - remove nonsensical default role (d75bcdea)

2014-07-18 Nick Dedekind

        * leave surface parentIteming up to qml (207a40e3)
        * merged with mir-0.5 compatibility (2ccab923)
        * rebased (10a215dd)
        * mir 0.5 compatibility (bf0fd988)

2014-07-17 Gerry Boland

        * AppMan: be slightly more verbose with desktop file locating for
          desktop_file_hint. Also use faster exists() static
          function (266cd383)
        * Removed WindowScreenshotProvider as not needed for now (62c3f083)
        * TaskController: add a few more consts (3a0c72cf)
        * MirSurfaceManager: remove commented line (cad5374b)
        * MirSurfaceManager: generate roleNames only on read (352905ef)
        * MirSurfaceItem - standardize on qCDebug(QTMIR_SURFACES) (6adf8a94)
        * MirBufferSGTexture: remove the Qt5.3 ifdefs, were probably broken
          for older Qt versions (e1b7afe5)
        * DebugHelpers: do not use default state for last option in the enum
          today, the enum may grow in future (71f4557b)
        * Useless static_cast removed (9388b5e3)
        * AppMan: if foreground app closes, set all unfocused to let shell
          decide what next to focus (afaac843)
        * Remove ApplicationManager::topmostApplication (b2ff0398)
        * Remove redundant comment (1c08a8d0)
        * Add FIXME about the custom roles (22d99267)
        * MirSurfaceItem: setting unfocused on creation breaks camera &
          videos app, so disabling and added fixme (b2ba3dcd)
        * Application: replace direct call into MirSurfaceItem with a
          signal/slot. Removes FIXME (5c3be041)
        * Revert rev 179, add comment to clarify (129d36c7)
        * Fixed threading issue when screen-shotting application about to be
          stopped. By Nick Dedekind (4d4d131a)
        * Application: remove hack to guess app supported orientations,
          implement properly later (6d88c727)
        * SessionName removed. PID matching was introduced some time ago and
          so session name unnecessary (e1ccbd20)
        * Application: delete TODO comment in setSession as nonsensical
          (177f42b7)

2014-07-16 Gerry Boland

        * QtEventFeeder - add deconstructor to delete the mTouchDevice
          (2375c774)
        * DisplayWindow listens for Hide/Show events with its event handler,
          not via a static variable (2d1dbeca)

2014-07-15 Nick Dedekind

        * rebased (7ede6a99)

2014-07-15 Gerry Boland

        * MirGLContext - temporary gl context from mir does not have
          attributes defined by GLConfig applied, so need to do so
          manually (1a825b7b)

2014-07-14 Michael Terry

        * Use virtual package names in P/C/R fields and clean build dirs
          (33de6089)

2014-07-11 Nick Dedekind

        * first pass at qtmir prompt sessions (aba12260)

2014-07-08 Robert Bruce Park

        * Slightly more readable debian/rules. (c63b6ca4)

2014-07-08 Gerry Boland

        * Remove refresh-rate override as Mir now returns correct value
          (b89212ba)
        * Re-enable Buffer Queueing OpenGL, should improve graphics
          performance (d5b48212)

2014-07-08 Robert Bruce Park

        * qtdeclarative shouldn't provide qtmir (e6b15db0)
        * Slightly more readable debian/rules (e135b5d6)

2014-07-08 Michael Zanetti

        * also mir specific key codes through the QKeyEvent (27c6952e)
        * Fix multi touch points on mirsurfaceitems. (9c82b438)

2014-07-07 Gerry Boland

        * Workaround GL/GLES conflict between Qt and Mir. Split into 3
          packages: GL qpa, GLES qpa & QML plugin (f9fa3fe1)
        * Fix compilation on arm targets (1870ca26)
        * Workaround GL/GLES conflict between Qt and Mir. Split into 3
          packages: GL qpa, GLES qpa & QML plugin (9be9fb38)

2014-07-03 Daniel d'Andrada

        * Dispatch keys to mir surface (2cc08657)

2014-07-03 Gerry Boland

        * Simplify focus logic, fix tablet lifecycle (4a97cbe7)
        * Downgrade error warning of unmanaged session startup (84256768)
        * debian: release version 0.4.0 (388f220c)
        * Fix test fails - do not run moc again on headers used by tests
          (99e9f969)
        * Small header file cleaning (60d25a8e)

2014-07-02 Robert Bruce Park

        * CI Train packaging cleanup. (cb7676c2)

2014-07-02 Gerry Boland

        * Using const QString ref to save possible QString copy (0fd961e8)

2014-07-02 Robert Bruce Park

        * Inline Packaging cleanup. (bd80cf16)
        * wrap-and-sort -a -t (a6c66e4c)

2014-07-02 Gerry Boland

        * Fix out-of-tree builds (18825afa)
        * debian: update mir & papi version dependencies (f08fa9bf)

2014-07-02 Kevin Gunn

        * no change, rebuild only (b1be57a4)

2014-07-02 Gerry Boland

        * Remove unused *toBeFocused state savers (e3d04685)
        * Restore code to override side-stage apps to be on main stage on
          single-stage devices (a7a65989)
        * Fix lifecycle by pulling latest unity-mir code. Rename QML module
          back to Unity.Application. Import unity-mir tests. Use
          category logging (1183b37b)

2014-07-02 Daniel d'Andrada

        * Forward item focus to the underlying mir surface (5c80fb32)

2014-07-02 Gerry Boland

        * Remove debug ling (9f5ebc47)

2014-07-01 Gerry Boland

        * debian: replace old libplatform-api-dev with newer
          libubuntu-application-api-dev (7e2694f9)
        * Actually, set application running in setFocused only if app is not
          in starting state (4fd676fc)
        * do not set apps as running if shell focuses them (efda787c)
        * Add missing debian dependencies (ae6ddebb)
        * Fix namespace issues with Qt's metatype system (f556ebac)
        * Fix tests (28bf0da1)
        * Update QML plugin: rename to Unity.Application, merge latest
          unity-mir changes, add tests (not passing yet) and use
          category logging (57352294)

2014-06-30 Gerry Boland

        * Rename QML plugin to Unity.Application (77d0ee2f)

2014-06-30 Daniel d'Andrada

        * Revert to the old ways regarding rotation (e844bb93)

2014-06-30 Gerry Boland

        * Update README, rename root pro file to match project name
          (ce320b2b)

2014-06-30 Michael Zanetti

        * append newly focused apps instead of prepending them. (f2fb653e)

2014-06-26 Daniel d'Andrada

        * MirSurfaceManager: improve debug output (83fcf45c)
        * adapt to latest mir/devel + input_sender branch (d6983da9)

2014-06-25 Daniel d'Andrada

        * Hold back this commit for now as qtmir trunk still uses an old mir
          version (e2d00086)

2014-06-24 Daniel d'Andrada

        * MirSurfaceManager: improve debug output (c9b10286)
        * MirSurfaceManager: s/DLOG/qCDebug (118a30d6)

2014-06-20 Gerry Boland

        * Fix Qt5.3 compile - QQmlProfiler changed to QQuickProfiler
          (9edb4b14)
        * debian: update package name, fixes dependency wait in PPA
          (b48a8b10)
        * Empty commit to force rebuild for Qt5.3 (fa2d650c)

2014-06-19 Gerry Boland

        * Remove ubuntumirclient plugin as it moved to qtubuntu (c258dc8f)

2014-06-18 Gerry Boland

        * Fix FTBFS - header file moved (2b09bc0b)

2014-06-17 Daniel d'Andrada

        * Update Application::fullscreen when the application gets its
          surface (f02ade65)
        * UbuntuPlatformServices is no longer shared by both QPAs (347ee1ac)

2014-06-16 Daniel d'Andrada

        * Add clipboard support (d43a3b7a)

2014-06-09 Daniel d'Andrada

        * s/upstart-app-launch-2/ubuntu-app-launch-2 (69cbb935)

2014-06-06 Daniel d'Andrada

        * Add WindowScreenshotProvider (0f0b6b00)

2014-06-06 Gerry Boland

        * Enable UbuntuPlatformServices for a mirserver (4e121365)
        * Enable UbuntuPlatformServices for a mirserver (8733891d)
        * New apps placed at start of model and are focused immediately.
          AppMan model has proper surface and fullscreen roles now.
          Whitespace fixes (78217710)
        * Words cannot express the loathing I feel towards the whitespace
          test and all who associate with it (a6ccadb3)
        * Workaround crash for when multiple surfaces close simultaneously
          (a75b1eae)
        * Fix crash bug, disable app lifecycle for ow (41f5687b)
        * Improve session-app matching (58e535e9)
        * Better method name - emitSurfaceChanged (58d92418)

2014-06-05 Gerry Boland

        * Add surface and fullscreen to AppMan model. Emit AppMan dataChanged
          signals when they are changed (c7cef914)

2014-06-05 Daniel d'Andrada

        * Merge multiple qml size changes into a single mir surface resize
          (6d47b8ee)
        * Reduce orientation stabilization time and cancel pending change
          when facing up/down (650b2cec)

2014-06-04 Daniel d'Andrada

        * Wait for screen orientation to stabilize before committing to it
          (6c1b76b8)

2014-06-03 Daniel d'Andrada

        * Make mirserver QPA implement QPlatformIntegration::inputContext()
          (52471b5c)
        * Improve debug output of surfaces handled by MirSurfaceManager
          (48ee665f)
        * Work around crash in MirSurfaceManager::onSurfaceAttributeChanged
          (af3a508f)
        * Some MirSurfaceItem fixes (5113e82d)

2014-06-03 Gerry Boland

        * Remove surface observer on MirSurfaceItem destruction (537029f3)
        * Rename client plugin to ubuntumirclient (to match that of qtubuntu)
          (8db30a32)
        * Revert 125, incorrect branch merged (0d2c0352)
        * Rename client plugin to ubuntumirclient (to match that of qtubuntu)
          (2eb07d93)
        * Rename client plugin to ubuntumirclient (to match that of qtubuntu)
          (37e45fe4)

2014-06-02 Gerry Boland

        * Add patches to ubuntuclient plugin to enable sharing of GL context
          - needed for oxide (5d8f2726)
        * Implement QPlatformNativeInterface::nativeResourceForScreen() for
          accessing the native display handle (lp: #1278868)
          Fixes:
          1278868 - based on commit to qtubuntu by Chris Coulson
          (3d6983e9)
        * Pass the EGL share context to eglCreateContext (lp: #1278470)

          Fixes: 1278470 - based on commit to qtubuntu by Chris
          Coulson (d8b02f0a)
        * Remove unneeded properties from SurfaceManager and restore support
          for surface with no app parent (d0867b58)

2014-05-30 Daniel d'Andrada

        * ubuntuclient: Properly handle mir's resize event (9545a78e)
        * Fix some issues with surface resize vs. application state
          (e8690bfe)

2014-05-29 Daniel d'Andrada

        * Clean up Surface & Application relationship, further fix frame
          dropping (64cfedbf)
        * Clean up Surface & Application relationship, further fix frame
          dropping (7dca9c50)

2014-05-29 Gerry Boland

        * Turn on debug symbols for Mir.Application plugin (d0f0833d)
        * Fix release build failure due to unused function (72f6c6fa)

2014-05-28 Daniel d'Andrada

        * Make sure we consume pending buffers (b08fa1fe)
        * Improve debug output a bit (d141cd94)

2014-05-27 Daniel d'Andrada

        * Add ApplicationManager.topmostApplication property (af9e84aa)
        * Add Application.surface property (dd2ebe9b)
        * Improve TaskController::resume debug log (2ae00758)

2014-05-26 Daniel d'Andrada

        * Remove some hacky code from UbuntuWindow (5ab79e54)
        * Remove some hacky code from UbuntuWindow (c72bd3ff)

2014-05-26 Gerry Boland

        * Fix breakage (7f00abbe)
        * Add surfaceCreated, AboutToBeDestroyed and Destroyed signals to
          Application (650881a2)
        * Add surfaceCreated, AboutToBeDestroyed and Destroyed signals to
          Application (283ea64d)

2014-05-23 Daniel d'Andrada

        * Add support for window resize (e88408b3)

2014-05-22 Gerry Boland

        * Fix client rendering problem on resize - need to call
          handleExposeEvent to tell renderer that the new window
          size is fully visible (d1721d47)

2014-05-22 Daniel d'Andrada

        * Add Application.supportedOrientations and
          MirSurfaceManager.topmostSurface (0330f1ac)
        * Be unforgiving on compilation warnings (ca6fa02b)

2014-05-22 Gerry Boland

        * Improve MirSurfaceItem resize handling, update demo-shell to test
          resizing (72904cf4)
        * Fix compile error (4e984fc2)
        * Fix qml-demo-client to handle window resizes better (3092a2cf)

2014-05-21 Michael Zanetti

        * try this then (13b25a22)
        * workaround qmake subdirs depends not being aggressive enough
          (734e4066)

2014-05-20 Daniel d'Andrada

        * Add MirSurfaceManager::empty property (765d2429)

2014-05-19 Gerry Boland

        * Fix compiler being too right for its own good (3fd78d3a)
        * Use XKB for keymappings (d0097f4c)

2014-05-19 Michael Zanetti

        * another dummy commit for the ppa (556b1766)
        * dummy commit to make the ppa happy (6fb3a319)
        * merge trunk (563f2ae8)

2014-05-16 Daniel d'Andrada

        * Remove DBusScreen as unity-system-compositor has this code nowadays
          (a92554ea)

2014-05-16 Gerry Boland

        * Establish object ownership with more care, fixes shutdown crashing
          and crashes should unwind better so Mir shuts down
          properly (0cf13335)

2014-05-16 Daniel d'Andrada

        * Add QScreen orientation change support to mirserver QPA (489ae78b)

2014-05-16 Michael Zanetti

        * fix subdir dependencies (b51de2e4)
        * packaging works now (97ecb477)
        * fix installing, now that we only have one package (50dd18de)
        * drop libqtmir-dev package for now (5356a015)
        * add packaging (d1a347d5)

2014-05-15 Daniel d'Andrada

        * Add support for window resize (4c09a85c)

2014-05-14 Michael Zanetti

        * moved demos into their own subdir (4cb9ac8a)
        * merge (9fe3fe0f)

2014-05-13 Daniel d'Andrada

        * Only mirserver knows about screen orientation changes (db675fde)

2014-05-09 Daniel d'Andrada

        * Adapt to latest Mir API (17f2c802)

2014-04-23 Daniel d'Andrada

        * Remove all remaining hacks and use the upcoming Mir interfaces for
          custom input handling (e90dea0b)

2014-04-17 Daniel d'Andrada

        * Adapt to latest mir API (553d1844)
        * Turn MirSurfaceManager into a model (eb5ed574)

2014-04-10 Daniel d'Andrada

        * Add a placement strategy and server status listener (bc8aa031)

2014-04-08 Michael Zanetti

        * merge (eea44042)

2014-04-08 Daniel d'Andrada

        * Update to latest mir API (d1b19c34)

2014-04-08 Michael Zanetti

        * update README once more (168d62c7)

2014-04-07 Daniel d'Andrada

        * Remove OSKController.qml (01adc590)

2014-04-07 Michael Zanetti

        * update README (76c4785b)

2014-04-04 Gerry Boland

        * Enable pointer on desktop - fixes crash there too (9544b60c)

2014-04-03 Daniel d'Andrada

        * remove mention to OSKController.qml (545b90ca)

2014-04-02 Gerry Boland

        * Lack of PointerController caused crash on desktop - copy code from
          Mir as PointerController private to Mir (9bb3995c)

2014-04-02 Daniel d'Andrada

        * Updating to latest Mir API (65c5703a)

2014-03-31 Gerry Boland

        * Lack of PointerController caused crash on desktop - copy code from
          Mir as PointerController private to Mir (16096609)

2014-03-31 Daniel d'Andrada

        * Do not make QtCompositor call QObject belonging to a different
          thread (d4e6e6cf)

2014-03-28 Daniel d'Andrada

        * Improve conversion of pixels formats from mir to qt (c4f6e671)

2014-03-28 Gerry Boland

        * Add FIXME (6c94bb08)

2014-03-25 Gerry Boland

        * Fi for hang on shutdown - implement a dummy
          QPlatformWindow/DisplayWindow::setVisible to prevent
          window system events being pushed to a window event queue
          which isn't used, and so never flushed, so blocking
          shutdown. (92cce41b)
        * Determine the EGL display & config by asking Mir to create a
          temporary GL context and using core egl functions.
          (6b8ec15b)

2014-03-21 Daniel d'Andrada

        * Have On-screen keyboard working (3e411d5b)

2014-03-20 Daniel d'Andrada

        * Tidy up debug output (f846c4e5)

2014-03-19 Gerry Boland

        * Fix for compile in non-debug mode (6dc0ec23)
        * Remove obselete maths from ApplicationScreenshotProvider
          constructor, fixes unused veriable compile fail (e7d99fd2)
        * Update for API change in
          lp:~mzanetti/unity-api/new-screenshot-and-focusing-api
          (488957ae)

2014-03-12 Gerry Boland

        * Do not add useless signal, use CONSTANT in Q_PROPERTY definition
          (40910904)

2014-03-12 Daniel d'Andrada

        * Add applicationChanged signal to MirSurfaceItem (094a9d1c)

2014-03-07 Daniel d'Andrada

        * Improve debug output (cc021076)

2014-03-06 Daniel d'Andrada

        * Solve crashes in ApplicationManager and expose surface.application
          to QML (a26e6d25)

2014-02-28 Daniel d'Andrada

        * Adapt to lp:~mzanetti/unity-api/new-screenshot-and-focusing-api
          (14c40071)
        * Adapt do latest mir api (1494c5bb)

2014-02-27 Daniel d'Andrada

        * Use UbuntuTheme also on the mirserver QPA (20f401cc)
        * The compositor window is always focused (58468e7d)

2014-02-26 Daniel d'Andrada

        * Send key events from Mir to Qt (fb28b840)
        * update README (68e3c074)

2014-02-26 Gerry Boland

        * Implement Mir compositor start/stop by setting all QWindows to
          visible/hidden, which in turn starts/stops the Qt renderer
          loop (f709583a)
        * Small compile fix on amd64 (b9f54462)

2014-01-30 Daniel d'Andrada

        * Add a minimal qml client to help with debugging graphical artifacts
          (3f012b01)

2014-01-29 Gerry Boland

        * Update for Mir API change (56503a9f)

2014-01-23 Daniel d'Andrada

        * Make the logo rotate when touched (b4d63a5c)

2014-01-21 Daniel d'Andrada

        * Update README (9308edf2)

2014-01-20 Daniel d'Andrada

        * Refactor  MirSurfaceItem & friends (ac9bbae8)

2014-01-17 Daniel d'Andrada

        * Update to latest mir API (f934c276)

2014-01-10 Daniel d'Andrada

        * Get rid of debug text (cf32b269)
        * restore gradient (b86af970)
        * Fix window title (0116b97f)
        * enable window rotation (b2016cb7)
        * Send the Unity logo to the back (f029b6d7)
        * Property create a GL texture to hold the Mir buffer (f7a59c43)
        * Update README (1d56c781)
        * To help with debugging the textures issue that happens when a
          client app comes in (c984dd36)

2013-12-18 Gerry Boland

        * Explicitly include the qpa/genericunixfontdatabase config option to
          link the actual font database, and not fallback to a basic
          one that does not work with truetype fonts. Fixes font
          rendering fail with error message "Warning: distance-field
          glyph is not available with index 0" (5d2763c2)

2013-12-11 Gerry Boland

        * Misc changes to demo (38e2029d)

2013-12-11 Daniel d'Andrada

        * Update README (2cdbad63)
        * Use the new ua_ui_window_properties_set_dimensions API (21a51c63)
        * Added ubuntuclient QPA (b56d197a)

2013-12-10 Daniel d'Andrada

        * Fix bug in qt -> mir input event translation (0f0e5325)

2013-12-05 Gerry Boland

        * qmake simplification, QtCreator can read project file again
          (abd7b360)

2013-12-05 Daniel d'Andrada

        * remove debug message (605c6278)

2013-12-05 Gerry Boland

        * Rename qml plugin with Mir prefix. Install plugin to standard QML
          import path (fd799723)

2013-12-05 Daniel d'Andrada

        * Add qml-demo-client (05d492a6)

2013-12-05 Gerry Boland

        * Rename qml plugin with Mir prefix. Install plugin to standard QML
          import path (788517d3)

2013-12-04 Daniel d'Andrada

        * Send input events from qml items to mir clients (199397ed)

2013-12-03 Daniel d'Andrada

        * Stop InputReader thread when needed (1887eaf2)
        * Have input reaching Qt qml scene (3d055d40)

2013-11-29 Gerry Boland

        * Update to reflect new Mir API (8cf9bd5d)

2013-11-29 Daniel d'Andrada

        * groundwork for our input rewiring (c4328d3b)

2013-11-27 Gerry Boland

        * Add in the dbus Screen interface from unity-mir (591ce136)
        * Add in the dbus Screen interface from unity-mir (a43a1360)

2013-11-27 Daniel d'Andrada

        * Update README (70a7e539)

2013-11-25 Gerry Boland

        * Make demo shell a little more advanced (42d590cd)
        * Have MirSurfaceItems owned by CPP, not the V8 engine. This means JS
          garbage collection isn't used, so QML must explicitly call
          "release()" on the surface for it to be released.
          (2d02416c)
        * Qt5.1 and lower not having convenient profiling api, so only use it
          for 5.2. Now everything compiles. (c3df0b20)
        * Missing dependency added, compiles again (5132d2ec)

2013-11-24 Gerry Boland

        * Add copyright notices and timing outputs (d820c52f)

2013-11-22 Gerry Boland

        * Add demo shell and update readme (46117bf8)
        * Configure QSGTexture correctly, client surface now visible!!
          (d9771481)
        * Fix for crash as QQuickItem::update() cannot be called by Mir, so
          use slot (f9602910)
        * Using added Mir APIs to fetch correct buffer for compositing, and
          notification on client drawing a new frame, can show one
          frame on screen (13c04040)

2013-11-21 Gerry Boland

        * Crash fix on 5.0 (9c18a4ce)
        * Totally fix compilation on 5.0 (2c0856e0)
        * Match native interface names (feec60eb)
        * More Qt5.0 fixes and explicitly require egl (5ea7aaaf)
        * Small fixes (d7766799)

2013-11-20 Gerry Boland

        * Preprocessor directive sugar (a0554e5f)
        * Disable QOpenGLDebugLogger if <5.2 (c0c0704b)
        * Add Qt5.0/5.1 support (cbc681f8)

2013-11-19 Gerry Boland

        * Added MirSurfaceItem component, created and properties updated by
          MirSurfaceManager. QML will assume ownership of them. Item
          is drawable, supplies QSGNode with texture. (8b5f90e3)

2013-11-18 Gerry Boland

        * Integration complete. Added QOpenGLDebugLogger to MirOpenGLContext
          to capture GL debug output (5c2be3ac)

2013-11-16 Gerry Boland

        * Integrating QML plugin from unity-mir, not complete (a1759651)

2013-11-14 Gerry Boland

        * Add NativeInterface to export Mir-wrapped classes like
          SessionAuthorizer, SurfaceConfigurator & SessionListener
          (6c1810cf)
        * Fetch GL config directly from Mir (5cf1059c)

2013-11-13 Gerry Boland

        * Tweaks (2e7bf99d)
        * Try to shut down mir cleanly. Not succeeding however (28aad02b)
        * Fecth Display information only after starting Mir server (fixes
          swapBuffer crash, as before 2 gl contexts were being
          created for the 1 output). Only create screen for used
          output (c6652959)

2013-11-12 Gerry Boland

        * Add README (cfc5df3c)
        * Viewport geometry fix (47b83567)
        * Progress: 1 frame shows on screen, then crash. Viewport incorrectly
          sized too. (0e673687)

2013-11-11 Gerry Boland

        * Basics are there now (43f88668)

2013-11-07 Gerry Boland

        * Remove unnecessary bits of unity-mir code and have QMirServer own
          Mir in its own thread (15901ee8)
        * Add the mir server class implementations from unity-mir (501ace19)
        * Rough first step for a Mir server QPA plugin (5d94bc7c)
